local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local ghost_component = EntityGetFirstComponent(entity_id, "GhostComponent")

local comps = EntityGetAllComponents(entity_id)
local concomp = nil
for i,v in ipairs(comps) do
	if ComponentGetTypeName(v) == "ControlsComponent" then concomp = v; break end
end
local input = {
	ComponentGetValue(concomp, "mButtonDownRight"), --right
	ComponentGetValue(concomp, "mButtonDownUp"), --up
	ComponentGetValue(concomp, "mButtonDownLeft"), --left
	ComponentGetValue(concomp, "mButtonDownDown"), --down
}

local tx = x
local ty = y

if input[1] == "1" then tx = tx + 20 end
if input[2] == "1" then ty = ty - 20 end
if input[3] == "1" then tx = tx - 20 end
if input[4] == "1" then ty = ty + 20 end

local target_id = EntityGetClosestWithTag(  x, y, "player_ghost_target_entity" )
EntitySetTransform( target_id, tx, ty)
ComponentSetValue2(ghost_component, "target_tag", "player_ghost_target_entity")
ComponentSetValue2(ghost_component, "mTargetEntityId", target_id)
-- EntitySave( entity_id, "mods/new_enemies/test.xml" )


local last = input[5]