local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local comps = EntityGetAllComponents(entity_id)
local concomp = nil
for i,v in ipairs(comps) do
	if ComponentGetTypeName(v) == "ControlsComponent" then concomp = v; break end
end
local input = {
	ComponentGetValue(concomp, "mButtonDownRight"), --right
	ComponentGetValue(concomp, "mButtonDownUp"), --up
	ComponentGetValue(concomp, "mButtonDownLeft"), --left
	ComponentGetValue(concomp, "mButtonDownDown"), --down
}

if input[1] == "1" then PhysicsApplyForce(entity_id, 20, 0) end
if input[2] == "1" then PhysicsApplyForce(entity_id, 0, -20) end
if input[3] == "1" then PhysicsApplyForce(entity_id, -20, 0) end
if input[4] == "1" then PhysicsApplyForce(entity_id, 0, 20) end

local last = input[5]