dofile_once("data/scripts/lib/utilities.lua")

function material_area_checker_success(x, y)

	local entity_id = GetUpdatedEntityID()

	local x, y = EntityGetTransform( entity_id )
	
	local VariableStorageComponent = EntityGetFirstComponentIncludingDisabled( entity_id, "VariableStorageComponent")
	
	local material = ComponentGetValue2( VariableStorageComponent, "value_string" )
	
	if material == "water" then
		LoadPixelScene("data/biome_impl/water_bugs.png", "", x, y , "", true)
	elseif material == "swamp" then
		LoadPixelScene("data/biome_impl/water_swamp_bugs.png", "", x, y , "", true)
	end

	EntityKill( entity_id )
end
