dofile_once("data/scripts/lib/utilities.lua")

local entity = GetUpdatedEntityID()

local x, y, r, s1, s2 = EntityGetTransform(entity)

local child_tentacle = EntityLoad("data/entities/tentacle_monster/tentacle_child.xml", x, y)

local child_self = EntityGetAllChildren( entity )[1]

SetRandomSeed( GameGetFrameNum(), x + y + entity )
local kelps = { "data/entities/tentacle_monster/kelp/slime_tentacle_01.xml", "data/entities/tentacle_monster/kelp/slime_tentacle_02.xml", "data/entities/tentacle_monster/kelp/slime_tentacle_03.xml", "data/entities/tentacle_monster/kelp/slime_tentacle_alt_01.xml", "data/entities/tentacle_monster/kelp/slime_tentacle_alt_02.xml", "data/entities/tentacle_monster/kelp/slime_tentacle_alt_03.xml", "data/entities/tentacle_monster/kelp/slime_tentacle_thin_01.xml", "data/entities/tentacle_monster/kelp/slime_tentacle_thin_alt_01.xml", "data/entities/projectiles/dummy.xml" }
local random_index = Random(1, #kelps)
local kelp = kelps[random_index]


if(child_self ~= nil)then
    EntityAddComponent(child_tentacle, "VariableStorageComponent", {
        name="owner",    
        value_int=child_self,            
    })
    
    EntityAddComponent(child_tentacle, "LuaComponent", {
        script_source_file="data/entities/tentacle_monster/teleport_to_owner.lua",
        execute_on_added="1",
        execute_every_n_frame="1",              
    })
	
	local kelp_entity = EntityLoad(kelp, x, y)
	EntityAddChild(child_tentacle, kelp_entity)

    local tags = EntityGetTags( child_self )
    for word in string.gmatch(tags, '([^,]+)') do
        if(string.match(word, "tentacle"))then
            for word2 in string.gmatch(word, '([^_]+)') do
                if(word2 ~= "tentacle")then
                    local number = tonumber(word2)
                    local child_tentacle_child = EntityGetAllChildren( child_tentacle )[1]
                    EntityAddTag(child_tentacle_child, "tentacle_"..tostring(number + 1))
                    print(number)
                    if number < 34 then

                        EntityAddComponent(child_tentacle, "LuaComponent", {
                            script_source_file="data/entities/tentacle_monster/create_tentacle.lua",
                            execute_on_added="1",
                            execute_every_n_frame="1",
                            remove_after_executed="1",                        
                        })
						
						else if number == 34 then
						
							local area_damage = EntityAddComponent(child_tentacle, "AreaDamageComponent", {
							  damage_per_frame="0.04",
							  update_every_n_frame="1",
							  entities_with_tag="player_unit",
							  damage_type="DAMAGE_PROJECTILE",
							})
							ComponentSetValue2(area_damage, "aabb_min", -5, -5)
							ComponentSetValue2(area_damage, "aabb_max", 5, 5)
						end
                    end
                end
            end
        end
    end
end