dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

--Bleed Random Materials:

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
local material_list = { 
--liquids:
"blood",
"water",
"radioactive_liquid",
"poison",
"blood_cold",
"pea_soup",
"alcohol",
"blood_fungi",
"blood_worm",
"cement",
"cursed_liquid",
"magic_liquid",
"magic_liquid_berserk",
"magic_liquid_charm",
"magic_liquid_invisibility",
"magic_liquid_polymorph",
"magic_liquid_unstable_polymorph",
"magic_liquid_random_polymorph",
"magic_liquid_worm_attractor",
"oil",
"radioactive_goo",
"radioactive_liquid_blue",
"sima",
"slime",
"slime_green",
"slime_yellow",
"slime_blue",
"slime_white",
"slime_jelly",
"slush",
"urine",
"vomit",

--gases:
"acid_gas",
"alcohol_gas",
"blood_cold_vapour",
"fungal_gas",
"poison_gas",
"radioactive_gas",
"sand_herb_vapour",
"smoke",
"steam"
}

-- removed materials:

-- "material_darkness",
-- "magic_liquid_movement_faster",
-- "magic_liquid_faster_levitation",
-- "magic_liquid_mana_regeneration",
-- "acid",
-- "magic_liquid_unstable_teleportation",
-- "material_confusion",
-- "lava",

local random_index = Random(1, #material_list)
local material = material_list[random_index]
  
new_material = material
last_material = last_material or "blood"
AddMaterialInventoryMaterial(entity_id, last_material, 0)
AddMaterialInventoryMaterial(entity_id, new_material, 200)
last_material = new_material


--Change material of Particle Emitter:

local particle_emitter_component = EntityGetFirstComponent(entity_id, "ParticleEmitterComponent")

ComponentSetValue2(particle_emitter_component, "emitted_material_name", material )

--Change material of Blood:

local damage_model_component = EntityGetFirstComponent(entity_id, "DamageModelComponent")

ComponentSetValue2(damage_model_component, "blood_material", material )
ComponentSetValue2(damage_model_component, "blood_spray_material", material )