dofile( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )
  
local animal_ai_component = EntityGetFirstComponentIncludingDisabled(entity_id, "AnimalAIComponent")
local sprite_component = EntityGetFirstComponentIncludingDisabled(entity_id, "SpriteComponent")
local hitbox_component = EntityGetFirstComponentIncludingDisabled(entity_id, "HitboxComponent")
local damage_model_component = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
local status_effect_data_component = EntityGetFirstComponentIncludingDisabled(entity_id, "StatusEffectDataComponent")

EntityRemoveComponent(entity_id, animal_ai_component)
EntitySetComponentIsEnabled( entity_id, hitbox_component, false )
EntitySetComponentIsEnabled( entity_id, sprite_component, false )
EntitySetComponentIsEnabled( entity_id, damage_model_component, false )
EntitySetComponentIsEnabled( entity_id, status_effect_data_component, false )
EntitySetComponentIsEnabled( entity_id, GetUpdatedComponentID(), false )

shoot_projectile( entity_id, "data/entities/projectiles/blob_land.xml", x, y - 5 , 0, -250, false )