local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

for i=1, 3 do
  -- local particle_emitter_component = EntityAddComponent2(entity_id, "ParticleEmitterComponent", {
    -- emitted_material_name="cloud_blood2",
    -- lifetime_min="0.05",
    -- lifetime_max="0.05",
    -- count_min="1",
    -- count_max="1",
    -- y_vel_min="0",
    -- y_vel_max="0",
    -- render_on_grid="1",
    -- fade_based_on_lifetime="0",
    -- cosmetic_force_create="0",
    -- emission_interval_min_frames="1",
    -- emission_interval_max_frames="1",
		-- emit_cosmetic_particles="0",
		-- create_real_particles="1",
    -- image_animation_file="data/particles/image_emitters/bloodmonster" .. i .. ".png",
    -- image_animation_speed="0.1",
    -- image_animation_loop="1",
    -- image_animation_emission_probability="1",
    -- is_emitting="1",
  -- })
  
  local particle_emitter_component = EntityAddComponent2(entity_id, "ParticleEmitterComponent", {
    emitted_material_name="cloud_blood2",
    lifetime_min=0.05,
    lifetime_max=0.05,
    count_min=1,
    count_max=1,
    y_vel_min=0,
    y_vel_max=0,
    render_on_grid=true,
    fade_based_on_lifetime=false,
    cosmetic_force_create=false,
    emission_interval_min_frames=1,
    emission_interval_max_frames=1,
	emit_cosmetic_particles=false,
	create_real_particles=true,
    image_animation_file="data/particles/image_emitters/bloodmonster" .. i .. ".png",
    image_animation_speed=0.1,
    image_animation_loop=true,
    image_animation_emission_probability=1,
    is_emitting=true,
  })
  ComponentSetValueVector2(particle_emitter_component, "gravity", 0, 0)
  EntitySetComponentIsEnabled(entity_id, particle_emitter_component, false)
end

