dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y, rot, scale_x  = EntityGetTransform(entity_id)
local players = EntityGetWithTag("player_unit")

if #players > 0 then
	local limb_boss_component = EntityGetFirstComponentIncludingDisabled(entity_id, "LimbBossComponent")
	if ( limb_boss_component ~= nil ) and ( limb_boss_component > 0 ) then
		if ( (EntityGetFirstComponent(entity_id, "GenomeDataComponent") ~= nil) and ( EntityGetFirstComponent(entity_id, "GenomeDataComponent") > 0 ) ) and ( ( EntityGetHerdRelation(entity_id, players[1]) > 40 ) or (EntityGetHerdRelation(entity_id, players[1]) <= 0 ) ) then
			ComponentSetValue2(limb_boss_component, "state", 4)
			local px, py  = EntityGetTransform(players[1])
			ComponentSetValue2(limb_boss_component, "mMoveToPositionX", px )
			ComponentSetValue2(limb_boss_component, "mMoveToPositionY", py )
		else
			ComponentSetValue2(limb_boss_component, "state", 1)
		end
	end
end

-- SetRandomSeed(x + GameGetFrameNum(), y)
-- ComponentSetValue(GetUpdatedComponentID(), "execute_every_n_frame", 10 + Random(140))
