dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()

local pos_x, pos_y, rotation = EntityGetTransform(entity_id)
local root_id = EntityGetParent( entity_id )

if ( entity_id ~= nil ) and ( entity_id > 0 ) and ( root_id ~= nil ) and ( root_id > 0 ) then
	local sprite_comp = EntityGetFirstComponent(entity_id, "SpriteComponent")
	local animation = ComponentGetValue2(sprite_comp, "rect_animation")
	local psprite_comp = EntityGetFirstComponent(root_id, "SpriteComponent")
	local panimation = ComponentGetValue2(psprite_comp, "rect_animation")

	if ( sprite_comp ~= nil ) and ( sprite_comp > 0 ) and ( psprite_comp ~= nil ) and ( psprite_comp > 0 ) then
		if animation ~= panimation then
			ComponentSetValue2(sprite_comp, "rect_animation", panimation)
			ComponentSetValue2(sprite_comp, "next_rect_animation", panimation)
		end
	end
end
