dofile_once( "data/scripts/lib/utilities.lua" )

function collision_trigger(colliding_entity)
	local entity_id = GetUpdatedEntityID()
	local x, y = EntityGetTransform( entity_id )

	--Bleed Random Materials:

	SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
	local material_list = { "blood", "oil" }

	local random_index = Random(1, #material_list)
	local material = material_list[random_index]

	--Change material of Blood:

	local damage_model_component = EntityGetFirstComponent(entity_id, "DamageModelComponent")

	ComponentSetValue2(damage_model_component, "blood_material", material )
	ComponentSetValue2(damage_model_component, "blood_spray_material", material )
end