function make_dead(entity_id)
  local damage_model_component = EntityGetFirstComponent(entity_id, "DamageModelComponent")
  ComponentSetValue2(damage_model_component, "hp", 0)
  ComponentSetValue2(damage_model_component, "air_needed", true)
  ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
end

local entity_id = GetUpdatedEntityID()

EntityAddComponent(entity_id, "VariableStorageComponent", {
	_tags="no_gold_drop",
})

make_dead(entity_id)
