dofile_once("data/scripts/lib/utilities.lua")

local range = 300

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")
if target > 0 then
	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)

	local did_hit = RaytraceSurfaces(x, y, tx, ty)

	if ( dist > range and did_hit ) or ( did_hit and BiomeMapGetName() == "$biome_holymountain" ) then
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", false)
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
	else
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)
	end
else
	EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
end