dofile_once("data/scripts/lib/utilities.lua")

local range = 300

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")

--here just toggling scripts
if target > 0 then
	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)
	
	local did_hit = RaytraceSurfaces(x, y, tx, ty)
	
	if ( dist > range  ) or ( BiomeMapGetName() == "$biome_holymountain" ) then
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", false)
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
	else
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)
		if did_hit == true then
			EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
		end
	end
	
	--Here executing genome immunity
	local limb_boss_component = EntityGetFirstComponentIncludingDisabled(entity_id, "LimbBossComponent")
	if limb_boss_component ~= nil and limb_boss_component > 0 then
		if EntityGetComponent(entity_id, "GenomeDataComponent") ~= nil and ( ( EntityGetHerdRelation(entity_id, target) > 40 ) or (EntityGetHerdRelation(entity_id, target) < 0 ) ) then
			ComponentSetValue2(limb_boss_component, "state", 4)
			local px, py  = EntityGetTransform(target)
			ComponentSetValue2(limb_boss_component, "mMoveToPositionX", px )
			ComponentSetValue2(limb_boss_component, "mMoveToPositionY", py )
		else
			ComponentSetValue2(limb_boss_component, "state", 1)
		end
	end
else
	EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
end