dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y, rot, scale_x  = EntityGetTransform(entity_id)
local found, nx, ny, apd = GetSurfaceNormal(x, y, 10, 16)
local physics_body_component = EntityGetFirstComponent(entity_id, "PhysicsBodyComponent")

if ( physics_body_component ~= nil ) and ( physics_body_component > 0 ) then
	local physx, physy = PhysicsComponentGetTransform( physics_body_component )

	if found then
		nx = nx * (math.abs(apd) + 4)
		ny = ny * (math.abs(apd) + 4)
	else
		nx = 0
		ny = 0
	end

	PhysicsComponentSetTransform( physics_body_component, physx - (nx * 0.01), physy - (ny * 0.01))
end