function make_dead(entity_id)
  -- local effect_id = LoadGameEffectEntityTo(entity_id, "data/entities/misc/effect_corpse_flopper2.xml")
  local effect_id = LoadGameEffectEntityTo(entity_id, "data/entities/misc/effect_corpse_flopper.xml")
  local damage_model_component = EntityGetFirstComponent(entity_id, "DamageModelComponent")
  
  if not physics_AI and damage_model_component then
	  --print("Applying necromancy to entity "..entity_id..". Entity hp before necromancy is "..ComponentGetValue2(damage_model_component, "hp")..".")
	  ComponentSetValue2(damage_model_component, "hp", 0)
	  ComponentSetValue2(damage_model_component, "air_needed", true)
	  ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
  end
end

local entity_id = GetUpdatedEntityID()
make_dead(entity_id)