dofile_once("data/scripts/lib/utilities.lua")

-- kill self
-- function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	-- local entity_id    = GetUpdatedEntityID()
	-- local pos_x, pos_y = EntityGetTransform( entity_id )
	
	-- -- do some kind of an effect? throw some particles into the air?
	-- EntityLoad( "data/entities/projectiles/fungus_explosion.xml", pos_x, pos_y )
-- end

function collision_trigger( colliding_entity_id )
	local pos_x, pos_y = EntityGetTransform( colliding_entity_id )
	local entity_id    = GetUpdatedEntityID()
	local root_id = EntityGetRootEntity( entity_id )

	-- do some kind of an effect? throw some particles into the air?
	EntityInflictDamage( colliding_entity_id, 0.28, "DAMAGE_POISON", "", "NONE", 0, 0, root_id, pos_x, pos_y )
	EntityLoad("data/entities/particles/flutterpede_particle_sparks.xml", pos_x, pos_y)
	GamePlaySound("data/audio/Desktop/materials.bank", "materials/electric_spark", pos_x, pos_y)
	
	EntitySetComponentsWithTagEnabled(entity_id, "pitcheck_b", false)

	EntityAddComponent( entity_id, "LuaComponent", 
	{ 
		script_source_file="data/scripts/animals/wanderer_attack_restart.lua",
		execute_every_n_frame = "30"
	} )
end