dofile_once("data/scripts/lib/utilities.lua")

local range = 250

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")

if target > 0 then

	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)

	if dist > range then

		EntitySetComponentsWithTagEnabled(EntityGetParent(entity_id), "enabled_in_world", false)
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
		
		local variable_storage = EntityGetComponent(entity_id, "VariableStorageComponent")
		
		for k, v in pairs(variable_storage)do
			local name = ComponentGetValue2(v, "name")
			if(name == "verlet_entity")then
				EntityRemoveComponent( entity_id, v )
			end
		end

		for i, child in ipairs(EntityGetAllChildren(entity_id)  or {}) do
			-- EntitySetComponentsWithTagEnabled(child, "enabled_in_world", false)
			
			EntityKill(child)
		end
		
	else

		EntitySetComponentsWithTagEnabled(EntityGetParent(entity_id), "enabled_in_world", true)
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", true)
		
		for i, child in ipairs(EntityGetAllChildren(entity_id)  or {}) do
			EntitySetComponentsWithTagEnabled(child, "enabled_in_world", true)
		end

	end
	
end