dofile_once("data/scripts/lib/utilities.lua")

function spawn_ghost()
	local entity_id = GetUpdatedEntityID()
	local x,y = EntityGetTransform( entity_id )
	
	
	SetRandomSeed( GameGetFrameNum(), x + entity_id )
	
	local raycasts = 4
	local dir = ( math.pi * 2.0 ) / raycasts
	local length = 8
	
	local rnd = Random( 1, #opts )
	
	local p = EntityGetWithTag( "player_unit" )
	
	if ( #p > 0 ) then
		local t = p[1]
		local px, py = EntityGetTransform( t )
		
		local dx = px + Random( -200, 200 )
		local dy = py + Random( -200, 200 )
		
		local dist = math.abs( py - dy ) + math.abs( px - dx )
		local limit = 0
		local wall = true
		
		while ( ( dist < 100 ) or wall ) and ( limit < 20 ) do
			dx = px + Random( -200, 200 )
			dy = py + Random( -200, 200 )
			dist = math.abs( py - dy ) + math.abs( px - dx )
			limit = limit + 1
			
			for j=0,raycasts-1 do
				local ex = dx + math.cos( j * dir ) * length
				local ey = dy - math.sin( j * dir ) * length
				
				wall = RaytraceSurfaces( dx, dy, ex, ey )
				
				if wall then
					break
				end
			end
		end
		
		EntityLoad( "data/entities/particles/poof_pink.xml", dx, dy )
		EntitySetTransform(entity_id, x, y)
	end
end

spawn_ghost()
