dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

SetRandomSeed( x, y )
local rats = EntityGetWithTag( "perk_fungus_tiny" )
local boss = EntityGetWithTag( "fungus_boss" )

if #boss > 0 then
	if ( #rats < 30 ) then
		if ( Random( 1, 10 ) == 5 ) then
			local eid = EntityLoad( "data/entities/projectiles/deck/spore_pod_growing_scaled.xml", x, y )
			local projectile_comps = EntityGetComponent( eid, "ProjectileComponent" )
			
			if( projectile_comps ~= nil ) then

				for i,projcomp in ipairs(projectile_comps) do
				
					ComponentObjectSetValue( projcomp, "config_explosion", "stains_enabled", "0" )
				
				end
			
			end
		elseif ( Random( 1, 40 ) == 20 ) then
			local eid = EntityLoad( "data/entities/animals/boss_fungus/fungus_spore.xml", x, y )
			EntityAddChild(boss[1], eid)
		elseif ModIsEnabled("Apotheosis") and ( Random( 1, 160 ) == 20 ) then
			local eid = EntityLoad( "data/entities/animals/lukki_fungus.xml", x, y )
			EntityAddChild(boss[1], eid)
		elseif ( Random( 1, 20 ) == 20 ) then
			local eid = EntityLoad( "data/entities/animals/boss_fungus/fungus.xml", x, y )
			EntityAddChild(boss[1], eid)
		end
	end
end

EntityKill( entity_id )