dofile_once("data/scripts/lib/utilities.lua")

function spawn_ghost()
	-- print( "spawning ghost" )
	local entity_id = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	
	local entity_ghost = EntityLoad( "data/entities/animals/ghostling_body.xml", pos_x, pos_y )
	
	EntityAddChild(entity_id, entity_ghost)
	
	edit_all_components( entity_ghost, "GhostComponent", function(comp,vars)
		vars.mEntityHome = entity_id
	end)

end

spawn_ghost()
