dofile_once( "data/scripts/projectiles/overmind.lua" )
dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
		
local x, y = EntityGetTransform( entity_id )

local value = GetValueNumber("timeout_frames", 0)

SetValueNumber("timeout_frames", value + 1)

if ( value > 11 ) then
	SetValueNumber("timeout_frames", 0)
end

SetRandomSeed(GameGetFrameNum(), x + y + entity_id)

local random_value = Random(1, 8)

local closestEntity = get_players()[1]

if value <= 10 then
	shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 1, "data/entities/projectiles/giant_boss_laser.xml", 250, 300)
	GameScreenshake(1)
elseif random_value > 4 then
	shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 200, "data/entities/animals/giant.xml", 250, 300)
elseif random_value == 3 then
	shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 200, "data/entities/animals/giant_old.xml", 250, 300)
elseif random_value == 2 then
	shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 200, "data/entities/animals/giant_energy.xml", 250, 300)
elseif random_value == 1 then
	shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 200, "data/entities/animals/giant_alt.xml", 250, 300)
end