--Particle Effects:

dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local parent_id = EntityGetParent( entity_id )

-- local lerp_amount = 0.9

-- local r = ProceduralRandomf(entity_id, 0, -1, 1)

-- -- randomize times and speeds slightly so that multiple fists don't fly identically
-- local time = GameGetFrameNum()
-- time = time + r * 10000
-- lerp_amount = lerp_amount - (r * lerp_amount * 0.01)

-- x,y = vec_lerp(x, y, parent_x, parent_y, lerp_amount)


if parent_id > 0 then

	local parent_x, parent_y = EntityGetTransform(parent_id)
	local x, y = EntityGetTransform(entity_id)

	local particle_emitter_component = EntityGetFirstComponent(entity_id, "ParticleEmitterComponent")

	ComponentSetValue2(particle_emitter_component, "mExPosition", parent_x, parent_y - 10)

	--Position:

	-- local lerp_amount = 0.9
	-- local offset_x = 18
	-- local bob_h = 8
	-- local bob_w = 20
	-- local bob_speed_y = 0.023
	-- local bob_speed_x = 0.01121
	-- local rotate_amount = math.pi * 0.05
	-- local rotate_speed = 0.093

	-- if x == 0 and y == 0 then
		-- x, y = EntityGetTransform(EntityGetParent(entity_id))
	-- end


	-- -- ghost continously lerps towards a target that floats around the parent
	-- local parent_x, parent_y = EntityGetTransform(EntityGetParent(entity_id))
	
	-- if parent_x == nil then return end

	-- -- handedness from variable storage
	-- local comp = get_variable_storage_component(entity_id, "is_left")
	-- is_left = ComponentGetValue2(comp, "value_bool")
	-- if not is_left then offset_x = -offset_x end

	-- parent_x = parent_x + offset_x

	-- local time = GameGetFrameNum()
	-- local r = ProceduralRandomf(entity_id, 0, -1, 1)

	-- -- randomize times and speeds slightly so that multiple fists don't fly identically
	-- time = time + r * 10000
	-- bob_speed_y = bob_speed_y + (r * bob_speed_y * 0.1)
	-- bob_speed_x = bob_speed_x + (r * bob_speed_x * 0.1)
	-- lerp_amount = lerp_amount - (r * lerp_amount * 0.01)

	-- -- bob
	-- parent_y = parent_y + math.sin(time * bob_speed_y) * bob_h

	-- -- rotate
	-- rotate_amount = rotate_amount * math.sin(time * rotate_speed)

	-- -- move towards target
	-- x,y = vec_lerp(x, y, parent_x, parent_y, lerp_amount)
	-- EntitySetTransform( entity_id, x, y - 1, rotate_amount, 1, 1)

	
	local comp = get_variable_storage_component(entity_id, "is_left")
	
	is_left = ComponentGetValue2(comp, "value_bool")
	
	if not is_left then
	
		EntitySetTransform(entity_id, parent_x + 18, parent_y - 10)
		
	else
	
		EntitySetTransform(entity_id, parent_x - 18, parent_y - 10)
		
	end
	
end