dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y, rot, scale_x  = EntityGetTransform(entity_id)

local last_scale_x = GetValueNumber("last_xscale", scale_x)
-- local special_operation = GetValueNumber("special_operation", 0)

local damage_model_component = EntityGetFirstComponentIncludingDisabled( entity_id, "DamageModelComponent")

local var_comp = get_variable_storage_component( entity_id, "turning" )
local var_comp2 = get_variable_storage_component( entity_id, "starting_phase" )
local var_comp3 = get_variable_storage_component( entity_id, "turning_delay" )
local var_comp4 = get_variable_storage_component( entity_id, "starting_z_index" )
local var_comp5 = get_variable_storage_component( entity_id, "damage_flash_delay" )

local flash_delay = ComponentGetValue2(var_comp5, "value_int")

if flash_delay <= 0 then
	local players = EntityGetWithTag("player_unit")

	local suffix = "a"
	local suffix2 = "a"

	local sprite_component_body = EntityGetFirstComponentIncludingDisabled( entity_id, "SpriteComponent", "enabled_in_world")

	local sprite_component = EntityGetFirstComponentIncludingDisabled( entity_id, "SpriteComponent")
	
	local current_animation_body = ""
	local current_animation = ""
	
	if ( sprite_component ~= nil ) and ( sprite_component > 0 ) then
		current_animation = ComponentGetValue2(sprite_component, "rect_animation")
	end

	if (sprite_component_body ~= nil) and (sprite_component_body ~= 0) then
		current_animation_body = ComponentGetValue2(sprite_component_body, "rect_animation")
		if last_scale_x > 0 then
			ComponentSetValue2(sprite_component_body, "rect_animation", "standa")
			-- ComponentSetValue2(sprite_component_body, "next_rect_animation", "standa")
			suffix2 = "a"
		elseif last_scale_x < 0 then
			-- ComponentSetValue2(sprite_component_body, "next_rect_animation", "standg")
			ComponentSetValue2(sprite_component_body, "rect_animation", "standg")
			suffix2 = "g"
		end
		EntityRefreshSprite( entity_id, sprite_component_body )
	end

	if ( current_animation ~= "attack_ranged") then

		local z_index = ComponentGetValue2(var_comp4, "value_int")

		-- local animation_number = tonumber(string.match(current_animation, "%d+"))

		--This is purely turning animation code
		SetValueNumber("last_xscale", scale_x)

		local next_animation_name = ""
		
		-- if ComponentGetValue2(var_comp, "value_bool") == false then

			-- if ( last_scale_x ~= scale_x ) then
				-- ComponentSetValue2(var_comp, "value_bool", true)
				-- suffix = "b"
				
				-- GamePlaySound("data/audio/Desktop/animals.bank", "animals/giant/attack_shoot", x, y)
				
				-- SetValueNumber("timeout_frames", 0 + ComponentGetValue2(var_comp3, "value_int"))
				
			-- end
			
		-- end
		
		if ComponentGetValue2(var_comp, "value_bool") == false then 
			if (last_scale_x ~= scale_x) then
				if ( ComponentHasTag( sprite_component, "character" ) ) then
					ComponentRemoveTag( sprite_component, "character" )
				end
				SetValueNumber("timeout_frames", 0 + ComponentGetValue2(var_comp3, "value_int"))
				ComponentSetValue2(var_comp, "value_bool", true)
				GamePlaySound("data/audio/Desktop/animals.bank", "animals/giant/attack_shoot", x, y)
				suffix = "b"
				-- ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "data/ragdolls/hydra2/filenamesb.txt")
			end
			-- if #players > 0 then
				-- local enemy_x, enemy_y = EntityGetTransform(players[1])
				-- SetValueNumber("timeout_frames", 0 + ComponentGetValue2(var_comp3, "value_int"))
				-- if ( ( enemy_x > x ) and ( scale_x < 0 ) ) then
					-- ComponentSetValue2(var_comp, "value_bool", true)
					-- GamePlaySound("data/audio/Desktop/animals.bank", "animals/giant/attack_shoot", x, y)
					-- suffix = "b"
					-- -- ComponentSetValue2(sprite_component, "has_special_scale", true)
					-- -- ComponentSetValue2(sprite_component, "special_scale_x", -1)
				-- elseif ( ( enemy_x < x ) and ( scale_x > 0 ) ) then
					-- ComponentSetValue2(var_comp, "value_bool", true)
					-- GamePlaySound("data/audio/Desktop/animals.bank", "animals/giant/attack_shoot", x, y)
					-- suffix = "b"
					-- -- ComponentSetValue2(sprite_component, "has_special_scale", true)
					-- -- ComponentSetValue2(sprite_component, "special_scale_x", 1)
				-- end
			-- end
		end

		
		local animation_phase = GetValueNumber("animation_phase", ComponentGetValue2(var_comp2, "value_int"))
		if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 4 == 0 then
			SetValueNumber("animation_phase", animation_phase + 1)
		end
		
		if animation_phase > 19 then
			SetValueNumber("animation_phase", 1)
		end
		
		-- var_comp = get_variable_storage_component( entity_id, "turning" )
		
		if ComponentGetValue2(var_comp, "value_bool") == true then
			--ComponentSetValue2(sprite_component, "update_transform", false)
			SetValueNumber("timeout_frames", GetValueNumber("timeout_frames", 35) + 1)
			if GetValueNumber("timeout_frames", 35) < 10 then
				suffix = "b"
				-- ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "data/ragdolls/hydra2/filenamesb.txt")
				if (sprite_component_body ~= nil) and (sprite_component_body ~= 0) then
					if scale_x > 0 then
						suffix2 = "g"
					elseif scale_x < 0 then
						suffix2 = "a"
					end
				end
				
			elseif GetValueNumber("timeout_frames", 35) < 15 then
				suffix = "c"
				-- ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "data/ragdolls/hydra2/filenamesb.txt")
				if (sprite_component_body ~= nil) and (sprite_component_body ~= 0) then
					if scale_x > 0 then
						suffix2 = "f"
					elseif scale_x < 0 then
						suffix2 = "b"
					end
				end
				
				-- z_index = z_index + 0.1
			elseif GetValueNumber("timeout_frames", 35) < 20 then
				suffix = "d"
				-- ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "data/ragdolls/hydra2/filenamesc.txt")
				if (sprite_component_body ~= nil) and (sprite_component_body ~= 0) then
					if scale_x > 0 then
						suffix2 = "e"
					elseif scale_x < 0 then
						suffix2 = "c"
					end
				end
				-- z_index = z_index + 0.2
			elseif GetValueNumber("timeout_frames", 35) < 25 then
				suffix = "e"
				-- ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "data/ragdolls/hydra2/filenamesd.txt")
				if (sprite_component_body ~= nil) and (sprite_component_body ~= 0) then
					if scale_x > 0 then
						suffix2 = "d"
					elseif scale_x < 0 then
						suffix2 = "d"
					end
				end
				-- z_index = z_index + 0.3
			elseif GetValueNumber("timeout_frames", 35) < 30 then
				suffix = "f"
				-- ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "data/ragdolls/hydra2/filenamese.txt")
				if (sprite_component_body ~= nil) and (sprite_component_body ~= 0) then
					if scale_x > 0 then
						suffix2 = "c"
					elseif scale_x < 0 then
						suffix2 = "e"
					end
				end
				-- z_index = z_index + 0.2
			elseif GetValueNumber("timeout_frames", 35) < 35 then
				suffix = "g"
				-- ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "data/ragdolls/hydra2/filenamese.txt")
				if (sprite_component_body ~= nil) and (sprite_component_body ~= 0) then
					if scale_x > 0 then
						suffix2 = "b"
					elseif scale_x < 0 then
						suffix2 = "f"
					end
				end
				-- z_index = z_index + 0.1
			end
			if ( GetValueNumber("timeout_frames", 35) > 35 ) then
				-- ComponentSetValue2(sprite_component, "has_special_scale", false)
				ComponentSetValue2(var_comp, "value_bool", false)
				if ( not ComponentHasTag( sprite_component, "health_bar" ) ) then
					ComponentAddTag( sprite_component, "character" )
				end
			end
		end
		
		next_animation_name = "stand" .. suffix .. tostring(animation_phase)
		
		ComponentSetValue2(sprite_component, "rect_animation", next_animation_name)
		-- ComponentSetValue2(sprite_component, "next_rect_animation", next_animation_name)
		ComponentSetValue2(sprite_component, "z_index", z_index)
		
		
		
		if (sprite_component_body ~= nil) and (sprite_component_body ~= 0) then
			-- ComponentSetValue2(sprite_component_body, "next_rect_animation", "stand" .. suffix2)
			ComponentSetValue2(sprite_component_body, "rect_animation", "stand" .. suffix2)
		end
		EntityRefreshSprite( entity_id, sprite_component_body )
		EntityRefreshSprite( entity_id, sprite_component )
		
		-- if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 1 == 0 then
	elseif current_animation == "attack_ranged" then
		EntitySetTransform(entity_id, x, y, rot, last_scale_x)
		-- ComponentSetValue2(damage_model_component, "ragdoll_filenames_file", "data/ragdolls/hydra2/filenames.txt")
	end
else
	ComponentSetValue2(var_comp5, "value_int", flash_delay - 1)
end

function damage_received( dmg, msg, source )
	local entity_id = GetUpdatedEntityID()
	local var_comp5 = get_variable_storage_component( entity_id, "damage_flash_delay" )
	ComponentSetValue2(var_comp5, "value_int", 1)
end