dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

icicle = EntityLoad( "data/entities/ragdolls/icicle_ceiling.xml", pos_x , pos_y )

local damage_model_component = EntityGetFirstComponent(icicle, "DamageModelComponent")
  
if damage_model_component then
	--print("Applying necromancy to entity "..entity_id..". Entity hp before necromancy is "..ComponentGetValue2(damage_model_component, "hp")..".")
	ComponentSetValue2(damage_model_component, "hp", 0)
	ComponentSetValue2(damage_model_component, "air_needed", true)
	ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
end