dofile_once("data/scripts/lib/utilities.lua")

function damage_received( damage, message, entity_thats_responsible, is_fatal  )

    if(is_fatal == true)then

		local entity_id    = GetUpdatedEntityID()

		for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
		
			if EntityGetName(child_id) ~= "important" then
			
				EntityRemoveFromParent(child_id)
			
				local damage_model_component = EntityGetFirstComponentIncludingDisabled(child_id, "DamageModelComponent")
				
				if damage_model_component then
				
					EntitySetComponentIsEnabled( entity_id, damage_model_component, true )
					
					ComponentSetValue2(damage_model_component, "hp", 0)
					ComponentSetValue2(damage_model_component, "air_needed", true)
					ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
					
				end
				
			end
		
		end
		
	end
	
end