dofile_once("data/scripts/lib/utilities.lua")

function damage_received( damage, message, entity_thats_responsible, is_fatal  )

	local entity_id    = GetUpdatedEntityID()
	local x, y = EntityGetTransform(entity_id)

	if entity_thats_responsible ~= 0 and entity_thats_responsible ~= nil then
		
		if EntityHasTag( entity_thats_responsible, "player_unit" ) == true then
		
			if (GlobalsGetValue("new_enemies_health_bar_shown", "0") == "0") then
			
				local lua_comps = EntityGetComponent(entity_id, "LuaComponent") or {}
				
				for i, comp in ipairs(lua_comps) do
				
					if ComponentGetValue2(comp, "script_source_file") ~= "data/scripts/buildings/boss_health_bar_magiconstruct.lua" then

						EntityAddComponent(entity_id, "LuaComponent", {
							script_source_file="data/scripts/buildings/boss_health_bar_magiconstruct.lua",
							execute_every_n_frame=1
						})
						
						GlobalsSetValue("new_enemies_health_bar_shown", "1")
						
					end
					
				end
				
			end
			
		end
		
		if is_fatal == true then
		
			GlobalsSetValue("new_enemies_health_bar_shown", "0")
		
		end
	
	end
	
end