dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

head_number = 0

for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
	if EntityGetName(child) == "controls" then
		controls_id = child
	end
end

for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
	if EntityGetName(child) == "triangle" then
		head_number = head_number + 1
	end
end

-- spawn a new head if less than x
if head_number < 6 then
	local ent = shoot_projectile( controls_id, "data/entities/projectiles/mexxi_triangle.xml", x, y - 15 , 0, -50, false )
    EntitySetName(ent, "triangle")

    EntityAddChild(entity_id, ent)
end