local entity_id = GetUpdatedEntityID()

local pos_x, pos_y = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

function throw_glass_shard( sprite_path, x, y )
	local shard = EntityLoad( "data/entities/props/physics_glass_shard_base_mwyah_bubble.xml", x , y )
	
	EntityAddComponent2(shard, "SpriteComponent", {
		offset_x=8,
		offset_y=8,
		image_file=sprite_path
	} )
	
	EntityAddComponent2(shard, "LifetimeComponent", {
		lifetime = ( 300 + Random(-150,150) ),
		fade_sprites = true
	} )

	PhysicsApplyForce( shard, Random(-300,300), Random(-300,300) )
	PhysicsApplyTorque( shard, Random(-200,200) )
end

throw_glass_shard( "data/props_gfx/physics_glass_shard_01_mwyah_bubble.png", pos_x+8, pos_y-8 )
throw_glass_shard( "data/props_gfx/physics_glass_shard_02_mwyah_bubble.png", pos_x-8, pos_y-8 )
throw_glass_shard( "data/props_gfx/physics_glass_shard_03_mwyah_bubble.png", pos_x-8, pos_y-8 )
throw_glass_shard( "data/props_gfx/physics_glass_shard_04_mwyah_bubble.png", pos_x+8, pos_y+8 )