dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local var_comp = EntityGetFirstComponent(entity_id, "VariableStorageComponent")

if ComponentGetValue2(var_comp, "value_bool") == false then
	ComponentSetValue2(var_comp, "value_bool", true)
	
	SetValueNumber("origin_x", x)
	SetValueNumber("origin_y", y)
end

local ox = GetValueNumber("origin_x", x)
local oy = GetValueNumber("origin_y", y)

local cx, cy = GameGetCameraPos()

local parallaxFactor = 0.9

local x2 = (cx - ox) * parallaxFactor
local y2 = (cy - oy) * parallaxFactor

EntitySetTransform(entity_id, ox + x2, oy + y2)