dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local new_ent = EntityLoad("data/entities/animals/phantom_boss_tiny.xml", x, y)

	
local who_shot_damage_model_component = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
local who_spawned_damage_model_component = EntityGetFirstComponentIncludingDisabled( new_ent, "DamageModelComponent" )

local hp = ComponentGetValue2(who_shot_damage_model_component, "hp")
local max_hp = ComponentGetValue2(who_shot_damage_model_component, "max_hp")
local minimum_knockback_force = ComponentGetValue2(who_shot_damage_model_component, "minimum_knockback_force")

if max_hp and hp then
	if hp <= 0 then
		EntityKill(new_ent)
		return
	end
	ComponentSetValue2( who_spawned_damage_model_component, "minimum_knockback_force", minimum_knockback_force )
	ComponentSetValue2( who_spawned_damage_model_component, "max_hp", max_hp )
	ComponentSetValue2( who_spawned_damage_model_component, "hp", hp )
	
end