dofile_once("data/scripts/lib/utilities.lua")
dofile_once( "data/scripts/game_helpers.lua" )

function damage_received( damage, message, entity_thats_responsible, is_fatal  )

	local entity_id = GetUpdatedEntityID()
	local parent_id = EntityGetParent( entity_id )
	
	GamePlayAnimation(parent_id, "hurt", 1)
	
    if(is_fatal == true)then

		if parent_id > 0 then
			
			local x, y, rot, scale_x  = EntityGetTransform(parent_id)
			EntitySetTransform(entity_id, x, y, rot, scale_x)
			EntityRemoveFromParent(entity_id)
			
			local damage_model_component = EntityGetFirstComponentIncludingDisabled(parent_id, "DamageModelComponent")
			
			EntitySetComponentIsEnabled( parent_id, damage_model_component, true )
						
			ComponentSetValue2(damage_model_component, "hp", 0)
			ComponentSetValue2(damage_model_component, "air_needed", true)
			ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
			
		end
	end
end