dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y  = EntityGetTransform(entity_id)

local did_hit, hit_x, hit_y = RaytracePlatforms(x - 2, y - 6, x + 2, y - 6)

if did_hit then
	EntitySetComponentsWithTagEnabled(entity_id, "jetpack", false)
end

local character_data_component = EntityGetFirstComponent(entity_id, "CharacterDataComponent")
local velocity_component = EntityGetFirstComponent(entity_id, "VelocityComponent")
if velocity_component ~= nil and character_data_component ~= nil then
	local velocity_x, velocity_y = ComponentGetValue2( velocity_component, "mVelocity")
	ComponentSetValueVector2(character_data_component, "mVelocity", velocity_x, -78)
end