dofile_once("data/scripts/new_enemies_utils.lua")
dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )
local entities = EntityGetInRadiusWithTag(x, y, 500, "mortal")
local time_mage_found_in_range = false
for i, entity in ipairs(entities) do
	if EntityGetName(entity) == "$wizard_time" or EntityGetName(entity) == "Toxic Mage" then
		time_mage_found_in_range = true
		break
	end	
end

if not time_mage_found_in_range then
	local var_store_comp = get_component_with_values(entity_id, "VariableStorageComponent", { name = "position_tracker" })
	if var_store_comp then
		EntityRemoveComponent(entity_id, var_store_comp)
	end
	
	local lua_comp = get_component_with_values(entity_id, "LuaComponent", { script_source_file = "data/scripts/misc/position_tracker.lua" })
	if lua_comp then
		EntityRemoveComponent(entity_id, lua_comp)
	end

	local this_lua_component = GetUpdatedComponentID()
	EntityRemoveComponent(entity_id, this_lua_component)
end
