dofile_once("data/scripts/lib/utilities.lua")
-- end

function damage_received( damage, message, entity_thats_responsible, is_fatal, projectile_thats_responsible )
	local projectile_comp = EntityGetFirstComponentIncludingDisabled( projectile_thats_responsible, "ProjectileComponent" )
	if projectile_comp then
		ComponentSetValue2( projectile_comp, "physics_impulse_coeff", 0 )
		ComponentSetValue2( projectile_comp, "knockback_force", 0 )
		ComponentObjectSetValue2( projectile_comp, "config_explosion", "physics_explosion_power", 0, 0 )
		ComponentObjectSetValue2( projectile_comp, "config_explosion", "physics_throw_enabled", false )
	end
	local verlet_comp = EntityGetFirstComponentIncludingDisabled( projectile_thats_responsible, "VerletWeaponComponent" )
	if verlet_comp then
		ComponentSetValue2( verlet_comp, "impulse_coeff", 0 )
		ComponentSetValue2( verlet_comp, "physics_impulse_coeff", 0 )
		ComponentSetValue2( verlet_comp, "physics_force_radius", 0 )
		ComponentSetValue2( verlet_comp, "damage_radius", 0 )
		ComponentSetValue2( verlet_comp, "damage_min_step", 0 )
		ComponentSetValue2( verlet_comp, "damage_max", 0 )
		ComponentSetValue2( verlet_comp, "damage_coeff", 0 )
	end
end