dofile_once("data/scripts/lib/utilities.lua")

function math.clamp(val, minn, maxx)

    if minn - val > 0 then
        return minn
    end

    if maxx - val < 0 then
        return maxx
    end

    return val
end

local this = GetUpdatedEntityID()
local x, y = EntityGetTransform(this)
local players = EntityGetInRadiusWithTag(x, y, 150, "player_unit")


if #players > 0 then
	local player_x, player_y = EntityGetTransform(players[1])
	
	if player_x > x then
		PhysicsApplyTorque( this, 20 )
	elseif player_x < x then
		PhysicsApplyTorque( this, -20 )
	end
    local ent = players[1]
    local ex, ey = EntityGetTransform(ent)
    local projectile_velocity = 300
    -- direction
    local vel_x, vel_y = vec_sub(ex, ey, x, y)
    vel_x, vel_y = vec_normalize(vel_x, vel_y)
    vel_x, vel_y = vec_mult(vel_x, vel_y, projectile_velocity)
    PhysicsApplyForce(this, vel_x * 0.5 , 10)
end