dofile_once( "data/scripts/lib/utilities.lua" )
-- dofile( "data/scripts/game_helpers.lua" )

local dash_velocity = 250

local entity_id = GetUpdatedEntityID()
local x, y, rot, scale_x  = EntityGetTransform(entity_id)

local enemy, enemy_x, enemy_y
local min_dist = 9999
for _,id in pairs(EntityGetInRadiusWithTag(x, y, 250, "mortal")) do
	-- is target a valid enemy
	if entity_id ~= id  and (EntityGetHerdRelation(entity_id, id) < 40) and EntityGetParent(id) ~= entity_id and (EntityGetComponent(id, "GenomeDataComponent") ~= nil)	then
		local entity_x, entity_y = EntityGetFirstHitboxCenter( id )
		local dist = get_distance(x, y, entity_x, entity_y)
		if dist < min_dist then
			min_dist = dist
			enemy = id
			enemy_x = entity_x
			enemy_y = entity_y
		end
	end
end

--do nothing if there's no target

if not enemy then return end

if ( ( enemy_x < x and scale_x < 0 ) or ( enemy_x > x and scale_x > 0 ) ) then

	--getting the direction to go to
	local dir = get_direction(x, y, enemy_x, enemy_y)
	local force = 400
	local force_x = math.cos(dir) * ( force )
	local force_y = math.sin(dir) * ( force * 10000000000000000000000000000 )
	
	local cdc_id = EntityGetFirstComponentIncludingDisabled(entity_id, "CharacterDataComponent")
	local velocity_x, velocity_y = ComponentGetValue2(cdc_id, "mVelocity")
	
	ComponentSetValueVector2(cdc_id, "mVelocity", velocity_x - force_x, velocity_y + force_y)
end