dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local projectile_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ProjectileComponent")
local shooter_id = ComponentGetValue2(projectile_component, "mWhoShot")   
local sx, sy = EntityGetTransform(shooter_id)

local segment_count = GetValueNumber("segment_count", 13)

-- GamePrint(sx .. " " .. sy)
-- GamePrint(x .. " " .. y)

-- GameCreateSpriteForXFrames( "mods/pin_corpse/dot1.png", px, py, true, 0, 0, 1, true )
for _, child in ipairs(EntityGetAllChildren(entity_id) or {} ) do
  if EntityGetName(child) == "verlet" then
		--animation

	  local verlet_component = EntityGetFirstComponentIncludingDisabled(child, "VerletPhysicsComponent")
	  if verlet_component then
		
		-- local sprite_comps = EntityGetComponent(child, "SpriteComponent") or {}
		-- for i, comp in ipairs(sprite_comps) do
			-- if i > (segment_count ) then
				-- ComponentSetValue2(comp, "visible", false)
			-- else
				-- ComponentSetValue2(comp, "visible", true)
			-- end
		-- end
	  
		-- for i = 1, ComponentGetValue2(verlet_component, "num_links") + 15 do
			-- -- local segment = EntityCreateNew("segment")
			-- -- local cx, cy = EntityGetTransform(child)
			-- -- EntitySetTransform(segment, cx, cy)
			-- EntityAddComponent2(child, "SpriteComponent", {
				-- image_file = "data/enemies_gfx/scorpio_slime.png",
				-- offset_x = 0,
				-- offset_y = 0,
				-- rect_animation = "",
				-- z_index = 1,
				-- alpha = 1,
				-- visible = true,
				-- update_transform = false,
				-- update_transform_rotation = false
			-- })

			-- -- EntityAddChild(child, segment)
		-- end
		local positions = ComponentGetValue2(verlet_component, "positions")
		-- ComponentSetValue2(verlet_component, "num_links", ComponentGetValue2(verlet_component, "num_links") + 1)
		if (shooter_id ~= nil) and (shooter_id > 0) then
			local needle_found = false
			for _, child2 in ipairs(EntityGetAllChildren(shooter_id) or {} ) do
				if EntityGetName(child2) == "needle" then
					local nx, ny = EntityGetTransform(child2)
					-- positions[27 + (segment_count - 13)] = nx
					-- positions[28 + (segment_count - 13)] = ny
					positions[27] = nx
					positions[28] = ny

					needle_found = true
				end
			end
			
			if needle_found == false then
				-- positions[27 + (segment_count - 13)] = sx
				-- positions[28 + (segment_count - 13)] = sy
				positions[27] = sx
				positions[28] = sy
			end
		else
			EntityKill(child)
		end
		positions[1] = x
		positions[2] = y
		ComponentSetValue2(verlet_component, "positions", positions)
	  end
	  
	-- local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")
	-- if times_executed > 200 then
		-- -- local verlet_weapon_component = EntityGetFirstComponentIncludingDisabled(child, "VerletWeaponComponent")
		-- -- EntitySetComponentIsEnabled( entity_id, verlet_weapon_component, true )
		-- EntitySetComponentIsEnabled( entity_id, GetUpdatedComponentID(), false )
		-- EntityKill(child)
	-- end
	  -- local verlet_world_joint_component = EntityGetFirstComponentIncludingDisabled(child, "VerletWorldJointComponent")
	  -- if verlet_world_joint_component then
	  -- -- world_position is the origin of the verlet
		-- ComponentSetValue2(verlet_world_joint_component, "world_position", x, y)
		-- ComponentSetValue2(verlet_world_joint_component, "verlet_point_index", 1)
	  -- end
  end
end
if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 10 == 0 then
	if segment_count < 34 then
		SetValueNumber("segment_count", segment_count + 2)
	end
end