dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()

local value = GetValueNumber("sprite_number", 0.31)

--animation
local sprite_comps = EntityGetComponent(entity_id, "SpriteComponent") or {}
for i, comp in ipairs(sprite_comps) do

	local z_index = ComponentGetValue2( comp, "z_index" )
	
	if math.abs(z_index - value) < 0.0001 then
	
		ComponentSetValue2(comp, "rect_animation", "eat")
		ComponentSetValue2(comp, "next_rect_animation", "still")
		
		if value >= 0.39 then
			SetValueNumber("sprite_number", 0.31)
		else
			SetValueNumber("sprite_number", value + 0.01)
		end
	
	end
	
end