dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local effect_comps = EntityGetComponentIncludingDisabled(entity_id, "GameEffectComponent") or {}

for i, comp in ipairs(effect_comps) do
		
	if ComponentGetValue2(comp, "effect") == "PROTECTION_MELEE" then
	
		EntitySetComponentIsEnabled( entity_id, comp, true )
		
	end
	
end

local this_lua_component = GetUpdatedComponentID()
EntityRemoveComponent(entity_id, this_lua_component)