dofile_once("data/scripts/lib/utilities.lua")

function damage_received(damage, message,entity_thats_responsible, is_fatal)

	local entity_id = GetUpdatedEntityID()
	local x, y, rot, scale_x = EntityGetTransform(entity_id)
	local player = EntityGetWithTag("player_unit")[1]

	if player > 0 then
		if entity_thats_responsible == player then
					
			local animation_id = EntityLoad( "data/entities/animals/slimeshooter_mega_wake.xml", x, y )
			EntitySetTransform(animation_id, x, y, rot, scale_x)
			
			EntityKill(entity_id)
			return
		end
	end
	
	local damage_model_component = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
	
	if damage_model_component then
	
		local hp = ComponentGetValue2(damage_model_component, "hp")
		local max_hp = ComponentGetValue2(damage_model_component, "max_hp")
		
		local percentage_hp = hp / max_hp * 100
		
		if percentage_hp < 75 then
		
			local animation_id = EntityLoad( "data/entities/animals/slimeshooter_mega_wake.xml", x, y )
			EntitySetTransform(animation_id, x, y, rot, scale_x)
			
			EntityKill(entity_id)
			
		end
	end
	
end