local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local found, nx, ny, apd = GetSurfaceNormal(x, y, 10, 16)
if found then
  nx = nx * (math.abs(apd) + 2)
  ny = ny * (math.abs(apd) + 2)
else
  nx = 0
  ny = 0
end

local e1 = EntityLoad("data/entities/animals/scavenger_grenade.xml", x - nx, y - ny)
local e2 = EntityLoad("data/entities/misc/scavenger_parachute.xml", x - nx, y - ny)
EntityAddChild(e1, e2)

EntityKill(entity_id)
