local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local found, nx, ny, apd = GetSurfaceNormal(x, y, 10, 16)
if found then
  nx = nx * (math.abs(apd) + 2)
  ny = ny * (math.abs(apd) + 2)
else
  nx = 0
  ny = 0
end

local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)

local random_number = Random(1,100)

if random_number > 50 then

	EntityLoad("data/entities/animals/vault/flamer.xml", x - nx, y - ny)

elseif random_number <= 50 then

	EntityLoad("data/entities/animals/vault/icer.xml", x - nx, y - ny)
	
end

EntityKill(entity_id)
