dofile_once("data/scripts/lib/utilities.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	local entity_id = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )

	EntityLoad( "data/entities/props/physics_stone_02.xml", pos_x , pos_y )
end

function physics_body_modified( is_destroyed )
	local entity_id = GetUpdatedEntityID()
	
	EntityAddComponent(entity_id, "VariableStorageComponent", {
		_tags="no_gold_drop",
	})
	
	EntityInflictDamage(entity_id, 2, "DAMAGE_PHYSICS_BODY_DAMAGED", "", "NONE", 0, 0)
end