dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local parent_id = EntityGetParent(entity_id)
local px, py = EntityGetTransform(parent_id)
local attack_component = EntityGetFirstComponentIncludingDisabled(parent_id, "AIAttackComponent", "enabled_in_hand")
local gun_radians = ComponentGetValue2(attack_component, "mRangedAttackCurrentAimAngle")

local distance = 20

local offset_x = math.cos(gun_radians) * distance
local offset_y = math.sin(gun_radians) * distance

EntitySetTransform(entity_id, px + offset_x, py + offset_y - 7)

