dofile_once("data/scripts/lib/utilities.lua")

function damage_received( damage, message, entity_thats_responsible, is_fatal  )

    if(is_fatal == true)then

		local entity_id    = GetUpdatedEntityID()

		for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
			
			EntityRemoveFromParent(child_id)
			
			local verlet_physics_component = EntityGetFirstComponentIncludingDisabled(child_id, "VerletPhysicsComponent")
				
			if verlet_physics_component then
				
				local child_velocity_comp = EntityAddComponent(child_id, "VelocityComponent", {}) 
				EntityAddComponent(child_id, "SimplePhysicsComponent", {}) 
				
				local parent_velocity_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "VelocityComponent")
				
				local vx, vy = ComponentGetValue2(parent_velocity_comp, "mVelocity")
				ComponentSetValue2(child_velocity_comp, "mVelocity", vx, vy)
			
			end
		
		end
		
	end
	
end