dofile_once("data/scripts/lib/utilities.lua")

function shot( projectile_id )

	local entity_id = GetUpdatedEntityID()

	for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
	
		EntityRemoveFromParent(child_id)
	
		local damage_model_component = EntityGetFirstComponentIncludingDisabled(child_id, "DamageModelComponent")
		
		if damage_model_component then
		
			EntitySetComponentIsEnabled( entity_id, damage_model_component, true )
			
			ComponentSetValue2(damage_model_component, "hp", 0)
			ComponentSetValue2(damage_model_component, "air_needed", true)
			ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
			
		end
	
	end
	
end