dofile( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local entities = EntityGetInRadiusWithTag(x, y, 3000, "mortal")

local worm_found_in_range = false

for i, entity in ipairs(entities) do

	if EntityGetName(entity) == "$seamonster" then
	
		worm_found_in_range = true
		break
		
	end
	
end

if not worm_found_in_range then
	
	local worm_attractor_component = EntityGetFirstComponent(entity_id, "WormAttractorComponent")
	
	if worm_attractor_component then
		
		EntityRemoveComponent(entity_id, WormAttractorComponent)
		GamePrint("Component removed")
		
		local this_lua_component = GetUpdatedComponentID()
		EntityRemoveComponent(entity_id, this_lua_component)
	
	end

end