dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local entities = EntityGetInRadiusWithTag(x, y, 300, "mortal")

for i, entity in ipairs(entities) do

	if EntityGetName(entity) == "$xopon" then
		local leader_x, leader_y = EntityGetTransform(entity)
		local particle_emitter_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ParticleEmitterComponent")

		ComponentSetValue2(particle_emitter_component, "mExPosition", leader_x, leader_y)
	end
	
end