dofile_once("data/scripts/lib/utilities.lua")

local range = 300

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")
if target > 0 then
	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)

	if dist > range then

		for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
		  
		  if EntityGetName(child) == "limb" then
		  
			EntityKill(child)
			
		  end
		  
		end
		
	else
	
		limbs = 0

		for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do

		  if EntityGetName(child) == "limb" then
			limbs = limbs + 1
		  end
		
		end
		
		if limbs < 2 then
		
			for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
			  
				if EntityGetName(child) == "limb" then
			  
					EntityKill(child)
					
				end

			end
		
		end
		
		if limbs == 0 then
			
		    local ent = EntityLoad("data/entities/verlet_chains/yikka_ghost/verlet.xml", x, y)
			EntitySetTransform( ent, x, y )
			local inherit_comp = EntityAddComponent2(ent, "InheritTransformComponent")
			local tx, ty, scale_x, scale_y, rot = ComponentGetValue2(inherit_comp, "Transform")
			ComponentSetValue2(inherit_comp, "Transform", 12, 0, scale_x, scale_y, rot)
			EntitySetName(ent, "limb")
			EntityAddChild(entity_id, ent)
			
		    local ent = EntityLoad("data/entities/verlet_chains/yikka_ghost/verlet.xml", x, y)
			EntitySetTransform( ent, x, y )
			local inherit_comp = EntityAddComponent2(ent, "InheritTransformComponent")
			local tx, ty, scale_x, scale_y, rot = ComponentGetValue2(inherit_comp, "Transform")
			ComponentSetValue2(inherit_comp, "Transform", -12, 0, scale_x, scale_y, rot)
			EntitySetName(ent, "limb")
			EntityAddChild(entity_id, ent)
			
		end

	end
	
end