dofile_once("data/scripts/empty_enemy_helper_start.lua")

function spawn_scorpions(x, y)
	spawn(g_scorpions,x,y)
	if not HasFlagPersistent("ned_spider_crawler") then
		SetRandomSeed( GameGetFrameNum(), x + y )
		local random_val = Random(1, 5)
		if Randomf() < ((1/8) * global_prob) then
			for i=1, random_val do
				SetRandomSeed( GameGetFrameNum() + Random(-150, 150), x + y )
				local random_x = x + Random(-50, 50)
				local random_y = y - 50 + Random(-50, 50)
				local did_hit,hit_x,hit_y = RaytraceSurfaces(random_x, random_y, random_x, random_y)
				local entities = EntityGetInRadiusWithTag( random_x, random_y, 10, "monk_hand" )
				if ( #entities > 1 ) then
				else
					if not did_hit then
						EntityLoad("data/entities/animals/spider_crawler.xml", random_x, random_y )
					end
				end
			end
		end
	end
	if not HasFlagPersistent("ned_larva_crawler") then
		SetRandomSeed( GameGetFrameNum(), x + y )
		local random_val = Random(2, 5)
		if Randomf() < ((1/8) * global_prob) then
			for i=1, random_val do
				local did_hit,hit_x,hit_y = RaytraceSurfaces(x, y - 5, x, y - 5)
				if not did_hit then
					EntityLoad("data/entities/animals/crawlers/larva_crawler_spawner.xml", x, y - 20 )
				end
			end
		end
	end
end

if not HasFlagPersistent("ned_mummy") then
table.insert(g_statues,
{
    prob   		= 0.5 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "mods/new_enemies/data/entities/animals/coffin_mummy.xml"
})
end

if not HasFlagPersistent("ned_irtokki") then
table.insert(g_small_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/irtokki.xml"
})
end

if not HasFlagPersistent("ned_wizard_random") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/wizard_random.xml"
})
end

if not HasFlagPersistent("ned_wizard_earthquake") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/wizard_earthquake.xml"
})
end

if not HasFlagPersistent("ned_wizard_time") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/wizard_time.xml"
})
end

if not HasFlagPersistent("ned_bloodmage_lesser") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/bloodmage_lesser.xml"
})
end

if not HasFlagPersistent("ned_lost_soul_big") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/lost_soul_big.xml"
})
end

if not HasFlagPersistent("ned_firemage_big") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/firemage_big.xml"
})
end

if not HasFlagPersistent("ned_eldari_big") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/eldari_big.xml"
})
end

if not HasFlagPersistent("ned_potionmaster2") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/potionmaster2.xml"
})
end

if not HasFlagPersistent("ned_wandmaster2") then
table.insert(g_big_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/wandmaster2.xml"
})
end

if not HasFlagPersistent("ned_hurpa") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/hurpa.xml"
})
end

if not HasFlagPersistent("ned_phantom_trapper") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/phantom_trapper.xml"
})
end

if not HasFlagPersistent("ned_bloodmage_greater") then
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/bloodmage_greater.xml"
})
end

if not HasFlagPersistent("ned_mirror_physics") then
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/mirror_physics.xml"
})
end

if not HasFlagPersistent("ned_player_decoy") then
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/player_decoy.xml"
})
end

-- if not HasFlagPersistent("ned_void_mask2") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.125,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/void_mask2.xml"
-- })
-- end

if not HasFlagPersistent("ned_wizard_madness") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/wizard_madness.xml"
})
end

if not HasFlagPersistent("ned_wizard_twin") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/wizard_twin.xml"
})
end

if not HasFlagPersistent("ned_manus") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/manus.xml"
})
end

if not HasFlagPersistent("ned_sochaos") then
table.insert(g_big_enemies,
{
    prob   		= 0.025 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/sochaos.xml"
})
end

if not HasFlagPersistent("ned_blood_teddy") then
table.insert(g_big_enemies,
{
    prob   		= 0.025 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/blood_teddy.xml"
})
end

if not HasFlagPersistent("ned_bloodmage_enlightened") then
table.insert(g_big_enemies,
{
    prob   		= 0.025 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/bloodmage_enlightened.xml"
})
end

if not HasFlagPersistent("ned_skull_abomination") then
table.insert(g_big_enemies,
{
    prob   		= 0.025 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/skull_abomination.xml"
})
end

if not HasFlagPersistent("ned_xopon") then
table.insert(g_big_enemies,
{
    prob   		= 0.025 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/xopon.xml"
})
end

-- if not HasFlagPersistent("ned_lempo") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/lempo.xml"
-- })
-- end

if not HasFlagPersistent("ned_lempo") then
	table.insert(g_big_enemies, {
	prob           = 0.025 * global_prob,
	min_count    = 1,
	max_count    = 1,  
	entity     = "data/entities/animals/lempo.xml",
	delete = function()
		for i,enemy in ipairs(g_big_enemies) do
			if enemy.entity == "data/entities/animals/lempo.xml" then
				table.remove(g_big_enemies, i)
				g_big_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				for i, v in ipairs(g_big_enemies) do 
				  if v.entity == "" then
					v.prob = v.prob - enemy.prob * vanilla_big_enemies_empty_percentage
				  end
				end
				break
			  end
			end
		  end
		})
	end

if not HasFlagPersistent("ned_phantom_boss") then
table.insert(g_big_enemies,
{
    prob   		= 0.11 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/phantom_boss.xml"
})
end

if not HasFlagPersistent("ned_gold_face_physics") then
table.insert(g_big_enemies,
{
    prob   		= 0.07 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/gold_face_physics.xml"
})
end

if not HasFlagPersistent("ned_skullspider") then
table.insert(g_big_enemies,
{
    prob   		= 0.055 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/skullspider.xml"
})
table.insert(g_small_enemies,
{
    prob   		= 0.055 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/skullspider.xml"
})
end

-- if not HasFlagPersistent("ned_flesh_monster") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.06,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/crypt/flesh_monster.xml"
-- })
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/crypt/flesh_monster.xml"
-- })
-- end

if not HasFlagPersistent("ned_gigashooter") then
table.insert(g_big_enemies,
{
    prob   		= 0.06 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/gigashooter.xml"
})
table.insert(g_small_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/gigashooter.xml"
})
end
-- if not HasFlagPersistent("ned_fallen_alchemist") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/crypt/fallen_alchemist.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/crypt/fallen_alchemist.xml"
-- })
-- end
if not HasFlagPersistent("ned_forgotten_alchemist") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/forgotten_alchemist.xml"
})
end
if not HasFlagPersistent("ned_corrupt_alchemist") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/corrupt_alchemist.xml"
})
end
-- if not HasFlagPersistent("ned_head_statue_physics") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.07,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/crypt/head_statue_physics.xml"
-- })
-- end
if not HasFlagPersistent("ned_phan") then
table.insert(g_big_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/phan.xml"
})
table.insert(g_small_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/phan.xml"
})
end
if not HasFlagPersistent("ned_ghuu") then
table.insert(g_big_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/ghuu.xml"
})
table.insert(g_small_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/ghuu.xml"
})
end
if not HasFlagPersistent("ned_nova") then
table.insert(g_big_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/nova.xml"
})
table.insert(g_small_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/nova.xml"
})
end
if not HasFlagPersistent("ned_igu") then
table.insert(g_big_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/igu.xml"
})
table.insert(g_small_enemies,
{
    prob   		= 0.015 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/igu.xml"
})
end
if not HasFlagPersistent("ned_wraith_speed") then
table.insert(g_big_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/wraith_speed.xml"
})
end
if not HasFlagPersistent("ned_wraith_void2") then
table.insert(g_big_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/wraith_void2.xml"
})
end
if not HasFlagPersistent("ned_hairling") then
table.insert(g_big_enemies,
{
    prob   		= 0.06 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/hairling.xml"
})
table.insert(g_small_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/hairling.xml"
})
end
if not HasFlagPersistent("ned_singularitor") then
table.insert(g_big_enemies,
{
    prob   		= 0.125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/singularitor.xml"
})
end
if not HasFlagPersistent("ned_polyshooter") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/polyshooter.xml"
})
end
if not HasFlagPersistent("ned_chaoticpolyshooter") then
table.insert(g_big_enemies,
{
    prob   		= 0.01 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/crypt/chaoticpolyshooter.xml"
})
end
--0.07
if not HasFlagPersistent("ned_shapeshifter") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/shapeshifter.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/shapeshifter.xml"
})
end

-- if not HasFlagPersistent("ned_drake_snake") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/drake_snake.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/drake_snake.xml"
-- })
-- end

if not HasFlagPersistent("ned_zombie_giant") then
table.insert(g_small_enemies,
{
    prob   		= 0.07 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/zombie_giant.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.07 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/zombie_giant.xml"
})
end
-- if not HasFlagPersistent("ned_bluemancer") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.075,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/bluemancer.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.075,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/bluemancer.xml"
-- })
-- end
if not HasFlagPersistent("ned_ground_terror") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/ground_terror.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/ground_terror.xml"
})
end
if not HasFlagPersistent("ned_lavashooter") then
table.insert(g_small_enemies,
{
    prob   		= 0.075 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/lavashooter.xml"
})
--0.1
table.insert(g_big_enemies,
{
    prob   		= 0.075 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/lavashooter.xml"
})
end
if not HasFlagPersistent("ned_long_ghost") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/long_ghost.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/long_ghost.xml"
})
end
-- if not HasFlagPersistent("ned_book") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/book.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/book.xml"
-- })
-- end
if not HasFlagPersistent("ned_nautilus") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/nautilus.xml"
})
end
-- if not HasFlagPersistent("ned_stingray") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/stingray.xml"
-- })
-- end
if not HasFlagPersistent("ned_spooky_ghost") then
table.insert(g_big_enemies,
{
    prob   		= 0.02 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/spooky_ghost.xml"
})
end
if not HasFlagPersistent("ned_watermonster") then
table.insert(g_big_enemies,
{
    prob   		= 0.02 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/watermonster.xml"
})
end
if not HasFlagPersistent("ned_bloodmonster") then
table.insert(g_big_enemies,
{
    prob   		= 0.02 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/bloodmonster.xml"
})
end
if not HasFlagPersistent("ned_acidmonster") then
table.insert(g_big_enemies,
{
    prob   		= 0.02 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/acidmonster.xml"
})
end
-- if not HasFlagPersistent("ned_serpentor") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/serpentor.xml"
-- })
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/serpentor.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_nightmare") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/nightmare.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/nightmare.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_wyrm") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.04,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/wyrm.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.04,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/wyrm.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_imp") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/imp.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/imp.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_draghoul") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/draghoul.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/draghoul.xml"
-- })
-- end
if not HasFlagPersistent("ned_lukki_red") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/lukki_red.xml"
})
end
if not HasFlagPersistent("ned_lukki_blue") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/lukki_blue.xml"
})
end
if not HasFlagPersistent("ned_lukki_white") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/lukki_white.xml"
})
end
if not HasFlagPersistent("ned_creeper") then
table.insert(g_big_enemies,
{
    prob   		= 0.02 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/creeper.xml"
})
end
-- if not HasFlagPersistent("ned_moal") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.002,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/moal.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.002,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crypt/moal.xml"
-- })
-- end
if not HasFlagPersistent("ned_gazer_necromancer") then
table.insert(g_small_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/gazer_necromancer.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/gazer_necromancer.xml"
})
end
if not HasFlagPersistent("ned_khulu") then
table.insert(g_small_enemies,
{
    prob   		= 0.001 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/khulu.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.001 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/khulu.xml"
})
end
if not HasFlagPersistent("ned_medusa") then
table.insert(g_small_enemies,
{
    prob   		= 0.001 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/medusa.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.001 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/medusa.xml"
})
end
-- if not HasFlagPersistent("ned_shiva") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.005,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/shiva.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.005,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/shiva.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_boss_rock_spirit") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.0065,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/boss_rock_spirit.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.0065,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/boss_rock_spirit.xml"
-- })
-- end
if not HasFlagPersistent("ned_face_worm") then
table.insert(g_small_enemies,
{
    prob   		= 0.003 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/face_worm.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.003 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crypt/face_worm.xml"
})
end
-- if not HasFlagPersistent("ned_stone_physics") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/stone_physics.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/stone_physics.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_cobra") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/cobra.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/cobra.xml"
-- })
-- end

dofile_once("data/scripts/empty_enemy_helper_end.lua")