if not HasFlagPersistent("ned_desert_skull") then

	function spawn_secret_checker( x, y )

		local entity = EntityLoad( "data/entities/buildings/orb_room_materialchecker.xml", x, y )

		local material1 = CellFactory_GetType( "water" )
		local material2 = -1
		
		local comp_mat = EntityGetFirstComponent( entity, "MaterialAreaCheckerComponent" )
		if comp_mat ~= nil then
			ComponentSetValue( comp_mat, "material", tostring(material1) )
			ComponentSetValue( comp_mat, "material2", tostring(material2) )
		end

		local comp_lua = EntityGetFirstComponent( entity, "LuaComponent" )
		if comp_lua ~= nil then
			ComponentSetValue( comp_lua, "script_material_area_checker_success", "data/scripts/biomes/desert.lua" )
		end
		
		if (GlobalsGetValue("new_enemies_desert_skull_loaded", 0) == "1") then
		  
		else
			local entity = EntityLoad( "data/entities/buildings/desert_skull.xml", x, y )
		end
		
		GlobalsSetValue("new_enemies_desert_skull_loaded", "1")

	end
	
end