if not HasFlagPersistent("ned_windmill") then
	function spawn_secret( x, y )
		local ocarina_cards = { "OCARINA_A", "OCARINA_B", "OCARINA_C", "OCARINA_D", "OCARINA_E", "OCARINA_F", "OCARINA_GSHARP", "OCARINA_A2", }
		local distance = 20
		
		for i,v in ipairs( ocarina_cards ) do
			local x_ = x - #ocarina_cards * distance * 0.5 + ( i - 0.5 ) * distance
			
			CreateItemActionEntity( v, x_, y )
		end
		
		for i,v in ipairs( ocarina_cards ) do
			local x_ = x - #ocarina_cards * distance * 0.5 + ( i - 0.5 ) * distance
			
			CreateItemActionEntity( v, x_, y - 48 )
		end
		
		EntityLoad( "data/entities/items/flute.xml", x, y - 64 )
		
		EntityLoad( "data/entities/buildings/windmill_spot.xml", x, y - 64 )
	end
end