CHEST_LEVEL = 3
dofile_once("data/scripts/director_helpers.lua")
dofile_once("data/scripts/biome_scripts.lua")
dofile_once("data/scripts/lib/utilities.lua")

RegisterSpawnFunction( 0xffffeedd, "init" )

function spawn_small_enemies( x, y ) end
function spawn_big_enemies( x, y ) end
function spawn_items( x, y ) end
function spawn_props( x, y ) end
function spawn_props2( x, y ) end
function spawn_props3( x, y ) end
function spawn_lamp( x, y ) end
function load_pixel_scene( x, y ) end
function load_pixel_scene2( x, y ) end
function spawn_unique_enemy( x, y ) end
function spawn_unique_enemy2( x, y ) end
function spawn_unique_enemy3( x, y ) end
function spawn_ghostlamp( x, y ) end
function spawn_candles( x, y ) end
function spawn_potions( x, y ) end
function spawn_wands( x, y ) end

local random_value = 1

function init( x, y, w, h )
	
	if ( tonumber(SessionNumbersGetValue("NEW_GAME_PLUS_COUNT")) > 0 ) and HasFlagPersistent("nee_boss_eel") then
		random_value = 2
	end
	if ( random_value == 1 ) and HasFlagPersistent("nee_bird") then
		LoadPixelScene( "data/biome_impl/orbroom.png", "data/biome_impl/orbroom_visual.png", x, y, "data/biome_impl/orbroom_background.png", true )
		EntityLoad( "data/entities/buildings/bird_spot.xml", x + 256, y + 350)
	elseif ( random_value == 2 ) then
		EntityLoad( "data/entities/buildings/boss_eel_spot_vanilla.xml", x + 256, y + 342)
		LoadPixelScene( "data/biome_impl/orbroom.png", "data/biome_impl/orbroom_visual.png", x, y, "data/biome_impl/orbroom_background.png", true )
	else
		LoadPixelScene( "data/biome_impl/orbroom.png", "data/biome_impl/orbroom_visual.png", x, y, "data/biome_impl/orbroom_background.png", true )
		EntityLoad( "data/entities/misc/orb_07_pitcheck_b.xml", x - 64, y + 256 )
	end
end

function spawn_orb(x, y)
	if HasFlagPersistent("nee_bird") or HasFlagPersistent("nee_boss_eel")  then
		EntityLoad( "data/entities/misc/music_energy_000.xml", x, y - 10 )
		EntityLoad( "data/entities/particles/gold_dust.xml", x, y )
	else
		EntityLoad( "data/entities/items/orbs/orb_07.xml", x, y )
		EntityLoad( "data/entities/misc/orb_07_pitcheck_a.xml", x, y )
		EntityLoad( "data/entities/items/books/book_07.xml", x - 30, y + 40 )
		EntityLoad( "data/entities/misc/music_energy_000.xml", x, y - 10 )

		spawn_material_checker( x - 197, y - 11, "slime", "data/scripts/biomes/orbrooms/orbroom_shared.lua", "data/particles/image_emitters/orbrooms/05_02.xml", x, y - 100 )
		spawn_material_checker( x + 198, y - 11, "slime", "data/scripts/biomes/orbrooms/orbroom_shared.lua", "data/particles/image_emitters/orbrooms/05_02.xml", x, y - 100 )

		EntityLoad( "data/entities/particles/gold_dust.xml", x, y )
	end
end