if HasFlagPersistent("nee_magiconstruct") then

CHEST_LEVEL = 3
dofile_once("data/scripts/buildings/killer.lua")
dofile_once("data/scripts/director_helpers.lua")
dofile_once("data/scripts/biome_scripts.lua")
dofile_once("data/scripts/lib/utilities.lua")

RegisterSpawnFunction( 0xffffeedd, "init" )

function spawn_small_enemies( x, y ) end
function spawn_big_enemies( x, y ) end
function spawn_items( x, y ) end
function spawn_props( x, y ) end
function spawn_props2( x, y ) end
function spawn_props3( x, y ) end
function spawn_lamp( x, y ) end
function load_pixel_scene( x, y ) end
function load_pixel_scene2( x, y ) end
function spawn_unique_enemy( x, y ) end
function spawn_unique_enemy2( x, y ) end
function spawn_unique_enemy3( x, y ) end
function spawn_ghostlamp( x, y ) end
function spawn_candles( x, y ) end
function spawn_potions( x, y ) end
function spawn_wands( x, y ) end

function init( x, y, w, h )
	LoadPixelScene( "data/biome_impl/orbroom_harpy.png", "", x, y, "data/buildings_gfx/magiconstruct.png", true )
	EntityLoad( "data/entities/buildings/magiconstruct_spot.xml", x + 256, y + 256)
	EntityLoad( "data/entities/animals/magiconstruct.xml", x + 248, y + 113)
	EntityLoad( "data/entities/animals/magiconstruct_wizard1.xml", x + 130, y + 285)
	EntityLoad( "data/entities/animals/magiconstruct_wizard2.xml", x + 110, y + 384)
	EntityLoad( "data/entities/animals/magiconstruct_wizard3.xml", x + 373, y + 284)
	EntityLoad( "data/entities/animals/magiconstruct_wizard4.xml", x + 386, y + 385)
	EntityLoad( "data/entities/animals/magiconstruct_face3.xml", x + 248, y + 287)
	EntityLoad( "data/entities/animals/magiconstruct_face2.xml", x + 248, y + 349)
	EntityLoad( "data/entities/animals/magiconstruct_face1.xml", x + 248, y + 421)
	spawn_worm_killer(x + 256, y + 342)
	for i=1, 50 do
		EntityLoad("data/entities/buildings/eraser.xml", x + i * 10, y + 460)
	end 
end

function spawn_orb(x, y)
	--EntityLoad( "data/entities/items/orbs/orb_08.xml", x, y )
	--EntityLoad( "data/entities/items/pickup/heart_better.xml", x + 20, y )
	--EntityLoad( "data/entities/items/books/book_08.xml", x - 30, y + 40 )
	EntityLoad( "data/entities/misc/music_energy_000.xml", x, y - 10 )
	EntityLoad( "data/entities/particles/gold_dust.xml", x, y )
end

else

CHEST_LEVEL = 3
dofile_once("data/scripts/director_helpers.lua")
dofile_once("data/scripts/biome_scripts.lua")
dofile_once("data/scripts/lib/utilities.lua")
dofile( "data/scripts/biomes/orbrooms/orbroom_shared.lua" )

RegisterSpawnFunction( 0xffffeedd, "init" )

function spawn_small_enemies( x, y ) end
function spawn_big_enemies( x, y ) end
function spawn_items( x, y ) end
function spawn_props( x, y ) end
function spawn_props2( x, y ) end
function spawn_props3( x, y ) end
function spawn_lamp( x, y ) end
function load_pixel_scene( x, y ) end
function load_pixel_scene2( x, y ) end
function spawn_unique_enemy( x, y ) end
function spawn_unique_enemy2( x, y ) end
function spawn_unique_enemy3( x, y ) end
function spawn_ghostlamp( x, y ) end
function spawn_candles( x, y ) end
function spawn_potions( x, y ) end
function spawn_wands( x, y ) end

function init( x, y, w, h )
	LoadPixelScene( "data/biome_impl/orbroom.png", "data/biome_impl/orbroom_visual.png", x, y, "data/biome_impl/orbroom_background.png", true )
end

function spawn_orb(x, y)
	EntityLoad( "data/entities/items/orbs/orb_10.xml", x, y )
	--EntityLoad( "data/entities/items/pickup/heart_better.xml", x + 20, y )
	EntityLoad( "data/entities/items/books/book_10.xml", x - 30, y + 40 )
	EntityLoad( "data/entities/misc/music_energy_000.xml", x, y - 10 )

	spawn_material_checker( x - 197, y - 11, "oil", "data/scripts/biomes/orbrooms/orbroom_shared.lua", "data/particles/image_emitters/orbrooms/10_01.xml", x, y - 100 )
	spawn_material_checker( x + 198, y - 11, "radioactive_liquid", "data/scripts/biomes/orbrooms/orbroom_shared.lua", "data/particles/image_emitters/orbrooms/10_02.xml", x, y - 100 )

	EntityLoad( "data/entities/particles/gold_dust.xml", x, y )
end

end