dofile_once("data/scripts/empty_enemy_helper_start.lua")

-- if not HasFlagPersistent("ned_bot") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/bot.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/bot.xml"
-- })
-- end

if not HasFlagPersistent("ned_sand_worm") then
	table.insert(g_small_enemies, {
	prob           = 0.005 * global_prob,
	min_count    = 1,
	max_count    = 1,  
	entity     = "data/entities/animals/sand_worm.xml",
	delete = function()
	for i,enemy in ipairs(g_small_enemies) do
		if enemy.entity == "data/entities/animals/sand_worm.xml" then
			table.remove(g_small_enemies, i)
			g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
			for i, v in ipairs(g_small_enemies) do 
			  if v.entity == "" then
				v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
			  end
			end
			break
		  end
		end
	  end
	})
end

if not HasFlagPersistent("ned_tardigrade") then
table.insert(g_small_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/tardigrade.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/tardigrade.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/tardigrade.xml"
})
end
if not HasFlagPersistent("ned_tank_fire2") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/tank_fire2.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/tank_fire2.xml"
})
table.insert(g_unique_enemy,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/tank_fire2.xml"
})
end
if not HasFlagPersistent("ned_scavenger_oiler") then
table.insert(g_small_enemies,
{
    prob   		= 0.2 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_oiler.xml"
})
end
if not HasFlagPersistent("ned_scavenger_compressor") then
table.insert(g_small_enemies,
{
    prob   		= 0.2 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_compressor.xml"
})
end
if not HasFlagPersistent("ned_scavenger_turbo") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_turbo.xml"
})
end
if not HasFlagPersistent("ned_scavenger_alcohol") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_alcohol.xml"
})
end
if not HasFlagPersistent("ned_scavenger_gas") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_gas.xml"
})
end
if not HasFlagPersistent("ned_scavenger_plasma") then

table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entities 	= {
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_grenade.xml",
			},
			{
				min_count	= 0,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_smg.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_plasma.xml",
			},
		}
})
end

if not HasFlagPersistent("ned_scavenger_laser") then

table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entities 	= {
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_grenade.xml",
			},
			{
				min_count	= 0,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_smg.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_laser.xml",
			},
		}
})
end

if not HasFlagPersistent("ned_scavenger_electrocuter2") then

table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entities 	= {
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_grenade.xml",
			},
			{
				min_count	= 0,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_smg.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_electrocuter2.xml",
			},
		}
})
end

if not HasFlagPersistent("ned_scavenger_trigger") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entities 	= {
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_grenade.xml",
			},
			{
				min_count	= 0,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_smg.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_trigger.xml",
			},
		}
})
end
-- if not HasFlagPersistent("ned_laserbot") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/laserbot.xml"
-- })
-- --0.01

-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/laserbot.xml"
-- })
-- end

dofile_once("data/scripts/empty_enemy_helper_end.lua")