dofile_once("data/scripts/empty_enemy_helper_start.lua")

if not HasFlagPersistent("ned_quin") then
	table.insert(g_small_enemies, {
	prob           = 0.01 * global_prob,
	min_count    = 1,
	max_count    = 1,  
	entity     = "data/entities/animals/quin.xml",
	delete = function()
	for i,enemy in ipairs(g_small_enemies) do
		if enemy.entity == "data/entities/animals/quin.xml" then
			table.remove(g_small_enemies, i)
			g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
			for i, v in ipairs(g_small_enemies) do 
			  if v.entity == "" then
				v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
			  end
			end
			break
		  end
		end
	  end
	})
end

-- if not HasFlagPersistent("ned_quin") and not HasFlagPersistent( "quin_spawned_snowcave" ) then
-- table.insert(g_small_enemies, {
    -- prob           = 0.1,
    -- min_count    = 1,
    -- max_count    = 1,  
  -- entity     = "data/entities/animals/quin.xml",
  -- delete = function()
  -- AddFlagPersistent( "quin_spawned_snowcave" )
    -- for i,enemy in ipairs(g_small_enemies) do
      -- if enemy.entity == "data/entities/animals/quin.xml" then
        -- table.remove(g_small_enemies, i)
        -- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
        -- for i, v in ipairs(g_small_enemies) do 
          -- if v.entity == "" then
            -- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
          -- end
        -- end
        -- break
      -- end
    -- end
  -- end
-- })
-- end

-- if not HasFlagPersistent("ned_quin") and GameHasFlagRun( "quin_snowcave" ) then
-- table.insert(g_small_enemies, {
    -- prob           = 0.1,
    -- min_count    = 1,
    -- max_count    = 2,  
  -- entity     = "data/entities/animals/quin.xml",
  -- delete = function()
    -- for i,enemy in ipairs(g_small_enemies) do
      -- if enemy.entity == "data/entities/animals/quin.xml" then
        -- GameAddFlagRun( "quin_spawned" )
        -- GameRemoveFlagRun( "quin_snowcave")
        -- table.remove(g_small_enemies, i)
        -- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
        -- for i, v in ipairs(g_small_enemies) do 
          -- if v.entity == "" then
            -- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
          -- end
        -- end
        -- break
      -- end
    -- end
  -- end
-- })
-- end

if ( ( month == 10 ) and ( day >= 15 ) and ( day <= 21 ) ) then
	if not HasFlagPersistent("ned_gonha") then
		table.insert(g_small_enemies, {
			prob           = 0.2 * global_prob,
			min_count    = 1,
			max_count    = 2,  
		  entity     = "data/entities/animals/snowcave/gonha.xml",
		  delete = function()
			for i,enemy in ipairs(g_small_enemies) do
			  if enemy.entity == "data/entities/animals/snowcave/gonha.xml" then
				table.remove(g_small_enemies, i)
				g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				for i, v in ipairs(g_small_enemies) do 
				  if v.entity == "" then
					v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
				  end
				end
				break
			  end
			end
		  end
		})
	end
end
if not HasFlagPersistent("ned_wizard_earthquake") then
table.insert(g_unique_enemy,
{
    prob   		= 0.07 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/wizard_earthquake.xml"
})
end
if not HasFlagPersistent("ned_wizard_time") then
table.insert(g_unique_enemy,
{
    prob   		= 0.07 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/wizard_time.xml"
})
end
if not HasFlagPersistent("ned_giant_old") then
table.insert(g_big_enemies,
{
    prob   		= 0.075 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/giant_old.xml"
})
end
if not HasFlagPersistent("ned_kiwiki") then
table.insert(g_big_enemies,
{
    prob   		= 0.065 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/kiwiki.xml"
})
end
if not HasFlagPersistent("ned_giant_alt") then
table.insert(g_big_enemies,
{
    prob   		= 0.09 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/giant_alt.xml"
})
end
if not HasFlagPersistent("ned_giant_energy") then
table.insert(g_big_enemies,
{
    prob   		= 0.065 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/giant_energy.xml"
})
end
if not HasFlagPersistent("ned_commander") then
table.insert(g_big_enemies,
{
    prob   		= 0.06 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/commander.xml"
})
end
if not HasFlagPersistent("ned_cryogen") then
table.insert(g_big_enemies,
{
    prob   		= 0.15 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/cryogen.xml"
})
end
if not HasFlagPersistent("ned_icemage_big2") then
table.insert(g_big_enemies,
{
    prob   		= 0.075 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/icemage_big2.xml"
})
end
if not HasFlagPersistent("ned_icicle_king") then
table.insert(g_big_enemies,
{
    prob   		= 0.15 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/icicle_king.xml"
})
end
if not HasFlagPersistent("ned_thou") then
table.insert(g_big_enemies,
{
    prob   		= 0.049 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/thou.xml"
})
end
if not HasFlagPersistent("ned_head_statue_physics") then
table.insert(g_big_enemies,
{
    prob   		= 0.09 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/head_statue_physics.xml"
})
end
-- if not HasFlagPersistent("ned_worm_eel") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/worm_eel.xml"
-- })
-- end
if not HasFlagPersistent("ned_electricskull") then
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/electricskull.xml"
})
end
-- if not HasFlagPersistent("ned_driller") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/driller.xml"
-- })
-- end
if not HasFlagPersistent("ned_sneeker") then
table.insert(g_big_enemies,
{
    prob   		= 0.075 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/sneeker.xml"
})
end
if not HasFlagPersistent("ned_scavenger_trigger") then
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/scavenger_trigger.xml"
})
end
if not HasFlagPersistent("ned_ground_terror") then
table.insert(g_big_enemies,
{
    prob   		= 0.01 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/ground_terror.xml"
})
end
if not HasFlagPersistent("ned_player_ai") then
table.insert(g_small_enemies,
{
    prob   		= 0.02 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/player_ai.xml"
})
end
if not HasFlagPersistent("ned_summoner") then
table.insert(g_small_enemies,
{
    prob   		= 0.04 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/summoner.xml"
})
end
if not HasFlagPersistent("ned_frog_bot") then
table.insert(g_small_enemies,
{
    prob   		= 0.04 * global_prob,
    min_count	= 6,
    max_count	= 7,    
    entity 	= "data/entities/animals/frog_bot.xml"
})
end
if not HasFlagPersistent("ned_radiobot") then
table.insert(g_small_enemies,
{
    prob   		= 0.04 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/radiobot.xml"
})
end

-- if not HasFlagPersistent("ned_mexxi") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05 * global_prob,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/mexxi.xml"
-- })
-- end

if not HasFlagPersistent("ned_snowman") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entities 	= {
		"data/entities/animals/snowman.xml",
		"data/entities/animals/snowfrog.xml",
		"data/entities/animals/snowfrog.xml",
		"data/entities/animals/snowfrog.xml",
		"data/entities/animals/snowfrog.xml",
	}
})
end
if not HasFlagPersistent("ned_ooion") then
table.insert(g_small_enemies,
{
    prob   		= 0.04 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/ooion.xml"
})
end
if not HasFlagPersistent("ned_scavenger_plasma") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entities 	= {
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_grenade.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_smg.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_plasma.xml",
			},
		}
})
end
if not HasFlagPersistent("ned_scavenger_undercover") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entities 	= {
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_grenade.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_smg.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_undercover.xml",
			},
		}
})
end
if not HasFlagPersistent("ned_scavenger_laser") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entities 	= {
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_grenade.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_smg.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_laser.xml",
			},
		}
})
end
if not HasFlagPersistent("ned_scavenger_electrocuter2") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entities 	= {
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_grenade.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_smg.xml",
			},
			{
				min_count	= 1,
				max_count	= 2,
				entity	= "data/entities/animals/scavenger_electrocuter2.xml",
			},
		}
})
end
if not HasFlagPersistent("ned_axeman") then
table.insert(g_small_enemies,
{
    prob   		= 0.4 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/axeman.xml"
})
end
--0.4
-- if HasFlagPersistent("nee_icicle") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/icicle.xml"
-- })
-- end
if not HasFlagPersistent("ned_icicle_ceiling") then
table.insert(g_small_enemies,
{
    prob   		= 0.4 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/icicle_ceiling.xml"
})
end
-- if not HasFlagPersistent("ned_crawler") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.3,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/crawler.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_archer") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/archer.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_stone_crab") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/stone_crab.xml"
-- })
-- end
if not HasFlagPersistent("ned_bouncer") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/bouncer.xml"
})
end
-- if not HasFlagPersistent("ned_enigma") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/enigma.xml"
-- })
-- end
if not HasFlagPersistent("ned_invisiman") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/invisiman.xml"
})
end
--0.2
if not HasFlagPersistent("ned_icemage2") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/icemage2.xml"
})
--0.1
end

-- if not HasFlagPersistent("ned_boss_rock_spirit") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.002,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/boss_rock_spirit.xml"
-- })
-- --0.1
-- end

if not HasFlagPersistent("ned_stork") then
	table.insert(g_small_enemies, {
	prob           = 0.002 * global_prob,
	min_count    = 1,
	max_count    = 1,  
	entity     = "data/entities/animals/stork.xml",
	delete = function()
	for i,enemy in ipairs(g_small_enemies) do
		if enemy.entity == "data/entities/animals/stork.xml" then
			table.remove(g_small_enemies, i)
			g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
			for i, v in ipairs(g_small_enemies) do 
			  if v.entity == "" then
				v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
			  end
			end
			break
		  end
		end
	  end
	})
end

if not HasFlagPersistent("ned_hurpa") then
table.insert(g_small_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/hurpa.xml"
})
--0.1
end

if not HasFlagPersistent("ned_mountain") then
	table.insert(g_small_enemies, {
	prob           = 0.002 * global_prob,
	min_count    = 1,
	max_count    = 1,  
	entity     = "data/entities/animals/mountain.xml",
	delete = function()
	for i,enemy in ipairs(g_small_enemies) do
		if enemy.entity == "data/entities/animals/mountain.xml" then
			table.remove(g_small_enemies, i)
			g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
			for i, v in ipairs(g_small_enemies) do 
			  if v.entity == "" then
				v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
			  end
			end
			break
		  end
		end
	  end
	})
end
if not HasFlagPersistent("ned_mountain_large") then
	table.insert(g_small_enemies, {
	prob           = 0.0025 * global_prob,
	min_count    = 1,
	max_count    = 1,  
	entity     = "data/entities/animals/mountain_large.xml",
	delete = function()
	for i,enemy in ipairs(g_small_enemies) do
		if enemy.entity == "data/entities/animals/mountain_large.xml" then
			table.remove(g_small_enemies, i)
			g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
			for i, v in ipairs(g_small_enemies) do 
			  if v.entity == "" then
				v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
			  end
			end
			break
		  end
		end
	  end
	})
end

if not HasFlagPersistent("ned_dragon_ice") then
	table.insert(g_small_enemies, {
	prob           = 0.01 * global_prob,
	min_count    = 1,
	max_count    = 1,  
	entity     = "data/entities/animals/dragon_ice.xml",
	delete = function()
	for i,enemy in ipairs(g_small_enemies) do
		if enemy.entity == "data/entities/animals/dragon_ice.xml" then
			table.remove(g_small_enemies, i)
			g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
			for i, v in ipairs(g_small_enemies) do 
			  if v.entity == "" then
				v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
			  end
			end
			break
		  end
		end
	  end
	})
end

-- if not HasFlagPersistent("ned_tank_boss") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.01,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/tank_boss.xml"
-- })
-- --0.1
-- end

dofile_once("data/scripts/empty_enemy_helper_end.lua")
