dofile_once("data/scripts/empty_enemy_helper_start.lua")

if not HasFlagPersistent("ned_spider_crawler") then
	function load_floor_rubble(x, y)
		load_random_pixel_scene( g_floor_rubble, x-10, y-15 )
		SetRandomSeed( GameGetFrameNum(), x + y )
		local random_val = Random(1, 8)
		if Randomf() < ((1/6) * global_prob) then
			for i=1, random_val do
				SetRandomSeed( GameGetFrameNum() + Random(-150, 150), x + y )
				local random_x = x + Random(-50, 50)
				local random_y = y - 50 + Random(-50, 50)
				local did_hit,hit_x,hit_y = RaytraceSurfaces(random_x, random_y, random_x, random_y)
				local entities = EntityGetInRadiusWithTag( random_x, random_y, 10, "monk_hand" )
				if ( #entities > 1 ) then
				else
					if not did_hit then
						EntityLoad("data/entities/animals/spider_crawler.xml", random_x, random_y )
					end
				end
			end
		end
	end
end

if not HasFlagPersistent("ned_ghostling") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/ghostling.xml"
})
end

if not HasFlagPersistent("ned_flopper_mother") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/flopper_mother.xml"
})
end

if not HasFlagPersistent("ned_flopper_mother_giant") then
table.insert(g_big_enemies,
{
    prob   		= 0.01 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/flopper_mother_giant.xml"
})
end

-- if not HasFlagPersistent("ned_wizard_trip") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "mods/new_enemies/data/entities/animals/wizard_trip.xml"
-- })
-- end
if not HasFlagPersistent("ned_wizard_earthquake") then
table.insert(g_big_enemies,
{
    prob   		= 0.09 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "mods/new_enemies/data/entities/animals/wizard_earthquake.xml"
})
end
if not HasFlagPersistent("ned_wizard_random") then
table.insert(g_big_enemies,
{
    prob   		= 0.09 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "mods/new_enemies/data/entities/animals/wizard_random.xml"
})
end
if not HasFlagPersistent("ned_wizard_time") then
table.insert(g_big_enemies,
{
    prob   		= 0.04 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "mods/new_enemies/data/entities/animals/wizard_time.xml"
})
end
-- if not HasFlagPersistent("ned_book") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "mods/new_enemies/data/entities/animals/book.xml"
-- })
-- end
if not HasFlagPersistent("ned_shapeshifter") then
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/shapeshifter.xml"
})
end
if not HasFlagPersistent("ned_drake_snake") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/drake_snake.xml"
})
end
if not HasFlagPersistent("ned_lost_soul") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/lost_soul.xml"
})
end
if not HasFlagPersistent("ned_lost_soul_big") then
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/lost_soul_big.xml"
})
end
if not HasFlagPersistent("ned_mirror_physics") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/mirror_physics.xml"
})
end
if not HasFlagPersistent("ned_wizard_madness") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/wizard_madness.xml"
})
end
if not HasFlagPersistent("ned_wizard_twin") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/wizard_twin.xml"
})
end
if not HasFlagPersistent("ned_manus") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/manus.xml"
})
end
-- if not HasFlagPersistent("ned_ground_terror") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "mods/new_enemies/data/entities/animals/ground_terror.xml"
-- })
-- end
if not HasFlagPersistent("ned_spooky_ghost") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/spooky_ghost.xml"
})
end
if not HasFlagPersistent("ned_watermonster") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/watermonster.xml"
})
end
if not HasFlagPersistent("ned_bloodmonster") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/bloodmonster.xml"
})
end
if not HasFlagPersistent("ned_acidmonster") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/acidmonster.xml"
})
end
if not HasFlagPersistent("ned_sneeker") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/sneeker.xml"
})
end
if not HasFlagPersistent("ned_shield_physics") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/shield_physics.xml"
})
end
if not HasFlagPersistent("ned_cerebracle") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/cerebracle.xml"
})
end
if not HasFlagPersistent("ned_xopon") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/xopon.xml"
})
end
if not HasFlagPersistent("ned_gold_face_physics") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/gold_face_physics.xml"
})
end
if not HasFlagPersistent("ned_long_ghost") then
table.insert(g_big_enemies,
{
    prob   		= 0.2 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "mods/new_enemies/data/entities/animals/long_ghost.xml"
})
end
-- if not HasFlagPersistent("ned_gigashooter") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "mods/new_enemies/data/entities/animals/gigashooter.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_hairling") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "mods/new_enemies/data/entities/animals/hairling.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_gazer_necromancer") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.01,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "mods/new_enemies/data/entities/animals/gazer_necromancer.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_moal") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.015,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "mods/new_enemies/data/entities/animals/moal.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_phan") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.015,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "mods/new_enemies/data/entities/animals/phan.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_polyshooter") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "mods/new_enemies/data/entities/animals/polyshooter.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_wyrm") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "mods/new_enemies/data/entities/animals/wyrm.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_chaoticpolyshooter") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/chaoticpolyshooter.xml"
-- })
-- end
if not HasFlagPersistent("ned_lukki_blue") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/lukki_blue.xml"
})
-- 0.1
end

if not HasFlagPersistent("ned_lukki_white") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/lukki_white.xml"
})
-- 0.1
end

if not HasFlagPersistent("ned_hurpa") then
table.insert(g_big_enemies,
{
    prob   		= 0.005 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/hurpa.xml"
})
-- 0.1
end

dofile_once("data/scripts/empty_enemy_helper_end.lua")