dofile_once("data/scripts/lib/utilities.lua")

function collision_trigger( colliding_entity_id )

	local entity_id = GetUpdatedEntityID()
	local x, y = EntityGetTransform( entity_id )
	
	x = x + 10
	y = y - 20

	-- egg disappears
	local egg_x, egg_y = EntityGetTransform(colliding_entity_id)
	EntityLoad("data/entities/buildings/wizardcave_gate_egg_fx.xml", egg_x, egg_y)
	GamePlaySound( "data/audio/Desktop/projectiles.bank", "projectiles/magic/create", egg_x, egg_y )
	EntityKill(colliding_entity_id)
	
	local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")
		
	if times_executed >= 6 then
		EntityLoad("data/entities/buildings/desert_skull_spawner.xml", x, y)
		-- audio
		GamePlaySound( "data/audio/Desktop/projectiles.snd", "player_projectiles/crumbling_earth/create", x, y )
		GameTriggerMusicFadeOutAndDequeueAll( 3.0 )
		GameTriggerMusicEvent( "music/oneshot/04", true, x, y )
		-- remove self
		EntityKill(entity_id)
		
	end

end