dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/lib/coroutines.lua")

function EntityLoadDelayed(file_path, x, y, delay)
  local entity_id = EntityCreateNew()
  EntitySetTransform(entity_id, x, y)
  local comp = EntityAddComponent(entity_id, "LoadEntitiesComponent", {
    entity_file=file_path,
    timeout_frames=tostring(delay),
    kill_entity="1",
  })
  ComponentSetValueValueRangeInt(comp, "count", "1", "1")
end

function collision_trigger()
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	LoadPixelScene( "data/biome_impl/1.png", "", pos_x-256, pos_y-256, "", true )
	EntityLoadDelayed( "data/entities/animals/lake_statue.xml", pos_x+6, pos_y-135, 1 )
	EntityLoadDelayed( "data/entities/particles/image_emitters/magical_symbol_bird.xml", pos_x+5, pos_y-135, 1 )
	GamePlaySound( "data/audio/Desktop/misc.snd", "misc/temple_collapse", pos_x-112, pos_y + 40 )
	EntityKill( entity_id )
end