dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/perks/perk.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	-- kill self
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )
	-- do some kind of an effect? throw some particles into the air?
	local perk_id = perk_spawn( pos_x, pos_y - 30, "APOTHEOSIS_TRIP_IMMUNITY" )
	
	if( perk_id ~= nil ) then
		EntityAddComponent( perk_id, "VariableStorageComponent", 
		{ 
			name = "perk_dont_remove_others",
			value_bool = "1",
		} )
	end
	EntityLoad( "mods/Apotheosis/files/entities/items/pickups/essence_fungus.xml", pos_x, pos_y )

	EntityLoad( "data/entities/items/pickup/heart_fullhp.xml",  pos_x - 16, pos_y )
	EntityLoad( "data/entities/items/wand_unshuffle_06.xml", pos_x + 16, pos_y )
	
	local opts = { "GLUE_SHOT", "POLLEN", "SPORE_POD" }
	local count = 1
	
	for i=1,count do
		local rnd = Random( 1, #opts )
		CreateItemActionEntity( opts[rnd], pos_x , pos_y )
		table.remove( opts, rnd )
	end
	
	-- for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
	
		-- if EntityGetName(child_id) ~= "important" then
		
			-- EntityRemoveFromParent(child_id)
		
			-- local damage_model_component = EntityGetFirstComponentIncludingDisabled(child_id, "DamageModelComponent")
			
			-- if damage_model_component then
			
				-- EntitySetComponentIsEnabled( entity_id, damage_model_component, true )
				
				-- ComponentSetValue2(damage_model_component, "hp", 0)
				-- ComponentSetValue2(damage_model_component, "air_needed", true)
				-- ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
				
			-- end
			
		-- end
	
	-- end
end