dofile_once("data/scripts/lib/utilities.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	-- kill self
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	local worm_killer = EntityGetClosestWithTag(pos_x, pos_y, "worm_killer")
	SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

	-- do some kind of an effect? throw some particles into the air?
	EntityLoad( "data/entities/items/pickup/essence_laser.xml", pos_x, pos_y )
	local opts = { "SOILBALL", "STATIC_TO_SAND" }
	local count = 1
	
	for i=1,count do
		local rnd = Random( 1, #opts )
		CreateItemActionEntity( opts[rnd], pos_x + 30 , pos_y )
		table.remove( opts, rnd )
	end
	EntityLoad( "data/entities/items/pickup/spell_refresh.xml", pos_x - 30, pos_y )
	
	EntityKill(worm_killer)
	
	local erasers = EntityGetWithTag("eraser")
	for i,entity in ipairs(erasers) do
	  EntityKill(entity)
	end
	--EntityKill( entity_id )
end