dofile_once("data/scripts/lib/utilities.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	-- kill self
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	local worm_killer = EntityGetClosestWithTag(pos_x, pos_y, "worm_killer")
	SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )
	-- do some kind of an effect? throw some particles into the air?
	EntityLoad( "data/entities/items/orbs/orb_10.xml", pos_x, pos_y )
	-- LoadPixelScene( "data/biome_impl/orbroomharpy_opened.png", "", 10240, 15872, "", true )
	EntityLoad( "data/entities/items/books/book_10.xml", pos_x + 20, pos_y )
	EntityLoad("data/entities/items/pickup/artifact3_alt.xml", pos_x, pos_y-8)
	EntityLoad( "data/entities/items/pickup/heart_fullhp.xml",  pos_x - 20, pos_y )
	
	local opts = { "BALL_LIGHTNING", "LIGHT","GLOWING_BOLT", "SUMMON_WANDGHOST" }
	local count = 1
	
	for i=1,count do
		local rnd = Random( 1, #opts )
		CreateItemActionEntity( opts[rnd], pos_x - 20 , pos_y )
		table.remove( opts, rnd )
	end
	
	EntityKill(worm_killer)
	
	local erasers = EntityGetWithTag("eraser")
	for i,entity in ipairs(erasers) do
	  EntityKill(entity)
	end
	--EntityKill( entity_id )
end