dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local root_id = EntityGetRootEntity( entity_id )
local x,y = EntityGetTransform( root_id )

local angle = 0
local players = EntityGetWithTag( "player_unit" )

if ( #players > 0 ) then
	local p = players[1]
	
	local px,py = EntityGetTransform( p )
	
	angle = get_direction( x, y, px, py )
end

x = x + 10

y = y + 10

angle = math.pi + angle

EntitySetTransform( entity_id, x + math.cos( angle ) * 11, y - math.sin( angle ) * 11  )

--Turning damage on
local buildings = EntityGetWithTag( "magiconstructs" )

if ( #buildings > 0 ) then
	EntitySetComponentsWithTagEnabled(root_id, "enable_when_player_seen", false)
else
	EntitySetComponentsWithTagEnabled(root_id, "enable_when_player_seen", true)
	local lua_comp = EntityGetFirstComponent(entity_id, "LuaComponent")
	SetRandomSeed( x , y + GameGetFrameNum() )
	if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 30 == 0 then
		ComponentSetValue2( lua_comp, "execute_every_n_frame", 60 + Random(-25, 25) )
	end
end