function collision_trigger()
	--PLEASE CHANGE THIS ONCE THE BETA GETS MERGED!
	-- if GameIsBetaBuild() == true then
		local entity_id    = GetUpdatedEntityID()
		local pos_x, pos_y = EntityGetTransform( entity_id )
		SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

		local entities = EntityGetInRadiusWithTag(pos_x, pos_y, 9999999, "mortal")

		for i, entity in ipairs(entities) do

			local entity_damage_model_component = EntityGetFirstComponent(entity, "DamageModelComponent")
			
			if entity_damage_model_component then
			
				EntitySetDamageFromMaterial( entity, "rock_box2d_harder_damage", 0.001 )
				
			end

		end

		local rand_val = Random(1,4)
		if rand_val == 1 then
			hand_id = EntityLoad( "data/entities/projectiles/snow_face_hand.xml", pos_x + 20, pos_y + 46 )
		elseif rand_val == 2 then
			hand_id = EntityLoad( "data/entities/projectiles/snow_face_hand.xml", pos_x - 25, pos_y + 46 )
		elseif rand_val == 3 then
			hand_id = EntityLoad( "data/entities/projectiles/snow_face_hand.xml", pos_x + 10, pos_y - 30 )
		elseif rand_val == 4 then
			hand_id = EntityLoad( "data/entities/projectiles/snow_face_hand.xml", pos_x + 30 , pos_y + 60 )
		else
			hand_id = EntityLoad( "data/entities/projectiles/snow_face_hand.xml", pos_x - 8, pos_y + 46 )
		end

		local comp = EntityGetFirstComponentIncludingDisabled( hand_id, "VariableStorageComponent" )
		if ( comp ~= nil ) then
			ComponentSetValue2( comp, "value_int", rand_val )
		end
		GameScreenshake( 30 )
	-- end
end