dofile_once("data/scripts/lib/utilities.lua")

function collision_trigger()
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	local mwyah = EntityLoad( "data/entities/animals/mwyah.xml", pos_x, pos_y + 70 )
	local arena_checker = EntityLoad("data/entities/buildings/arena_checker_mwyah.xml", pos_x , pos_y -84)
	EntityAddChild(mwyah, arena_checker)
	EntityLoad( "data/entities/particles/image_emitters/magical_symbol_mwyah.xml", pos_x , pos_y + 60)
	GamePlaySound( "data/audio/Desktop/misc.snd", "misc/temple_collapse", pos_x-112, pos_y + 100)
	EntityKill( entity_id )
	LoadPixelScene( "data/biome_impl/orbroommwyahclosed.png", "", pos_x-256, pos_y - 340, "", true )
	-- EntityLoad( "data/entities/misc/permanent_stone/sea_rock_vertical.xml", pos_x-247, pos_y-333 )
	-- EntityLoad( "data/entities/misc/permanent_stone/sea_rock_vertical.xml", pos_x + 248, pos_y-333 )
	-- EntityLoad( "data/entities/misc/permanent_stone/sea_rock_horizontal.xml", pos_x-247, pos_y-333 )
	-- EntityLoad( "data/entities/misc/permanent_stone/sea_rock_horizontal.xml", pos_x-247, pos_y + 47 )
end