local entity_id = GetUpdatedEntityID()
local var_store_id, var_store_tag

for i, component in ipairs(EntityGetComponent(entity_id, "VariableStorageComponent")) do
  local name = ComponentGetValue(component, "name")
  if name == "entity_id" then
    var_store_id = ComponentGetValue(component, "value_int")
  elseif name == "tag_to_apply" then
    var_store_tag = ComponentGetValue(component, "value_string")
  end
end

EntityAddTag(var_store_id, var_store_tag)
EntityKill(entity_id)
