dofile_once( "data/scripts/lib/utilities.lua" );
dofile_once( "data/scripts/gun/procedural/gun_procedural.lua" );
dofile_once( "mods/gkbrkn_noita/files/gkbrkn/helper.lua" );
dofile_once( "mods/gkbrkn_noita/files/gkbrkn/lib/helper.lua" );
dofile_once( "mods/gkbrkn_noita/files/gkbrkn/lib/flags.lua" );
dofile_once( "mods/gkbrkn_noita/files/gkbrkn/lib/variables.lua" );
dofile_once( "mods/gkbrkn_noita/files/gkbrkn/lib/wands.lua" );

print("wand upgraded")

local entity_who_picked = GetUpdatedEntityID();
local wand = get_entity_held_or_random_wand( entity_who_picked );
if wand ~= 0 then
    local ability = EntityGetFirstComponentIncludingDisabled( wand, "AbilityComponent" );
    if ability ~= 0 then
        ability_component_adjust_stats( ability, {
            mana_max=function(value) return tonumber( value ) * ( Random() * 0.25 + 1.0 ); end,
            mana_charge_speed=function(value) return ( tonumber( value ) + Random( 10, 20 ) ) * ( Random() * 0.25 + 1.0 ); end,
            deck_capacity=function(value) return math.min( 26, math.floor( tonumber( value ) + Random( 2, 4 ) ) ); end,
            reload_time=function(value) return tonumber( value ) - Random( 8, 16 ); end,
            fire_rate_wait=function(value) return tonumber( value ) - Random( 4, 8 ); end,
            spread_degrees=function(value) return tonumber( value ) - Random( 2, 4 ); end,
        } );
        initialize_wand( wand, { name="upgraded wand", stats=ability_component_get_stats( ability ) } );
    end
end