if (GlobalsGetValue("new_enemies_god_loaded", 0) == "1") then
  return
end

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local god_spot_x, god_spot_y = 256, -25856
local radius_to_check = 300

-- Check if player is close to the godspot
if not
  (x > god_spot_x + radius_to_check or
   x < god_spot_x - radius_to_check or
   y > god_spot_y + radius_to_check or
   y < god_spot_y - radius_to_check) then
  EntityLoad("data/entities/buildings/god_spot.xml", god_spot_x, god_spot_y)
  local comp_id = GetUpdatedComponentID()
  EntityRemoveComponent(entity_id, comp_id)
end

GlobalsSetValue("new_enemies_god_loaded", "1")
