dofile_once("data/scripts/lib/utilities.lua")

function item_pickup( entity_item, entity_who_picked, item_name )
	local players = EntityGetWithTag("player_unit")
	local x, y = EntityGetTransform(players[1])
	local lava_immunity = LoadGameEffectEntityTo( players[1], "data/entities/misc/perks/alcohol_immunity.xml" )
	
	local entity_ui = EntityCreateNew()
    EntityAddComponent(entity_ui, "UIIconComponent", 
    { 
      name = "$alcohol_immunity_perk_name",
      description = "$alcohol_immunity_perk_desc",
      icon_sprite_file = "data/ui_gfx/perk_icons/alcohol_immunity.png"
    })
    EntityAddChild(entity_who_picked, entity_ui)
	EntityKill(GetUpdatedEntityID())
end