dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/buildings/material_immunity.lua")
dofile_once("data/scripts/perks/perk.lua")

function item_pickup( entity_item, entity_who_picked, item_name )
	give_material_immunity(entity_who_picked, {"lava"})
	
	local fire_immunity_perk = perk_spawn(x, y, "PROTECTION_FIRE")
	perk_pickup(fire_immunity_perk, entity_who_picked, "", false, false, false, no_perk_entity_)
	
    local entity_ui = EntityCreateNew()
    EntityAddComponent(entity_ui, "UIIconComponent", 
    { 
      name = "$lava_immunity_perk_name",
      description = "$lava_immunity_perk_desc",
      icon_sprite_file = "data/ui_gfx/perk_icons/lava_immunity.png"
    })
    EntityAddChild(entity_who_picked, entity_ui)

	-- local x, y = EntityGetTransform(players[1])
	-- local lava_immunity = EntityLoad( "data/entities/misc/perks/lava_immunity.xml", x, y)
	-- EntityAddChild(players[1], lava_immunity)
	
	EntityKill(GetUpdatedEntityID())
end