dofile("data/scripts/lib/utilities.lua")

function item_pickup( entity_item, entity_who_picked, item_name )
			local damagemodels = EntityGetComponent( entity_who_picked, "DamageModelComponent" )
			if( damagemodels ~= nil ) then
				for i,damagemodel in ipairs(damagemodels) do
					ComponentSetValue( damagemodel, "blood_material", "water" )
					ComponentSetValue( damagemodel, "blood_spray_material", "water" )
					ComponentSetValue( damagemodel, "blood_multiplier", "2.5" )
				end
			end
    local entity_ui = EntityCreateNew()
    EntityAddComponent(entity_ui, "UIIconComponent", 
    { 
      name = "Water Blood",
      description = "You bleed water",
      icon_sprite_file = "data/items_gfx/cape/breath_underwater.png"
    })
    EntityAddChild(entity_who_picked, entity_ui)
	
	EntityKill(GetUpdatedEntityID())
end