dofile( "data/scripts/lib/utilities.lua" )

function add_status_effect( game_effect_entity, icon_file, name, description, above_head )
    if game_effect_entity ~= nil then
        display_hud = true
        if(above_head)then
            display_hud = false
        end
        EntityAddComponent2( game_effect_entity, "UIIconComponent",
        {
            name = name,
            description = description,
            icon_sprite_file = icon_file,
            display_above_head = above_head,
            display_in_hud = display_hud,
            is_perk = false,
        })
    end
end

local entity_id = GetUpdatedEntityID()

add_status_effect( entity_id, "data/ui_gfx/status_indicators/bleeding.png", "$bleeding_status_name", "$bleeding_status_desc", false )