local entity_id = GetUpdatedEntityID()
local x, y, rot, sx, sy = EntityGetTransform(entity_id)

local sprite_comps = EntityGetComponent(entity_id, "SpriteComponent") or {}
for i, comp in ipairs(sprite_comps) do
	local alpha = ComponentGetValue2(comp, "alpha")
	if alpha < 1 then
		ComponentSetValue2(comp, "alpha", alpha + 0.01)
	else
		EntityRemoveComponent( entity_id, GetUpdatedComponentID() )
	end
end