dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()

local x, y = EntityGetTransform(entity_id)

local p = EntityGetWithTag( "player_unit" )

if ( #p > 0 ) then
	local player_id = p[1]

	--Tries to make you shoot at hallucinations if your mouse is near them

	local aim_x, aim_y = DEBUG_GetMouseWorld()

	if aim_x < x + 20 and aim_x > x - 20 and aim_y < y + 20 and aim_y > y - 20 then
		--shoot
		local platform_shooter_player_component = EntityGetFirstComponentIncludingDisabled(player_id, "PlatformShooterPlayerComponent")
		ComponentSetValue2(platform_shooter_player_component, "mForceFireOnNextUpdate", true)
	end
end


--Making sprite fade in and out
local sprite_component = EntityGetFirstComponentIncludingDisabled(entity_id,"SpriteComponent")

local alpha = ComponentGetValue2(sprite_component, "alpha")

local number = GetValueNumber("number", 0)

if number ~= 1 then

	if alpha < 1 then
	
		ComponentSetValue2(sprite_component, "alpha", alpha + 0.01)
		
	elseif alpha >= 1 then
		
		SetValueNumber("number", 1)
	end
	
elseif number == 1 then

	if alpha > 0 then
	 
		ComponentSetValue2(sprite_component, "alpha", alpha - 0.01)
	
	elseif alpha <= 0 then
	
		EntityKill(entity_id)
	
	end
	
end