dofile_once("data/scripts/new_enemies_utils.lua")
dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once( "data/scripts/misc/coordinate_loader.lua" )

local max_amount_to_store = 2

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local var_store2 = get_component_with_values(entity_id, "VariableStorageComponent", { name = "position_tracker2" })
if var_store2 then
  if old_position and (x ~= old_position.x or y ~= old_position.y) then
    local val = ComponentGetValue2(var_store2, "value_string")
    local stored_coords2 = decode_stored_coords(val)
    table.insert(stored_coords2, x)
    table.insert(stored_coords2, y)
    
    -- if #stored_coords > max_amount_to_store then
      -- table.remove(stored_coords, 1)
      -- table.remove(stored_coords, 1)
    -- end
    
    local encode_string = encode_coords_to_store(stored_coords2)
    
    ComponentSetValue2(var_store2, "value_string", encode_string)
  end
  old_position = {x=x, y=y}
end
