dofile_once("data/scripts/lib/coroutines.lua")
dofile_once("data/scripts/lib/utilities.lua")

function pack(...)
    return {...}
end

async(function()
    wait(0)
    local entity_id = GetUpdatedEntityID()
    local owner = EntityGetParent(entity_id)
    local character_platforming_component = EntityGetFirstComponentIncludingDisabled(owner, "CharacterPlatformingComponent")
    local sprite_components = EntityGetFirstComponentIncludingDisabled(owner, "SpriteComponent")

    local members = ComponentGetMembers(character_platforming_component)
    for k,v in pairs(members) do
      members[k] = pack(ComponentGetValue2(character_platforming_component, k))
    end
    -- EntityRemoveComponent(owner, controls_component)
    -- EntitySetComponentIsEnabled( owner, controls_component, false )

    ComponentSetValue(character_platforming_component, "run_velocity", "0")
    ComponentSetValue(character_platforming_component, "fly_speed_max_up", "0")
    ComponentSetValue(character_platforming_component, "jump_velocity_y", "0")
    ComponentSetValue(character_platforming_component, "jump_velocity_x", "0")
    ComponentSetValue(character_platforming_component, "fly_velocity_x", "0")
    ComponentSetValue(character_platforming_component, "fly_speed_max_up", "0")

    wait(119)

    for k, v in pairs(members) do
      ComponentSetValue2(character_platforming_component, k, unpack(v))
    end

    -- EntitySetComponentIsEnabled( owner, controls_component, true )
end)