function get_component_with_values(entity_id, component_name, check_for_vars)
  for i, comp in ipairs(EntityGetComponentIncludingDisabled(entity_id, component_name) or {}) do
    local is_match = true
    for var, value in pairs(check_for_vars) do
      is_match = is_match and (ComponentGetValue2(comp, var) == value)
    end
    if is_match then
      return comp
    end
  end
end
