dofile( "data/scripts/projectiles/overmind.lua" )
dofile("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
		
local x, y = EntityGetTransform( entity_id )

local closestEntity = get_players()[1]

local player_x, player_y = EntityGetTransform( closestEntity )

local target_x, target_y = player_x, player_y -- put player coords here
local direction = get_direction(x, y, target_x, target_y)
local distance = get_distance(x, y, target_x, target_y)
local spray_factor = 0

local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)

direction = direction + Randomf(-spray_factor, spray_factor)
local dx = math.cos(direction)
local dy = math.sin(direction)
local speed = Randomf(1.5, 2) * distance
local vel_x = dx * speed

if target_x > x then
  vel_x = vel_x * -1
end

local vel_y = dy * speed

local particle_emitter_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ParticleEmitterComponent")

if distance < 100 then
  EntitySetComponentIsEnabled(entity_id, particle_emitter_component, true)
  ComponentSetValue2(particle_emitter_component, "x_vel_min", vel_x)
  ComponentSetValue2(particle_emitter_component, "x_vel_max", vel_x)
  ComponentSetValue2(particle_emitter_component, "y_vel_min", vel_y)
  ComponentSetValue2(particle_emitter_component, "y_vel_max", vel_y)
else
  EntitySetComponentIsEnabled(entity_id, particle_emitter_component, false)
end

-- if distance < 100 then
  -- GameCreateParticle("alcohol", x, y, 5, vel_x, vel_y, false, true)
-- end
