entity_id = GetUpdatedEntityID()
x, y = EntityGetTransform(entity_id)
mWhoShot = nil

--use VariableStorageComponent to make sure mWhoShot always refers to the original blob entity
local var_store_comps = EntityGetComponent(entity_id, "VariableStorageComponent") or {}
for i, comp in ipairs(var_store_comps) do
	if ComponentGetValue2(comp, "name") == "mWhoShot" then	
		mWhoShot = ComponentGetValue2(comp, "value_int")
		break	
	end
end
if mWhoShot == nil or mWhoShot == 0 then
	local projectile_component = EntityGetFirstComponent(entity_id, "ProjectileComponent")
	mWhoShot = ComponentGetValue2(projectile_component, "mWhoShot")
	EntityAddComponent(entity_id, "VariableStorageComponent", {
		name = "mWhoShot",
		value_int = mWhoShot,
	})
end