dofile( "data/scripts/lib/utilities.lua" )

local players = EntityGetWithTag("player_unit")

local bouncer = GetUpdatedEntityID()
local bouncer_x, bouncer_y = EntityGetTransform( bouncer )

if #players > 0 and (EntityGetHerdRelation(bouncer, players[1]) < 40) then
  
  local player_x, player_y = EntityGetTransform(players[1])
  
  local did_hit, hit_x, hit_y = RaytraceSurfaces(bouncer_x, bouncer_y, player_x, player_y)
  
  if not did_hit and ( player_x < ( bouncer_x + 200 ) ) and ( player_x > bouncer_x ) and ( player_y < ( bouncer_y + 50 ) ) and ( player_y > ( bouncer_y - 50 ) ) then
  
	shoot_projectile( bouncer, "data/entities/projectiles/laser_bouncer.xml", bouncer_x + 10, bouncer_y, 60, 0, false )
  
  elseif not did_hit and ( player_x > ( bouncer_x - 200 ) ) and ( player_x < bouncer_x ) and ( player_y < ( bouncer_y + 50 ) ) and ( player_y > ( bouncer_y - 50 ) ) then
  
	shoot_projectile( bouncer, "data/entities/projectiles/laser_bouncer.xml", bouncer_x - 10, bouncer_y, -60, 0, false )

  end
  
end