dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", true)

local projectile_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ProjectileComponent")
local shooter_id = ComponentGetValue2(projectile_component, "mWhoShot")   
ComponentSetValue2( projectile_component, "mWhoShot", shooter_id )

EntityAddChild(EntityGetRootEntity(shooter_id), entity_id)
