dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local sprite_comps = EntityGetComponent(entity_id, "SpriteComponent") or {}
for i, comp in ipairs(sprite_comps) do

	ComponentSetValue2(comp, "rect_animation", "attack")
	ComponentSetValue2(comp, "next_rect_animation", "stand")
	
end

GamePlaySound( "data/audio/Desktop/projectiles.bank", "projectiles/electric/create", pos_x, pos_y )

EntityAddComponent(entity_id, "LuaComponent", {
	script_source_file="data/scripts/projectiles/creeper_shot.lua",
	execute_every_n_frame=18,
	execute_on_added=0,
	remove_after_executed=1
})