dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local enemies = EntityGetInRadiusWithTag( x, y, 300, "mortal" )

local cx, cy = GameGetCameraPos()
SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

for i = 1, 5 do
	EntityLoad( "data/entities/projectiles/god_warrior_earthquake_particles.xml", cx + Random(-250,250) , cy + (-100 + 100) )
end

if ( #enemies > 0 ) then
	for _,enemy_id in ipairs(enemies) do
		local ex, ey = EntityGetTransform( enemy_id )
		local character_data_component = EntityGetFirstComponentIncludingDisabled(enemy_id, "CharacterDataComponent")

		if ComponentGetValue2( character_data_component, "is_on_ground" ) == true then

			EntityInflictDamage( enemy_id, 0.5, "DAMAGE_PHYSICS_HIT", "", "BLOOD_EXPLOSION", 0, 0, entity_id, ex, ey )
			
			GamePlaySound("data/audio/Desktop/animals.bank", "explosions/barrel_oil", ex, ey)
			GamePlaySound("data/audio/Desktop/animals.bank", "explosions/cocktail", ex, ey)
			
		end
	end
end

