dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

-- EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)

local sprite_component = EntityGetFirstComponentIncludingDisabled(entity_id, "SpriteComponent")
ComponentSetValue2(sprite_component, "alpha", 0)

-- GamePlaySound("mods/new_enemies/data/sound/more_sounds/my_mod_audio.bank", "snd_mod/laser_fire/create", x, y)

GameScreenshake(6)


--SHOOTING THE PETRIFYING LASER
--dofile_once("data/scripts/gun/gun.lua")
local speed = 20

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y, rot = EntityGetTransform( entity_id )

-- velocity
local vel_x,vel_y = GameGetVelocityCompVelocity(entity_id)
vel_x, vel_y = vec_normalize(vel_x, vel_y)
if vel_x == nil then return end
vel_x = vel_x * speed
vel_y = vel_y * speed

local offset_x, offset_y = vec_normalize(vel_x, vel_y)
offset_x, offset_y = vec_rotate(offset_x, offset_y, math.pi*0.5) -- perpendicular to flight direction

-- launch projectiles in parallel
local offset = -3
-- for i=1,7 do
	-- placement
	local x = pos_x + offset_x * offset
	local y = pos_y + offset_y * offset

	-- slow down projectiles on the side for an arrow-y shape
	local vx, vy = vel_x, vel_y
	local brake = (1 - math.abs(offset) * 0.16)
	vx = vx * brake
	vy = vy * brake

	shoot_projectile_from_projectile(entity_id, "data/entities/projectiles/desert_mage_petrifying_laser.xml", x, y, vx * 1000000, vy * 1000000)

	-- offset = offset + 1
-- end

-- EntityAddComponent(entity_id, "SpriteComponent", {
    -- alpha="1",
    -- image_file="data/projectiles_gfx/giant_boss_laser.xml",
    -- next_rect_animation="",
    -- offset_x="0",
    -- offset_y="0",
    -- rect_animation="fireball",
	-- emissive="0",
    -- additive="0",
    -- z_index="-1",
	-- update_transform_rotation="1"
-- })

-- local comps = EntityGetComponent( entity_id, "LaserEmitterComponent" )
-- if ( comps ~= nil ) then
	-- for i,comp in ipairs( comps ) do
		-- ComponentSetValue2( comp, "is_emitting", true )
	-- end
-- end
