dofile_once( "data/scripts/projectiles/overmind.lua" )
dofile_once( "data/scripts/lib/utilities.lua" )
-- dofile( "data/scripts/game_helpers.lua" )

function collision_trigger(colliding_entity)
	local entity_id = GetUpdatedEntityID()

	local players = EntityGetWithTag("player_unit")

	local x, y = EntityGetTransform( entity_id )

	local closestEntity = get_players()[1]

	function play_animation( entity_id, animation_name, next_animation )
		local sprite_components = EntityGetComponent( entity_id, "SpriteComponent" )
		if( sprite_components ~= nil ) then
			for i,v in ipairs(sprite_components) do
				ComponentSetValue2( v, "rect_animation", animation_name)
				ComponentSetValue2( v, "next_rect_animation", next_animation)
			end
		end
	end

	if(closestEntity ~= nil)then
		if BiomeMapGetName() ~= "$biome_holymountain" and #players > 0 and (EntityGetHerdRelation(entity_id, players[1]) < 40) then
			-- if GameIsBetaBuild() == false then
				-- if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 180 == 0 then
					-- shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 51, "data/entities/projectiles/eye_shot.xml", 900, 250)
				-- end
			-- else
				shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 51, "data/entities/projectiles/eye_shot.xml", 900, 250)
			-- end
			-- play_animation(entity_id, "attack", "stand")
		end
	end
end