dofile( "data/scripts/projectiles/overmind.lua" )
dofile( "data/scripts/lib/utilities.lua" )
-- dofile( "data/scripts/game_helpers.lua" )

local entity_id = GetUpdatedEntityID()

local x, y = EntityGetTransform( entity_id )

local closestEntity = get_players()[1]

function play_animation( entity_id, animation_name, next_animation )
    local sprite_components = EntityGetComponent( entity_id, "SpriteComponent" )
    if( sprite_components ~= nil ) then
        for i,v in ipairs(sprite_components) do
            ComponentSetValue2( v, "rect_animation", animation_name)
            ComponentSetValue2( v, "next_rect_animation", next_animation)
        end
    end
end

if(closestEntity ~= nil)then

    shoot_at_entity(entity_id, closestEntity, 1, 0, 0, 80, "data/entities/projectiles/eye_shot_hell.xml", 900, 250)
	
	-- play_animation(entity_id, "blink", "stand")

end