dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local vx, vy = GameGetVelocityCompVelocity(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
local num_projectiles = 20 -- Number of projectiles forming the circle
local angle_increment = 360 / num_projectiles

for i = 0, num_projectiles - 1 do
	local angle = math.rad(i * angle_increment)
	local vx1, vy1 = vec_rotate(vx, vy, angle)
	shoot_projectile_from_projectile(entity_id, "data/entities/projectiles/gazer_slimeblob_green.xml", x, y, vx + vx1 * 0.1, vy + vy1 * 0.1)
end

GameEntityPlaySound( entity_id, "duplicate" )

EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)