dofile_once("data/scripts/lib/utilities.lua")
local entity_id = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform( entity_id )

local x, y = EntityGetTransform( entity_id )

  
local did_hit, hit_x, hit_y = RaytraceSurfaces(x - 2, y - 2, x + 2, y - 2)
local did_hit2, hit_x2, hit_y2 = RaytraceSurfaces(x - 2, y - 2, x - 2, y + 2)
local did_hit3, hit_x3, hit_y3 = RaytraceSurfaces(x - 2, y + 2, x + 2, y + 2)
local did_hit4, hit_x4, hit_y4 = RaytraceSurfaces(x + 2, y + 2, x + 2, y - 2)

if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") < 60 then

	if did_hit or did_hit2 or did_hit3 or did_hit4 then

		local owner_id = 0

		local comp = EntityGetFirstComponent( entity_id, "ProjectileComponent" )
		if ( comp ~= nil ) then
			owner_id = ComponentGetValue2( comp, "mWhoShot" )
		end

		if ( owner_id ~= nil ) and ( owner_id ~= NULL_ENTITY ) then
			local px,py = EntityGetTransform( owner_id )
			local dir = 0 - math.atan2( y - py, x - px )
			local vel_x = math.cos( dir ) * 150
			local vel_y = 0 - math.sin( dir ) * 150
			
			edit_component( owner_id, "VelocityComponent", function(comp,vars)
				ComponentSetValueVector2( comp, "mVelocity", vel_x, vel_y )
			end)
			
			edit_component( owner_id, "CharacterDataComponent", function(comp,vars)
				ComponentSetValueVector2( comp, "mVelocity", vel_x, vel_y )
			end)
			
			PhysicsApplyForce( owner_id, vel_x * 0.1, vel_y * 0.1 )
			
			GamePlaySound( "data/audio/Desktop/misc.bank", "misc/root_grow", x, y )
			
			-- for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
				-- if EntityGetFirstComponent(child_id, "VerletPhysicsComponent") then
					-- EntityRemoveFromParent(child_id)
				-- end
			-- end
			
			-- EntityKill(entity_id)
		end
	end

end