dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/gun/procedural/gun_action_utils.lua")

local entity_id = GetUpdatedEntityID()
local x,y,dir,sx,sy = EntityGetTransform( entity_id )

local function getDistance(x1, y1, x2, y2)
	return math.sqrt(math.pow((y2-y1),2)+math.pow((x2-x1),2))
end

	local x2 =x+ math.cos( dir ) * 288
	local y2 = y+math.sin( dir ) * 288
	local did_hit, hit_x,hit_y = RaytraceSurfacesAndLiquiform( x, y, x2, y2 )
	local x_scale = 1
	local sprite_enable_num
	local distance
	if did_hit then
		distance= getDistance(x,y,hit_x,hit_y)
		--print(tostring(distance))
		
		--setting the length of the beam
		local sprite_width = 320
		local max_distance = 320
		local scale = math.max(0, distance) / sprite_width
		x_scale = math.min(scale, sprite_width / max_distance)

		-- sprite_enable_num = math.modf( distance / 48 +0.5)
		-- if sprite_enable_num ==0 then
			-- sprite_enable_num =1
		-- end
		-- --print(tostring(sprite_enable_num))
		-- x_scale = (distance/sprite_enable_num)/64

	end
	
	--Shrinking the laserbeam and fade beam with time
	y_scale = sy * 0.96
	
	-- local laser_emitter_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "LaserEmitterComponent")
	-- local beam_radius = ComponentObjectGetValue( laser_emitter_comp, "laser", "beam_radius" )
	-- ComponentObjectSetValue( laser_emitter_comp, "laser", "beam_radius", beam_radius * 0.985 )
	
	local sprite_comps = EntityGetComponent(entity_id, "SpriteComponent") or {}
	for i, comp in ipairs(sprite_comps) do
		
		-- local sprite_alpha = ComponentGetValue2(comp, "alpha")
		-- ComponentSetValue2(comp, "alpha", sprite_alpha * 0.98)
		
		if ComponentHasTag( comp, "enabled_in_hand" ) then
		
			local special_scale_y = ComponentGetValue2(comp, "special_scale_y")
			ComponentSetValue2(comp, "special_scale_y", special_scale_y * 0.985)
		
		end
	end
	
	EntitySetTransform(entity_id, x, y, dir , x_scale, y_scale)
	
	local sprite_comps = EntityGetComponentIncludingDisabled(entity_id,"SpriteComponent","enabled_in_world")

	-- local y_scale = 0.75

	if did_hit then
		EntitySetComponentsWithTagEnabled( entity_id, "enabled_in_hand",true )
		local sprite_comp_end = EntityGetComponentIncludingDisabled(entity_id,"SpriteComponent","enabled_in_hand")[1]
		ComponentSetValue2(sprite_comp_end,"offset_x",(32-distance)/0.75)
	else
		EntitySetComponentsWithTagEnabled( entity_id, "enabled_in_hand",false )
	end
	-- for i,comp_id in pairs(sprite_comps) do
		-- local y_scale = ComponentGetValue2( comp_id, "special_scale_y")
		-- y_scale = y_scale * 0.96
		-- ComponentSetValue2(comp_id,"special_scale_y",(math.min(0.75,y_scale)))
		-- -- if did_hit then
			-- -- local num_in_distance = (-ComponentGetValue2(comp_id,"offset_x"))/64 +0.1
			-- -- ComponentSetValue2(comp_id,"special_scale_x",x_scale)
			-- -- if num_in_distance > sprite_enable_num then
				-- -- EntitySetComponentIsEnabled( entity_id, comp_id, false )
			-- -- end
		-- -- else
			-- -- ComponentSetValue2(comp_id,"special_scale_x",x_scale)
		-- -- end
	-- end
	
-- ComponentSetValueVector2(emitter_comp,"scale",0.01,0.01)