dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local vc_id = EntityGetFirstComponentIncludingDisabled(entity_id, "VelocityComponent")
local vel_x, vel_y = ComponentGetValue2(vc_id, "mVelocity")

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

function randomize_velocity(vel_x, vel_y)
    local speed_multiplier = Randomf(0.8, 1.2)
    return vel_x * speed_multiplier, vel_y * speed_multiplier
end

local new_vel_x, new_vel_y = randomize_velocity(vel_x, vel_y)
shoot_projectile_from_projectile( entity_id, "data/entities/projectiles/lempo_acid_shot2.xml", pos_x - 8, pos_y + 14, new_vel_x, new_vel_y)

local new_vel_x, new_vel_y = randomize_velocity(vel_x, vel_y)
shoot_projectile_from_projectile( entity_id, "data/entities/projectiles/lempo_acid_shot2.xml", pos_x + 9, pos_y + 14, new_vel_x, new_vel_y)