dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local mwyah = EntityGetWithName("$mwyah_phase1")
if mwyah > 0 then
	local children = EntityGetAllChildren( mwyah, "pitcheck_b" )
	local arena_center_id = children[1]
	local acx, acy = EntityGetTransform( arena_center_id )
	
	if ( x > acx + 220 ) or
	( x < acx - 230 ) or
	( y < acy - 240 ) then
	
		local all_comps = EntityGetAllComponents( entity_id ) or {}
		for i, comp in ipairs(all_comps) do
			EntityRemoveComponent( entity_id, comp )
		end
		EntityApplyTransform(entity_id, 66666666, 66666666)
		EntityKill(entity_id)
	end
end