dofile_once( "data/scripts/lib/utilities.lua" )

local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")

local entity_id = GetUpdatedEntityID()
local x, y, rot, sx, sy = EntityGetTransform(entity_id)

EntitySetTransform(entity_id, x, y - 10)

local comp = EntityGetFirstComponentIncludingDisabled( entity_id, "SpriteComponent" )

if ( comp ~= nil ) and ( comp > 0 ) then
	-- local lasty = ComponentGetValue2(comp, "special_scale_y")
	-- ComponentSetValue2( comp, "special_scale_y", lasty + 0.05 )
	if times_executed > 30 then
		local alpha = ComponentGetValue2(comp, "alpha")
		if alpha > 0 then
			ComponentSetValue2(comp, "alpha", alpha - 0.1)
		else
			EntityKill(entity_id)
		end
	end
end