dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")

-- Define constants
local var_comp = get_variable_storage_component( entity_id, "init_origin" )
local var_comp2 = get_variable_storage_component( entity_id, "origin" )

if ComponentGetValue2(var_comp, "value_bool") == false then
	ComponentSetValue2(var_comp, "value_bool", true)

	ComponentSetValue2(var_comp2, "value_float", x)
end

local initial_x = ComponentGetValue2(var_comp2, "value_float")
local target_x = initial_x + 240

local amplitude = (target_x - initial_x) -- Half the total distance
local frequency = 0.01 -- Adjust as needed for speed

-- Calculate movement using sine wave
local movement = amplitude * math.cos(frequency * times_executed)

-- Set the new x position
local new_x = initial_x + movement
EntitySetTransform(entity_id, new_x, y)