dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x,y,r = EntityGetTransform( entity_id )


local vc_id = EntityGetFirstComponentIncludingDisabled(entity_id, "VelocityComponent")
local vel_x, vel_y = ComponentGetValue2(vc_id, "mVelocity")

local opts = { "orb_dark", "orb_poly", "orb_tele", "orb_hearty", "orb_homing", "orb_neutral", "orb_swapper", "orb_twitchy", "orb_weaken", "orb_wither", "orb_earthquake", "orb_time", "orb_trip" }

SetRandomSeed( x * GameGetFrameNum(), y )

local rnd = Random( 1, #opts )

local eid = shoot_projectile_from_projectile( entity_id, "data/entities/projectiles/" .. opts[rnd] .. ".xml", x, y, vel_x, vel_y )

EntityKill(entity_id)