dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( GetUpdatedEntityID() )

local projectile_comp = EntityGetFirstComponentIncludingDisabled( entity_id, "ProjectileComponent" )
local shooter_id = ComponentGetValue2(projectile_comp, "mWhoShot")
if shooter_id > 0 then
	root_id = EntityGetRootEntity( shooter_id )
end

local var_comp = get_variable_storage_component( root_id, "new_enemies_frame_explosion_immunity" )

if shooter_id > 0 and EntityGetIsAlive( shooter_id ) and not var_comp then
	local damage_model_comp = EntityGetFirstComponentIncludingDisabled(root_id, "DamageModelComponent")
	ComponentObjectSetValue( damage_model_comp, "damage_multipliers", "explosion", 0 )

	EntityAddComponent(root_id, "LuaComponent", {
		script_source_file="data/scripts/animals/oruai_immunity_toggler.lua",
		execute_every_n_frame=1,
		execute_on_added=0,
		remove_after_executed=1
	}) 
	
	EntityAddComponent2(root_id, "VariableStorageComponent", {
		name = "new_enemies_frame_explosion_immunity"
	})
end