dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y, rot = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

-- pos_x = pos_x + rand(-4, 4)
-- pos_y = pos_y + rand(-4, 4)
-- local vel_x = rand(-20, 20)
-- local vel_y = rand(-20, 20)

local entities = EntityGetInRadiusWithTag( pos_x, pos_y, 10, "vine_projectile" )

if ( #entities > 1 ) then
	return
else
	local projectile = shoot_projectile_from_projectile( entity_id, "data/entities/projectiles/oruai_plasma_delayed.xml", pos_x, pos_y, 0, 0 )
	-- local var_store = get_variable_storage_component(entity_id, "entity_tracker")
	-- if var_store then
		-- local val = ComponentGetValue2(var_store, "value_string")
		-- local stored_coords = decode_stored_coords(val)
		-- table.insert(stored_coords, projectile)
		
		-- local encode_string = encode_coords_to_store(stored_coords)
		
		-- ComponentSetValue2(var_store, "value_string", encode_string)
	-- end

	EntityAddChild(entity_id, projectile)
	
	local projectile_comp_this = EntityGetFirstComponentIncludingDisabled( entity_id, "ProjectileComponent" )
	local projectile_comp = EntityGetFirstComponentIncludingDisabled( projectile, "ProjectileComponent" )
	component_write( projectile_comp,
	{
		mWhoShot = ComponentGetValue2(projectile_comp_this, "mWhoShot")
	} )
	
	-- GamePrint(ComponentGetValue2(projectile_comp_this, "mWhoShot"))
	-- GamePrint(ComponentGetValue2(projectile_comp, "mWhoShot"))
end