dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local homing_component = EntityGetFirstComponentIncludingDisabled(entity_id, "HomingComponent")

local target_id = ComponentGetValue2(homing_component, "predefined_target")

local tx, ty = EntityGetTransform( target_id )

local state = GetValueNumber("state", 0)


if state == 0 then
	if (target_id ~= nil) and (target_id > 0) and (tx ~= nil) and (tx ~= nil) then
		if tx >= x then
			SetValueNumber("state", 2)
			GameScreenshake(20)
			edit_component( entity_id, "VelocityComponent", function(comp,vars)
				ComponentSetValueVector2( comp, "mVelocity", 0, 0)
			end)
			
			GamePlaySound( "data/audio/Desktop/materials.snd", "collision/brick_break", x, y )
			GamePlaySound( "data/audio/Desktop/materials.snd", "collision/rock", x, y )
			GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x, y)
			
		elseif tx < x then
			SetValueNumber("state", 3)
			GameScreenshake(20)
			edit_component( entity_id, "VelocityComponent", function(comp,vars)
				ComponentSetValueVector2( comp, "mVelocity", 0, 0)
			end)
			
			GamePlaySound( "data/audio/Desktop/materials.snd", "collision/brick_break", x, y )
			GamePlaySound( "data/audio/Desktop/materials.snd", "collision/rock", x, y )
			GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x, y)
		end
	end
elseif state == 1 then
	if (target_id ~= nil) and (target_id > 0) and (tx ~= nil) and (tx ~= nil) then
		if ty < y then
			SetValueNumber("state", 4)
			GameScreenshake(20)
			edit_component( entity_id, "VelocityComponent", function(comp,vars)
				ComponentSetValueVector2( comp, "mVelocity", 0, 0)
			end)
			
			GamePlaySound( "data/audio/Desktop/materials.snd", "collision/brick_break", x, y )
			GamePlaySound( "data/audio/Desktop/materials.snd", "collision/rock", x, y )
			GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x, y)
			
		elseif ty >= y then
			SetValueNumber("state", 5)
			GameScreenshake(20)
			edit_component( entity_id, "VelocityComponent", function(comp,vars)
				ComponentSetValueVector2( comp, "mVelocity", 0, 0)
			end)
			
			GamePlaySound( "data/audio/Desktop/materials.snd", "collision/brick_break", x, y )
			GamePlaySound( "data/audio/Desktop/materials.snd", "collision/rock", x, y )
			GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x, y)
			
		end
	end
elseif state == 2 then
	
	edit_component( entity_id, "VelocityComponent", function(comp,vars)
		local velx, vely = ComponentGetValue2(comp, "mVelocity")
		ComponentSetValueVector2( comp, "mVelocity", velx, 0)
	end)
	
	if (target_id ~= nil) and (target_id > 0) and (tx ~= nil) and (tx ~= nil) then
		if x > tx then
			SetValueNumber("state", 1)
		end
	end
	
elseif state == 3 then

	edit_component( entity_id, "VelocityComponent", function(comp,vars)
		local velx, vely = ComponentGetValue2(comp, "mVelocity")
		ComponentSetValueVector2( comp, "mVelocity", velx, 0)
	end)
	
	if (target_id ~= nil) and (target_id > 0) and (tx ~= nil) and (tx ~= nil) then
		if x < tx then
			SetValueNumber("state", 1)
		end
	end
	
elseif state == 4 then
	
	edit_component( entity_id, "VelocityComponent", function(comp,vars)
		local velx, vely = ComponentGetValue2(comp, "mVelocity")
		ComponentSetValueVector2( comp, "mVelocity", 0, vely)
	end)

	if (target_id ~= nil) and (target_id > 0) and (tx ~= nil) and (tx ~= nil) then
		if y < ty then
			SetValueNumber("state", 0)
		end
	end
	
elseif state == 5 then
	
	edit_component( entity_id, "VelocityComponent", function(comp,vars)
		local velx, vely = ComponentGetValue2(comp, "mVelocity")
		ComponentSetValueVector2( comp, "mVelocity", 0, vely)
	end)

	if (target_id ~= nil) and (target_id > 0) and (tx ~= nil) and (tx ~= nil) then
		if y > ty then
			SetValueNumber("state", 0)
		end
	end
	
end