dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform(entity_id)

local projectile_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ProjectileComponent")
local shooter_id = ComponentGetValue2(projectile_component, "mWhoShot")  
local sx, sy, srot, ssx = EntityGetTransform(shooter_id)

if (ssx < 0) or (ssx ~= nil) then
	offset_x = -4
	offset_y = -15
else
	offset_x = 4
	offset_y = -15
end
	

for _, child in ipairs(EntityGetAllChildren(entity_id)) do

	
	-- local verlet_component = EntityGetFirstComponentIncludingDisabled(child, "VerletPhysicsComponent")
	-- if ( verlet_component ~= nil ) and ( verlet_component > 0 ) then
		-- GamePrint(verlet_component)
		-- local positions = ComponentGetValue2(verlet_component, "positions")
		-- print(tostring(positions[1]) .. " " .. tostring(positions[2]))
		-- print(tostring(positions))
		-- positions[1] = sx + offset_x
		-- positions[2] = sy + offset_y
		-- ComponentSetValue2(verlet_component, "positions", positions)
	-- end
	
	if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") == 1 then

		local joint1 = EntityAddComponent2(child, "VerletWorldJointComponent", {
			verlet_point_index = 1,
		} )
		ComponentSetValue2(joint1, "world_position", sx + offset_x, sy + offset_y)
	else

		local verlet_joint_component = EntityGetFirstComponentIncludingDisabled(child, "VerletWorldJointComponent")
		ComponentSetValue2(verlet_joint_component, "world_position", sx + offset_x, sy + offset_y)

	end

end
	
