dofile_once( "data/scripts/projectiles/overmind.lua" )
dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )
local closestEntity = get_players()[1]
local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)

local entities = EntityGetInRadiusWithTag(x, y, 30, "mortal")

-- local projectile_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ProjectileComponent")
-- local shooter_id = ComponentGetValue2(projectile_component, "mWhoShot")   
-- EntityAddChild(shooter_id, entity_id)

local range = 999999

local entity_id = GetUpdatedEntityID()
local root_id = EntityGetRootEntity(entity_id)

-- locate nearest enemy
local enemy, enemy_x, enemy_y
local min_dist = 9999
for _,id in pairs(EntityGetInRadiusWithTag(x, y, range, "mortal")) do
	-- is target a valid enemy
	if EntityGetComponent(root_id, "GenomeDataComponent") ~= nil and EntityGetHerdRelation(root_id, id) < 40 then
		local x2, y2 = EntityGetFirstHitboxCenter( id )
		local dist = get_distance(x, y, x2, y2)
		if dist < min_dist then
			min_dist = dist
			closestEntity = id
			enemy_x = x2
			enemy_y = y2
		end
	end
end

for i=1,3 do
	shoot_at_entity_from_projectile(entity_id, closestEntity, 1, 0, 0, 8, "data/entities/projectiles/scavenger_tongue.xml", 999999999999999, 9999999999999999999999, Random(-5,5))
end