dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local radius = 1

edit_component( entity_id, "BlackHoleComponent", function(comp,vars)
		radius = tonumber(ComponentGetValue( comp, "radius"))
		radius = math.min(64, radius + 1)
		vars.radius = radius
		vars.particle_attractor_force = radius
	end)
	
-- edit_component( entity_id, "LooseGroundComponent", function(comp,vars)
		-- vars.max_distance = radius + 20
	-- end)
	
local ParticleEmitterComponent = EntityGetFirstComponentIncludingDisabled(entity_id, "ParticleEmitterComponent")
ComponentSetValue2(ParticleEmitterComponent, "area_circle_radius", radius, radius)