dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

-- local velComp = EntityGetFirstComponent(entity_id, "VelocityComponent")
-- local vel_x, vel_y = ComponentGetValue2( velComp, "mVelocity" )

-- local multiplier = 0.15

-- EntitySetTransform(entity_id, pos_x + vel_x * multiplier, pos_y - 4 + vel_y * multiplier)

local sprite_component = EntityGetFirstComponentIncludingDisabled(entity_id, "SpriteComponent")
EntitySetComponentIsEnabled( entity_id, sprite_component, true )

local comps = EntityGetComponent( entity_id, "LaserEmitterComponent" )
if ( comps ~= nil ) then
	for i,comp in ipairs( comps ) do
		ComponentSetValue2( comp, "is_emitting", true )
	end
end

EntityAddComponent(entity_id, "LuaComponent", {
	script_source_file="data/scripts/projectiles/welder_laser_emitter_end.lua",
	execute_every_n_frame=1,
})
