-- effect_entity should be path of an entity with GameEffectComponent or ""
-- Custom game effect entities (effect="CUSTOM", custom_effect_id="UNIQUE_ID") are also OK.
-- IMPORTANT: to ensure serialization doesn't break please add any new effects to the end of the list, and never remove effects or change the order of effects.

status_effects = 
{
	{
		id="EXPLODING_CORPSE",
		effect_entity="data/entities/misc/effect_exploding_corpse.xml",
		ragdoll_entity="data/entities/props/physics_ragdoll_part_exploding.xml",
		ragdoll_material="",
	},
	{
		id="ELECTROCUTION",
		effect_entity="data/entities/misc/effect_electricity.xml",
		ragdoll_entity="data/entities/props/physics_ragdoll_part_electrified.xml",
		ragdoll_material="",
	},
	{
		id="FROZEN",
		effect_entity="data/entities/misc/effect_frozen.xml",
		ragdoll_entity="",
		ragdoll_material="ice_glass_b2",
	},
	-- {
		-- id="ON_FIRE",
		-- effect_entity="data/entities/misc/effect_apply_on_fire.xml",
		-- ragdoll_entity="",
		-- ragdoll_material="",
	-- },
}