dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform( entity_id )

local player_id = EntityGetWithTag("player_unit")[1]
if player_id ~= nil then
    local px, py = EntityGetTransform( player_id )

    function calculate_force(body_entity, body_mass, body_x, body_y, body_vel_x, body_vel_y, body_vel_angular)
        body_x = body_x+8
        body_y = body_y+8
        local dx, dy = vec_normalize(px-body_x, py-body_y)
        local magnitude = 10000
        return body_x, body_y, magnitude*dx, magnitude*dy, 0
    end

    PhysicsApplyForceOnArea(calculate_force, 0, x-11, y-11, x+11, y+11)
end

EntityKill(entity_id)
