dofile_once( "data/scripts/lib/utilities.lua" )
local entity_id = GetUpdatedEntityID()

local phys_body = EntityGetFirstComponent(entity_id, "PhysicsBodyComponent")
local mass = ComponentGetValue2(phys_body, "mPixelCount")

local x, y, rot = EntityGetTransform(entity_id)
local comps = EntityGetAllComponents(entity_id)
local concomp = nil
for i,v in ipairs(comps) do
	if ComponentGetTypeName(v) == "ControlsComponent" then concomp = v; break end
end
local input = {
	ComponentGetValue(concomp, "mButtonDownRight"), --right
	ComponentGetValue(concomp, "mButtonDownUp"), --up
	ComponentGetValue(concomp, "mButtonDownLeft"), --left
	ComponentGetValue(concomp, "mButtonDownDown"), --down
}

if input[1] == "1" then PhysicsApplyForce(entity_id, 0.2 * mass, 0) end
if input[2] == "1" then PhysicsApplyForce(entity_id, 0, -0.2 * mass) end
if input[3] == "1" then PhysicsApplyForce(entity_id, -0.2 * mass, 0) end
if input[4] == "1" then PhysicsApplyForce(entity_id, 0, 0.2 * mass) end

local last = input[5]

-- PhysicsApplyTorque(entity_id, -rot * mass)
-- PhysicsApplyForce(entity_id, 0, -0.3 * mass)

