local faces = EntityGetWithTag("polymorphed_player")

if not ( #faces > 0 ) then
	local entity_id = GetUpdatedEntityID()
	EntityKill(entity_id)
	return
else
	player_id = faces[1]
end

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(player_id)
local ghost_component = EntityGetFirstComponent(player_id, "GhostComponent")

local comps = EntityGetAllComponents(entity_id)
local concomp = nil
for i,v in ipairs(comps) do
	if ComponentGetTypeName(v) == "ControlsComponent" then concomp = v; break end
end
local input = {
	ComponentGetValue(concomp, "mButtonDownRight"), --right
	ComponentGetValue(concomp, "mButtonDownUp"), --up
	ComponentGetValue(concomp, "mButtonDownLeft"), --left
	ComponentGetValue(concomp, "mButtonDownDown"), --down
}

local tx = x
local ty = y

local setting_controls = false
if input[1] == "1" then 
	tx = tx + 20 
	setting_controls = true 
end
if input[2] == "1" then 
	ty = ty - 20 
	setting_controls = true 
end
if input[3] == "1" then 
	tx = tx - 20 
	setting_controls = true 
end
if input[4] == "1" then 
	ty = ty + 20 
	setting_controls = true 
end

EntitySetTransform( entity_id, tx, ty)
-- ComponentSetValue2(ghost_component, "target_tag", "player_ghost_target_entity")
-- ComponentSetValue2(ghost_component, "mTargetEntityId", entity_id)
-- ComponentSetValue2(ghost_component, "new_hunt_target_check_every", 20)
-- ComponentSetValue2(ghost_component, "mTargetPosition", tx, ty)
-- ComponentSetValue2(ghost_component, "mRandomTarget", tx, ty)

if setting_controls == true then
	local speed = ComponentGetValue2(ghost_component, "speed")
	ComponentSetValueVector2(ghost_component, "velocity", (tx - x) * speed * 0.1, (ty - y) * speed * 0.1 )
end
