dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local has_player_tag = EntityHasTag(entity_id, "polymorphed_player")
if has_player_tag == true then
	local x, y = EntityGetTransform(entity_id)
	local var_comp = get_variable_storage_component( entity_id, "setup_poly_player" )
	
	if var_comp == nil then
		local comps = EntityGetAllComponents( entity_id) or {}
		for _, comp in ipairs(comps) do
			--remove the enemy scaling lua script
			if ComponentHasTag(comp, "remove_when_polyd") then
				EntityRemoveComponent(entity_id, comp)
			end
			if ComponentHasTag(comp, "enable_when_polyd") then
				EntitySetComponentIsEnabled( entity_id, comp, true )
			end
		end
	
		EntityAddComponent2(entity_id, "VariableStorageComponent", {
			name = "setup_poly_player"
		})
	end

end