dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

SetRandomSeed(pos_x + GameGetFrameNum(), pos_y + entity_id)

local how_many = Random(1, 3)
local angle_inc = (( 2 * 3.14159 ) / how_many) * -0.5
angle_inc = angle_inc + 3.14159
local theta = angle_inc * -0.3
local length = 60

for i=1,how_many do
	local vel_x = math.cos( theta - 0.31415 ) * length
	local vel_y = math.sin( theta - 0.31415 ) * length
	theta = theta + angle_inc

	shoot_projectile( entity_id, "data/entities/projectiles/beehive_bee.xml", pos_x + vel_x * 0.01, pos_y + vel_y * 0.01, vel_x, vel_y, false )
end

-- kill self
function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
    local entity_id    = GetUpdatedEntityID()
    local pos_x, pos_y = EntityGetTransform( entity_id )

    local how_many = 6
    local angle_inc = (( 2 * 3.14159 ) / how_many) * -0.5
	angle_inc = angle_inc + 3.14159
    local theta = angle_inc * -0.3
    local length = 260

    for i=1,how_many do
        local vel_x = math.cos( theta - 0.31415 ) * length
        local vel_y = math.sin( theta - 0.31415 ) * length
        theta = theta + angle_inc

        shoot_projectile( entity_id, "data/entities/projectiles/beehive_bee.xml", pos_x + vel_x * 0.03, pos_y + vel_y * 0.03, vel_x, vel_y, false )
    end
end