dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y, rot, scale_x  = EntityGetTransform(entity_id)
local players = EntityGetWithTag("player_unit")

if #players > 0 then
	local animal_ai_component = EntityGetFirstComponentIncludingDisabled(entity_id, "AnimalAIComponent")
	if ( animal_ai_component ~= nil ) and ( animal_ai_component > 0 ) then
		ComponentSetValue2( animal_ai_component, "mGreatestPrey", players[1] )
		ComponentSetValue2( animal_ai_component, "mHasFoundPrey", true )
	end
end

-- SetRandomSeed(x + GameGetFrameNum(), y)
-- ComponentSetValue(GetUpdatedComponentID(), "execute_every_n_frame", 10 + Random(140))
