dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y, rot, scale_x  = EntityGetTransform(entity_id)
local players = EntityGetWithTag("player_unit")

if #players > 0 then
	-- GamePrint(EntityGetHerdRelation(entity_id, players[1]))
	local animal_ai_component = EntityGetFirstComponentIncludingDisabled(entity_id, "AnimalAIComponent")
	if ( animal_ai_component ~= nil ) and ( animal_ai_component > 0 ) then
		ComponentSetValue2( animal_ai_component, "mGreatestPrey", players[1] )
		ComponentSetValue2( animal_ai_component, "mHasFoundPrey", true )
	end
	

	if EntityGetComponent(entity_id, "GenomeDataComponent") ~= nil and ( ( EntityGetHerdRelation(entity_id, players[1]) > 40 ) or (EntityGetHerdRelation(entity_id, players[1]) <= 0 ) ) then
		local limb_boss_component = EntityGetFirstComponentIncludingDisabled(entity_id, "LimbBossComponent")
		if limb_boss_component ~= nil and limb_boss_component > 0 then
			EntitySetComponentsWithTagEnabled(entity_id, "pitcheck_b", true)
			ComponentSetValue2(limb_boss_component, "state", 4)
			local px, py  = EntityGetTransform(players[1])
			ComponentSetValue2(limb_boss_component, "mMoveToPositionX", px )
			ComponentSetValue2(limb_boss_component, "mMoveToPositionY", py )
		end
	else
		ComponentSetValue2(limb_boss_component, "state", 1)
		EntitySetComponentsWithTagEnabled(entity_id, "pitcheck_b", false)
	end
end

-- SetRandomSeed(x + GameGetFrameNum(), y)
-- ComponentSetValue(GetUpdatedComponentID(), "execute_every_n_frame", 10 + Random(140))
