dofile_once( "data/scripts/lib/utilities.lua" )

function collision_trigger(colliding_entity)
	local entity_id = GetUpdatedEntityID()

	local x, y = EntityGetTransform( entity_id )
	  
	local did_hit, hit_x, hit_y = RaytraceSurfaces(x - 5, y - 13, x + 5, y - 13)
	  
	if not did_hit then
		
		local new_ent = EntityLoad( "data/entities/animals/bloom.xml", x, y + 7 )
		
		local who_shot_damage_model_component = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
		local who_spawned_damage_model_component = EntityGetFirstComponentIncludingDisabled( new_ent, "DamageModelComponent" )

		local hp = ComponentGetValue2(who_shot_damage_model_component, "hp")
		local max_hp = ComponentGetValue2(who_shot_damage_model_component, "max_hp")

		if max_hp and hp then
			ComponentSetValue2( who_spawned_damage_model_component, "max_hp", max_hp )
			ComponentSetValue2( who_spawned_damage_model_component, "hp", hp )
		end
		EntityKill(entity_id)
	end
end