dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( GetUpdatedEntityID() )
local dir_x = 16
local dir_y = 0

local dx,dy = 0,0

for i=1,1 do
	dx, dy = vec_rotate( dir_x, dir_y, math.pi * 0.5 * ( i - 1 ) )
	EntityLoad( "data/entities/misc/electricity_medium.xml", x + dx, y + dy )
end

local damage_model_comp = EntityGetFirstComponent(entity_id, "DamageModelComponent")
ComponentObjectSetValue( damage_model_comp, "damage_multipliers", "electricity", 1 )

-- if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") == 1 then
	LoadGameEffectEntityTo( entity_id, "data/entities/misc/effect_electricity_short_conduit.xml" )
-- end

EntityAddComponent(entity_id, "LuaComponent", {
	script_source_file="data/scripts/animals/conduit_immunity_toggler.lua",
	execute_every_n_frame=1,
	execute_on_added=0,
	remove_after_executed=1
}) 

-- local invisible_frame = false

-- if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 2 == 1 then
	-- invisible_frame = true
-- end

-- local sprite_comp = EntityGetFirstComponent(entity_id, "SpriteComponent")
-- local alpha = ComponentGetValue2(sprite_comp, "alpha")

-- if invisible_frame then
	-- ComponentSetValue2(sprite_comp, "alpha", 0.2)
-- else
	-- ComponentSetValue2(sprite_comp, "alpha", 1)
-- end