local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

-- Get a random angle in radians
local angle = math.rad(Random(0, 200))

-- Calculate the direction vector with a magnitude of 1
local dx = math.cos(angle)
local dy = math.sin(angle)

-- Multiply the direction vector by the desired distance of 300
dx = dx * 300
dy = dy * 300

local did_hit, hit_x, hit_y = RaytracePlatforms(x, y - 20, x + dx, y - 20 + dy )

if did_hit then
	EntitySetTransform(entity_id, hit_x, hit_y)
end

EntityRemoveComponent(entity_id, GetUpdatedComponentID())

