local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

if old_position and (x ~= old_position.x or y ~= old_position.y) then
    local velocity_component = EntityGetComponent(entity_id, "VelocityComponent")
    if(velocity_component ~= nil)then
        local velocity_x, velocity_y = ComponentGetValue2( velocity_component, "mVelocity")
		
		local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
		SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)
		
        PhysicsApplyForce(entity_id, Random(-900000,900000), Random(-900000,900000))
    end
end
old_position = {x=x, y=y};

