dofile_once("data/scripts/lib/utilities.lua")

function damage_received( damage, message, entity_thats_responsible, is_fatal  )

	if(is_fatal == true)then
		local entity_id = GetUpdatedEntityID()
	
		local val = 0
		for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
			if EntityGetName(child_id) == "body" then
				EntityRemoveFromParent( child_id )
				val = val + 20
				EntitySetComponentsWithTagEnabled(child_id, "enabled_in_world", true)
				local explosion_component = EntityGetFirstComponentIncludingDisabled(child_id, "ExplosionComponent")
				ComponentSetValue2( explosion_component, "trigger", "ON_DEATH" )
				EntityAddComponent( child_id, "LuaComponent", 
				{ 
					script_source_file="data/scripts/animals/drill_giant_explode.lua",
					execute_every_n_frame = val,
				} )
			end
		end
	end
end