dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetFirstHitboxCenter( entity_id )

local comp = EntityGetFirstComponent( entity_id, "DamageModelComponent" )
if ( comp ~= nil ) then
	local hp = ComponentGetValue2( comp, "hp" )
	-- if ComponentGetValue2(comp, "ragdoll_fx_forced") == "FROZEN" then 
		-- EntityInflictDamage( entity_id, hp, "DAMAGE_ICE", "", "NONE", 0, 0, entity_id, pos_x, pos_y, 0)
	-- else
		local effect_id = LoadGameEffectEntityTo(entity_id, "data/entities/misc/effect_corpse_flopper_drill_giant.xml")
		for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
			if EntityGetName(child_id) == "$drill_giant_segment" then
				EntitySetComponentsWithTagEnabled(child_id, "enabled_in_world", false)
			end
		end
		EntityInflictDamage( entity_id, hp, "DAMAGE_PROJECTILE", "", "BLOOD_EXPLOSION", 0, 0, entity_id, pos_x, pos_y, 0)
	-- end
end

-- for i=1, 10 do
	-- SetRandomSeed( pos_x , pos_y + GameGetFrameNum() )
	-- EntityLoad( "data/entities/projectiles/drill_giant_explosion_push.xml", pos_x + Random(-100, 100), pos_y + Random(-100, 100) )
-- end
