dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local var_comp = get_variable_storage_component( entity_id, "origin" )
local origin_x = ComponentGetValue2(var_comp, "value_int")
local origin_y = ComponentGetValue2(var_comp, "value_float")
if ComponentGetValue2(var_comp, "value_int") ~= 0 then
	local distance = get_distance(x, y, origin_x, origin_y)
	local worm_ai_component = EntityGetFirstComponentIncludingDisabled( entity_id, "WormAIComponent")
	-- if distance > 2500 then
	
	if BiomeMapGetName() ~= "$biome_desert" then
		if worm_ai_component then
			ComponentSetValue2( worm_ai_component, "mRandomTarget", origin_x, origin_y )
			ComponentSetValue2( worm_ai_component, "new_random_target_check_every", 9999 )
		end
	end
	
	if distance < 200 then
		ComponentSetValue2( worm_ai_component, "new_random_target_check_every", 240 )
	end
end

function set_eater_on_all_children(entity, toggle)
	EntitySetComponentsWithTagEnabled(entity, "enable_when_player_seen", toggle)
	for i, child_id in ipairs(EntityGetAllChildren(entity) or {}) do
		set_eater_on_all_children(child_id, toggle)
	end
end

local px, py = GameGetCameraPos()
local distance = get_distance(x, y, px, py)

if distance < 800 then
	set_eater_on_all_children(entity_id, true)
else
	set_eater_on_all_children(entity_id, false)
end