dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/perks/perk.lua")

function damage_received( damage, message, entity_thats_responsible, is_fatal  )

    if(is_fatal == true)then

		local entity_id    = GetUpdatedEntityID()
		local x, y = EntityGetTransform(entity_id)
		
		EntityLoad( "data/entities/particles/image_emitters/magical_symbol_ear_boss.xml", x, y )
		
		LoadRagdoll( "data/ragdolls/ear_boss/filenames.txt", x - 512, y - 80, "concrete_collapsed", 1, 0, 0 )
		LoadRagdoll( "data/ragdolls/ear_boss/filenames.txt", x, y - 80, "concrete_collapsed", 1, 0, 0 )
		LoadRagdoll( "data/ragdolls/ear_boss/filenames.txt", x + 512, y - 80, "concrete_collapsed", 1, 0, 0 )
		
		-- LoadPixelScene( "data/biome_impl/earth_worms.png", "", x - 256 - 512, y - 337, "data/biome_impl/apotheosis/orbroom_visual.png", true, false, "", 4, true )
		-- LoadPixelScene( "data/biome_impl/earth_worms.png", "", x - 256, y - 337, "data/biome_impl/apotheosis/orbroom_visual.png", true, false, "", 4, true )
		-- LoadPixelScene( "data/biome_impl/earth_worms.png", "", x - 256 + 512, y - 337, "data/biome_impl/apotheosis/orbroom_visual.png", true, false, "", 4, true )
		
		-- do some kind of an effect? throw some particles into the air?
		EntityLoad( "data/entities/items/orbs/orb_03.xml", x + 40, y )
		EntityLoad( "data/entities/items/books/book_03.xml", x - 40, y )
		
		local perk_id = perk_spawn( x, y, "EXTRA_SLOTS" )	
		
		if( perk_id ~= nil ) then
			EntityAddComponent( perk_id, "VariableStorageComponent", 
			{ 
				name = "perk_dont_remove_others",
				value_bool = "1",
			} )
		end
		
		EntityLoad( "data/entities/items/wand_unshuffle_06.xml", x , y -10)
		
		EntityLoad( "data/entities/items/pickup/heart_fullhp.xml",  x + 20, y )
	
		GamePlaySound("data/audio/Desktop/animals.bank", "animals/boss_centipede/dying", x, y)
		GameScreenshake(40)
		
	end
	
end