dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y, rotation = EntityGetTransform(entity_id)
local players = EntityGetInRadiusWithTag(x, y, 250, "player_unit")

if #players > 0 and (EntityGetHerdRelation(entity_id, players[1]) < 40) then
  
	local player_x, player_y = EntityGetTransform(players[1])
	local did_hit, hit_x, hit_y = RaytracePlatforms(x, y, player_x, player_y)
  
	if not did_hit then
		
		rotate_value = 90
		
		rotation = rotation - math.rad(rotate_value)
		local distance_from_center = 5
		local projectile_speed = 100
		-- SetRandomSeed(GameGetFrameNum(), x + y * i)
		-- local random_angle_adjustment = math.rad(Random(-60, 60))
		local target_x = x + math.cos(rotation) * distance_from_center
		local target_y = y + math.sin(rotation) * distance_from_center
		
		local vel_x = math.cos(rotation) * projectile_speed
		local vel_y = math.sin(rotation) * projectile_speed
		
		shoot_projectile(entity_id, "data/entities/projectiles/fire_crawler_blob.xml", target_x, target_y, vel_x, vel_y)
		
	end
	
end

