dofile( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()

local x, y = EntityGetTransform( entity_id )

local player = get_players()[1]

if(player ~= nil)then

	local px, py = EntityGetTransform( player )

	--getting the direction to go to
	local dir = get_direction(x, y, px, py)
	local force = 4
	local force_x = math.cos(dir) * force
	local force_y = math.sin(dir) * force
	
	local cdc_id = EntityGetFirstComponentIncludingDisabled(entity_id, "CharacterDataComponent")
	local velocity_x, velocity_y = ComponentGetValue2(cdc_id, "mVelocity")

	ComponentSetValueVector2(cdc_id, "mVelocity", velocity_x - force_x, velocity_y + force_y)

end