local entity_id = GetUpdatedEntityID()

local x, y, rot = EntityGetTransform(entity_id)

local components = EntityGetComponent(entity_id, "MagicConvertMaterialComponent")
if components then
	for k, component in pairs(components)do
		local old_radius = ComponentGetValue2(component, "radius")
		if(old_radius < 70)then
			ComponentSetValue2(component, "radius", old_radius + 1)
			ComponentSetValue2(component, "min_radius", old_radius)
		else
			ComponentSetValue2(component, "radius", 1)
			ComponentSetValue2(component, "min_radius", 0)
		end
	end
end