dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local character_data_component = EntityGetFirstComponentIncludingDisabled(entity_id, "CharacterDataComponent")

ComponentSetValue2(character_data_component, "mVelocity", 35, 0)
ComponentSetValue2(character_data_component, "is_on_ground", true)

local did_hit = RaytracePlatforms(x + 6, y + 3, x + 6, y - 29)

if did_hit then

	EntityAddComponent( entity_id, "LuaComponent", 
	{ 
		script_source_file="data/scripts/animals/giant_temple_ai_enabler.lua",
		execute_every_n_frame = "120",
		execute_times="1",
		remove_after_executed="1"
	} )
	
	local sprite_component = EntityGetFirstComponent(entity_id, "SpriteComponent")
	
	ComponentRemoveTag( sprite_component, "character" )

	ComponentSetValue2(sprite_component, "rect_animation", "attack_ranged")
	ComponentSetValue2(sprite_component, "next_rect_animation", "stand")
	
	local this_lua = GetUpdatedComponentID()
	EntityRemoveComponent( entity_id, this_lua )
end


