dofile_once("data/scripts/lib/utilities.lua")

function damage_about_to_be_received( dmg, x, y, source, critical_hit_chance )
	local entity_id = GetUpdatedEntityID()
	local root_id = EntityGetRootEntity( entity_id )
	local x,y = EntityGetTransform( root_id )
	
	if ( source ~= nil ) and ( source ~= NULL_ENTITY ) and ( source ~= entity_id ) and ( source ~= root_id ) then
		EntityInflictDamage( root_id, dmg, "DAMAGE_PROJECTILE", "", "BLOOD_EXPLOSION", 0, 0, source, x, y )
	else
		EntityInflictDamage( root_id, dmg, "DAMAGE_PROJECTILE", "", "BLOOD_EXPLOSION", 0, 0, entity_id, x, y )
	end
	
	local comp = EntityGetFirstComponent( entity_id, "DamageModelComponent" )
	if ( comp ~= nil ) then
		local max_hp = ComponentGetValue2( comp, "max_hp" )
		ComponentSetValue2( comp, "hp", max_hp )
	end
end