dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y, rot, scale_x  = EntityGetTransform(entity_id)
local players = EntityGetWithTag("player_unit")


if #players > 0 then
	local enemy_x, enemy_y = EntityGetTransform(players[1])
	local animal_ai_component = EntityGetFirstComponentIncludingDisabled(entity_id, "AnimalAIComponent")

	local did_hit, hit_x, hit_y = RaytracePlatforms(x, y , enemy_x, enemy_y)

	--Make sure to not interrupt a ranged attack (state 15)
	local state = ComponentGetValue2(animal_ai_component, "ai_state")
	local difference = math.abs(15 - state)

	if not ( difference < 0.0001 ) then
		ComponentSetValue2( animal_ai_component, "ai_state", 15 ) --set ai state to prepare an attack
		ComponentSetValue2( animal_ai_component, "mGreatestPrey", players[1] ) --set greatest prey to player
		ComponentSetValue2( animal_ai_component, "mHasFoundPrey", true ) --prevent enemy from jumping 40 meters into the sky (no idea why it happens)
	-- else
		-- ComponentSetValue2( animal_ai_component, "ai_state", 18 ) -- set ai state to normal
	end
end

-- SetRandomSeed(x + GameGetFrameNum(), y)
-- ComponentSetValue(GetUpdatedComponentID(), "execute_every_n_frame", 10 + Random(140))
