dofile_once("data/scripts/lib/utilities.lua")

local range = 250

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")
if target > 0 then
	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)

	if dist > range then

		for i, child in ipairs(EntityGetAllChildren(entity_id)  or {}) do
			EntitySetComponentsWithTagEnabled(child, "enabled_in_world", false)
			for i, child_of_child in ipairs(EntityGetAllChildren(child) or {}) do
				local sprite_components = EntityGetComponentIncludingDisabled(child_of_child, "SpriteComponent")
				
				for k, sprite_component in pairs(sprite_components)do
					EntitySetComponentIsEnabled( child_of_child, sprite_component, false )
				end
			end
		end
		
	else

		for i, child in ipairs(EntityGetAllChildren(entity_id)  or {}) do
			EntitySetComponentsWithTagEnabled(child, "enabled_in_world", true)
			for i, child_of_child in ipairs(EntityGetAllChildren(child) or {}) do
				local sprite_components = EntityGetComponentIncludingDisabled(child_of_child, "SpriteComponent")
				
				for k, sprite_component in pairs(sprite_components)do
					EntitySetComponentIsEnabled( child_of_child, sprite_component, true )
				end
			end
		end

	end
end