dofile_once( "data/scripts/lib/utilities.lua" )

function collision_trigger(colliding_entity)
	local entity_id = GetUpdatedEntityID()
	local x, y = EntityGetTransform(entity_id)
	local cx, cy = EntityGetTransform(colliding_entity)
	local crawler_component = EntityGetFirstComponentIncludingDisabled(entity_id, "CrawlerAnimalComponent")
	local sprite_component = EntityGetFirstComponentIncludingDisabled(entity_id, "SpriteComponent")
	local dist = get_distance(x, y, cx, cy)
	if dist < 10 then
		ComponentSetValue2(crawler_component, "mFrameNextDamage", GameGetFameNum())
	else
		ComponentSetValue2(crawler_component, "mFrameNextDamage", 99999999999)
	end
end