dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

head_number = 0

for i, child in ipairs(EntityGetAllChildren(entity_id)) do
  if EntityGetName(child) == "Medusa's Head" then
    head_number = head_number + 1
  end
end

-- spawn a new head if less than x
if head_number < 6 then
    local ent = EntityLoad("data/entities/animals/medusa_head.xml", x, y)
    EntitySetName(ent, "Medusa's Head")
    EntityAddChild(entity_id, ent)
end