dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

-- On spawn
-- find first free id
local free_id = 0
for i=1, 10 do
  if GlobalsGetValue("mirror_ball_exists_" .. i, "0") == "0" then
    free_id = i
    break
  end
end

if free_id > 0 then

	local variable_storage_present = 0
	local variable_storage = EntityGetComponent(entity_id, "VariableStorageComponent")
	
	if variable_storage then
		for k, v in pairs(variable_storage)do
			local name = ComponentGetValue2(v, "name")

			if (name == "shader_id")then
				variable_storage_present = 1
				break
			end
		end
	end
	
	if variable_storage_present == 0 then
        EntityAddComponent(entity_id, "VariableStorageComponent", {
            name="shader_id",
            value_string=free_id,
        })
	end
	
  GlobalsSetValue("mirror_ball_exists_" .. free_id, "1")
end