local entity_id = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local parent_id = EntityGetParent(entity_id)
local px, py, prot = EntityGetTransform(parent_id)
			
local animal_ai_component = EntityGetFirstComponentIncludingDisabled(entity_id, "AnimalAIComponent")
if ( animal_ai_component ~= nil ) and ( animal_ai_component > 0 ) then
	ComponentSetValue2( animal_ai_component, "mHomePosition", px + Random(-200, 200), py + Random(-150, 150) )
end

ComponentSetValue(GetUpdatedComponentID(), "execute_every_n_frame", 150 + Random(-30,30))

function Distance(dx, dy, dx2, dy2)
    return math.sqrt(((dx-dx2)^2) + ((dy-dy2)^2))
end

local dist = Distance(x,y,px,py)
if dist > 300 then
	EntityKill(entity_id)
end