dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

head_number = 0

for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
	if EntityGetName(child) == "bubble" then
		head_number = head_number + 1
	end
end

-- spawn a new head if less than x
if head_number < 1 then
	local ent = shoot_projectile( entity_id, "data/entities/animals/mwyah_bubble.xml", x, y - 130 , 0, -50, false )
    EntitySetName(ent, "bubble")

    EntityAddChild(entity_id, ent)
end