dofile( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local entities = EntityGetInRadiusWithTag(x, y, 150, "mortal")

local ooion_found_in_range = false

for i, entity in ipairs(entities) do

	if EntityGetName(entity) == "$ooion" then
	
		ooion_found_in_range = true
		break
		
	end
	
end

if ooion_found_in_range == false then

	local platforming_component = EntityGetFirstComponent(entity_id, "CharacterPlatformingComponent")
	local gravity = ComponentGetValue(platforming_component, "pixel_gravity")

	gravity = gravity*5
	
	ComponentSetValue(platforming_component, "pixel_gravity", gravity)
	
	local var_store_comps = EntityGetComponent(entity_id, "VariableStorageComponent") or {}
	
	for i, comp in ipairs(var_store_comps) do

	
		if ComponentGetValue2(comp, "name") == "ooion_gravity" then
			
			EntityRemoveComponent(entity_id, comp)
			break
			
		end
		
	end
	
	local this_lua_component = GetUpdatedComponentID()
	EntityRemoveComponent(entity_id, this_lua_component)

end