dofile_once("data/scripts/lib/utilities.lua")

local range = 300

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")
if target > 0 then
	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)

	if dist > range then
		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
		for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
			if EntityGetName( child ) ~= "important" then
				local IT_component = EntityGetFirstComponentIncludingDisabled(child, "InheritTransformComponent")
				EntitySetComponentIsEnabled( child, IT_component, true )
			end
		end
		-- for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
		  -- if EntityGetName(child) == "ik_leg" then
		  
			-- local lua_component = EntityGetFirstComponentIncludingDisabled(child, "LuaComponent")
			-- EntitySetComponentIsEnabled( child, lua_component, false )
			
			-- for i, child_of_child in ipairs(EntityGetAllChildren(child)) do
				-- local sprite_components = EntityGetComponentIncludingDisabled(child_of_child, "SpriteComponent")
				
				-- for k, sprite_component in pairs(sprite_components)do
					-- EntitySetComponentIsEnabled( child_of_child, sprite_component, false )
				-- end
			-- end
		  -- end
		-- end
		
	else

		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", true)
		for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
			if EntityGetName( child ) ~= "important" then
				local IT_component = EntityGetFirstComponentIncludingDisabled(child, "InheritTransformComponent")
				if (IT_component ~= nil) and (IT_component > 0) then
					EntitySetComponentIsEnabled( child, IT_component, false )
				end
			end
		end

	end
end