--Particle Effects:

dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local player_distance = 1000

local player = get_players()[1]

if(player ~= nil)then
	px, py = EntityGetTransform(player)
	local hit_dir_x = px - x
	local hit_dir_y = py - y
	player_distance = math.sqrt((hit_dir_x*hit_dir_x) + (hit_dir_y*hit_dir_y))
end

local players = EntityGetWithTag("player_unit")

local animal_ai_component = EntityGetFirstComponentIncludingDisabled(entity_id, "AnimalAIComponent")

local did_hit, hit_x, hit_y = RaytracePlatforms(x, y - 32, px, py)
		

if BiomeMapGetName() ~= "$biome_holymountain" and #players > 0 and player_distance < 300 and not did_hit then
	local attack_comps = EntityGetComponent(entity_id, "AIAttackComponent") or {}
	for i, comp in ipairs(attack_comps) do
		if ComponentHasTag( comp, "enabled_in_world" ) then
			ComponentSetValue2(comp, "max_distance", 300 )
		elseif ComponentHasTag( comp, "enabled_in_hand" ) then
			ComponentSetValue2(comp, "max_distance", 0 )
		end
	end
	-- GenomeSetHerdId( entity_id, "ghost" )
	-- EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", true)
	-- EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", false)
	ComponentSetValue2(animal_ai_component, "tries_to_ranged_attack_friends", false )
	-- ComponentSetValue2(animal_ai_component, "sense_creatures_through_walls", false )
else
	local attack_comps = EntityGetComponent(entity_id, "AIAttackComponent") or {}
	for i, comp in ipairs(attack_comps) do
		if ComponentHasTag( comp, "enabled_in_world" ) then
			ComponentSetValue2(comp, "max_distance", 0 )
		elseif ComponentHasTag( comp, "enabled_in_hand" ) then
			ComponentSetValue2(comp, "max_distance", 300 )
		end
	end
	-- GenomeSetHerdId( entity_id, "twin_mage" )
	-- EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
	-- EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)
	ComponentSetValue2(animal_ai_component, "tries_to_ranged_attack_friends", true )
	-- ComponentSetValue2(animal_ai_component, "sense_creatures_through_walls", true )
end