dofile_once("data/scripts/lib/utilities.lua")

function shot( proj_id )
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	
	local comp = EntityGetFirstComponent( proj_id, "VariableStorageComponent", "lurkershot_id" )
	if ( comp ~= nil ) then
		ComponentSetValue2( comp, "value_int", entity_id )
		local who_shot_damage_model_component = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
		local who_spawned_damage_model_component = EntityGetFirstComponentIncludingDisabled( proj_id, "DamageModelComponent" )
		-- local who_spawned_status_effect_data_component = EntityGetFirstComponentIncludingDisabled( spawned_entity, "StatusEffectDataComponent" )

		-- EntitySetComponentIsEnabled( spawned_entity, who_spawned_status_effect_data_component, true )

		local hp = ComponentGetValue2(who_shot_damage_model_component, "hp")
		local max_hp = ComponentGetValue2(who_shot_damage_model_component, "max_hp")

		if max_hp and hp then

			ComponentSetValue2( who_spawned_damage_model_component, "max_hp", max_hp )
			ComponentSetValue2( who_spawned_damage_model_component, "hp", hp )
			
		end
		
		EntityLoad( "data/entities/particles/phantom_boss_particles.xml", pos_x, pos_y )
		EntityKill(entity_id)
	end

end