dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local lua_comps = EntityGetComponent(entity_id, "LuaComponent") or {}
for i, comp in ipairs(lua_comps) do
	local found = false
	local lua_comps = EntityGetComponent(entity_id, "LuaComponent") or {}
	for i, comp in ipairs(lua_comps) do
	  if ComponentGetValue2(comp, "script_source_file") == "data/scripts/animals/player_ai_movement.lua" then
		found = true
		break
	  end
	end
	if not found then
		EntityAddComponent(entity_id, "LuaComponent", {
			script_source_file="data/scripts/animals/player_ai_movement.lua",
			execute_every_n_frame=10
		})
	end
end

ComponentSetValue(GetUpdatedComponentID(), "execute_every_n_frame", 1 + Random(299))