local EZWand = dofile("mods/new_enemies/files/EZWand.lua")

-- if players[1] and key == "KeyE" then
  local x, y = EntityGetTransform(GetUpdatedEntityID())
  local wands = EntityGetInRadiusWithTag(x, y, 30, "wand")
  for i, wand in ipairs(wands) do
    if EntityGetParent(wand) == 0 then
      for i, v in ipairs(EntityGetAllChildren(GetUpdatedEntityID()) or {}) do
        if EntityGetName(v) == "inventory_quick" then
          local held_wand = (EntityGetAllChildren(v) or {})[1]
          if held_wand then
		    local old_wand = EZWand(held_wand):Clone()
			EntityAddChild( v, old_wand.entity_id )
            EntitySetComponentsWithTagEnabled(held_wand, "enabled_in_hand", false)
            EntitySetComponentsWithTagEnabled(held_wand, "enabled_in_world", true)
            local held_wand = EZWand(held_wand)
            local wand = EZWand(wand)
            local properties = {
              "capacity", "shuffle", "spellsPerCast", "castDelay", "rechargeTime", "manaMax",
              "mana", "manaChargeSpeed", "capacity", "spread", "speedMultiplier" }
            for i, prop in ipairs(properties) do
              held_wand[prop] = wand[prop]
            end
            held_wand:SetSprite(wand:GetSprite())
            held_wand:RemoveSpells()
            held_wand:DetachSpells()
            local spells, attached = wand:GetSpells()
            for i, spell in ipairs(spells) do
              held_wand:AddSpells(spell.action_id)
            end
            for i, spell in ipairs(attached) do
              held_wand:AttachSpells(spell.action_id)
            end
            EntityKill(wand.entity_id)
            shoot_projectile(GetUpdatedEntityID(), "data/entities/particles/image_emitters/wand_effect.xml", x, y, 0, 0)
          end
          local inventory2component = EntityGetFirstComponentIncludingDisabled(GetUpdatedEntityID(), "Inventory2Component")
          ComponentSetValue2(inventory2component, "mActualActiveItem", wand)
          goto done
        end
      end
    end
  end
  ::done::
-- end