dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local entities = EntityGetInRadiusWithTag(x, y, 20, "mortal")

local nemesis_found_in_range = false

for i, entity in ipairs(entities) do

	if EntityGetName(entity) == "$player_ai_nemesis" or EntityGetName(entity) == "$player_ai_decoy" or EntityGetName(entity) == "$player_ai_clone" then
	
		nemesis_found_in_range = true
		break
		
	end
	
end

if nemesis_found_in_range == false then

	local item_pickupper_component = EntityGetFirstComponent(entity_id, "ItemPickUpperComponent")
	ComponentSetValue2(item_pickupper_component, "is_immune_to_kicks", false)
	local this_lua_component = GetUpdatedComponentID()
	EntityRemoveComponent(entity_id, this_lua_component)

end