dofile_once("data/scripts/lib/utilities.lua")

local range = 250

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")

if target > 0 then

	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)

	if dist > range then

		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)

	else

		EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", true)

	end
	
end