function collision_trigger(colliding_entity)

	if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 2 == 0 then
	
		local entity_id = GetUpdatedEntityID()

		local x, y, rot, scale_x = EntityGetTransform(entity_id)

		-- local players = EntityGetInRadiusWithTag(x, y, 100, "player_unit")

		-- if #players > 0 then
		  
			local player_x, player_y = EntityGetTransform(colliding_entity)
			local did_hit, hit_x, hit_y = RaytracePlatforms(x, y, player_x, player_y)
		  
			if not did_hit then
				
				local animation_id = EntityLoad( "data/entities/animals/scavenger_undercover_transform.xml", x, y )
				EntitySetTransform(animation_id, x, y, rot, scale_x)
				
				--Killing the entity:
				EntityAddComponent(entity_id, "VariableStorageComponent", {
					_tags="no_gold_drop",
				})
				
				local damage_model_component = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
				
				ComponentSetValue2(damage_model_component, "create_ragdoll", false)
				ComponentSetValue2(damage_model_component, "hp", 0)
				ComponentSetValue2(damage_model_component, "air_needed", true)
				ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
				
				GamePlaySound("data/audio/Desktop/animals.bank", "animals/necromancer_shop/death", x, y)
				
			end
			
		-- end
		
	end
	
end