dofile_once("data/scripts/lib/utilities.lua")

local range = 300

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")
if ( times_executed % 2 ) == 0 then
	local animal_ai_component = EntityGetFirstComponent(entity_id, "AnimalAIComponent")
	ComponentSetValue2(animal_ai_component, "attack_ranged_max_distance", 250)
	ComponentSetValue2(animal_ai_component, "attack_ranged_frames_between", 250)
	ComponentSetValue2(animal_ai_component, "attack_ranged_entity_file", "data/entities/projectiles/physics_spear.xml")
else
	local animal_ai_component = EntityGetFirstComponent(entity_id, "AnimalAIComponent")
	ComponentSetValue2(animal_ai_component, "attack_ranged_max_distance", 25)
	ComponentSetValue2(animal_ai_component, "attack_ranged_frames_between", 100)
	ComponentSetValue2(animal_ai_component, "attack_ranged_entity_file", "data/entities/projectiles/scorpio_venom.xml")
end

local target = EntityGetClosestWithTag(x, y, "player_unit")
if target > 0 then
	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)

	if dist > range then

		for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
		  if EntityGetName(child) == "eyeball" then
		  
			local lua_component = EntityGetFirstComponentIncludingDisabled(child, "LuaComponent")
			EntitySetComponentIsEnabled( child, lua_component, false )
			-- GamePrint("Yes Hello")
			-- for i, child_of_child in ipairs(EntityGetAllChildren(child)) do
				-- local sprite_components = EntityGetComponentIncludingDisabled(child_of_child, "SpriteComponent")
				
				-- for k, sprite_component in pairs(sprite_components)do
					-- EntitySetComponentIsEnabled( child_of_child, sprite_component, false )
				-- end
			-- end
		  end
		end
		
	else

		for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
		  if EntityGetName(child) == "eyeball" then
		  
			local lua_component = EntityGetFirstComponentIncludingDisabled(child, "LuaComponent")
			EntitySetComponentIsEnabled( child, lua_component, true )
			
			-- for i, child_of_child in ipairs(EntityGetAllChildren(child)) do
				-- local sprite_components = EntityGetComponentIncludingDisabled(child_of_child, "SpriteComponent")
				
				-- for k, sprite_component in pairs(sprite_components)do
					-- EntitySetComponentIsEnabled( child_of_child, sprite_component, true )
				-- end
			-- end
			-- GamePrint("Yes Bye")
		  end
		end

	end
end