dofile_once("data/scripts/lib/utilities.lua")

function damage_received(damage, message,entity_thats_responsible, is_fatal)
  local entity_id = GetUpdatedEntityID()
  state = state or {}
  state[entity_id] = state[entity_id] or { previous_percentage = 100 }
  local damage_model_component = EntityGetFirstComponent(entity_id, "DamageModelComponent")
  if damage_model_component ~= nil then
    local hp = ComponentGetValue(damage_model_component, "hp")
    local max_hp = ComponentGetValue(damage_model_component, "max_hp")
    local percentage = hp / max_hp * 100
    local entity_id    = GetUpdatedEntityID()
    local pos_x, pos_y = EntityGetTransform( entity_id )
	
	function spawn_baby(path, force_multiplier)
		SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )
		pos_x = pos_x + rand(-5, 5)
		pos_y = pos_y + rand(-5, 5)
	
		babies = {
		"acidshooter",
		"acidshooter_weak",
		"slimeshooter",
		"slimeshooter_weak",
		-- "slimeshooter_boss_limbs2",
		}
		
		local random_index = Random(1, #babies)
		local baby = babies[random_index]
		
		if path then
			baby = path
		end
		
		local baby_path = "data/entities/animals/" .. baby .. ".xml"

		e = EntityLoad( baby_path, pos_x, pos_y )
		
		if not force_multiplier then
			force_multiplier = 400
		end
		
		local cdc_id = EntityGetFirstComponentIncludingDisabled(e, "CharacterDataComponent")
		ComponentSetValueVector2(cdc_id, "mVelocity", rand(force_multiplier * -1, force_multiplier), rand(force_multiplier * -1, force_multiplier))
    
	end
	
    if state[entity_id].previous_percentage > 5 and percentage < 5 then
        spawn_baby()
		-- spawn_baby("slime_roller", 400)
		-- spawn_baby("slime_roller", 400)
    elseif state[entity_id].previous_percentage > 25 and percentage < 25 then
        spawn_baby()
		-- spawn_baby("slime_roller", 400)
		-- spawn_baby("slime_roller", 400)
    elseif state[entity_id].previous_percentage > 50 and percentage < 50 then
        spawn_baby()
		-- spawn_baby("slime_roller", 400)
		-- spawn_baby("slime_roller", 400)
    elseif state[entity_id].previous_percentage > 75 and percentage < 75 then
        spawn_baby()
		-- spawn_baby("slime_roller", 400)
		-- spawn_baby("slime_roller", 400)
    end
    state[entity_id].previous_percentage = percentage
  end
end