dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y, rot, scale_x  = EntityGetTransform(entity_id)
local physics_body_component = EntityGetFirstComponentIncludingDisabled(entity_id, "PhysicsBodyComponent")
local physics_image_component = EntityGetFirstComponentIncludingDisabled(entity_id, "PhysicsImageShapeComponent")

-- if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 4 == 0 then
	-- GamePlaySound( "data/audio/Desktop/materials.snd", "collision/brick_break", x, y )
	-- GamePlaySound( "data/audio/Desktop/materials.snd", "collision/rock", x, y )
	-- GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x, y)
-- end
			
GameScreenshake( 30 )

EntitySetComponentIsEnabled( entity_id, physics_body_component, false )

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local state_global = 1

local comp = EntityGetFirstComponentIncludingDisabled( entity_id, "VariableStorageComponent" )
if ( comp ~= nil ) then
	state_global = ComponentGetValue2(comp, "value_int")
end

-- local state = GetValueNumber("state", 1)
local number = GetValueNumber("number", 1)
-- if state > 0 then
-- if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 4 == 0 then
	SetValueNumber("number", number + 1)
-- end
-- else
	-- SetValueNumber("number", number - 1)
-- end

if number == 30 then
	-- SetValueNumber("state", 0)
-- elseif ( number == 1 ) and ( state == 0 ) then
	EntityKill(entity_id)
	-- SetValueNumber("state", 1)
end

if ( state_global == 1 ) and ( number == 19 ) then
	EntityLoad( "data/entities/particles/hell_overseer_stepping_particles.xml", x + 180, y + 28 )
	GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x + 180, y + 28)
elseif ( state_global == 2 ) and ( number == 19 ) then
	EntityLoad( "data/entities/particles/hell_overseer_stepping_particles.xml", x - 180, y + 28 )
	GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x - 180, y + 28)
elseif ( state_global == 3 ) and ( number == 19 ) then
	EntityLoad( "data/entities/particles/hell_overseer_stepping_particles.xml", x - 19, y - 200 )
	GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x - 19, y - 200)
elseif ( state_global == 4 ) and ( number == 19 ) then
	EntityLoad( "data/entities/particles/hell_overseer_stepping_particles.xml", x + 19, y + 200 )
	GamePlaySound("data/audio/Desktop/animals.bank", "animals/fireskull/death", x + 19, y + 200)
end

ComponentSetValue2(physics_image_component, "image_file", "data/buildings_gfx/snow_face_hand_" .. state_global .. "_" .. number .. ".png")

EntitySetComponentIsEnabled( entity_id, physics_body_component, true )

-- PhysicsSetStatic( entity_id, false )

local physics_bodies = PhysicsBodyIDGetFromEntity( entity_id, physics_body_component )
for i, body_id in ipairs(physics_bodies or {}) do
	local bx, by, bangle, bvel_x, bvel_y, bangular_vel = PhysicsBodyIDGetTransform( body_id )
	local px, py = GamePosToPhysicsPos( x - 247, y - 328 )
	PhysicsBodyIDSetTransform( body_id, px, py, bangle, bvel_x, bvel_y, bangular_vel )
	-- GamePrint("New Co:" .. tostring(px) .. " " .. tostring(py))
end

-- PhysicsSetStatic( entity_id, true )