dofile( "data/scripts/lib/utilities.lua" )

spells = {
"deck/acidshot",
"deck/arrow",
"deck/ball_lightning",
"deck/berserk_field",
"deck/big_magic_shield_start",
"deck/bloodtentacle",
"deck/bounce_laser",
"deck/bounce_spark",
"deck/bubbleshot",
-- "deck/buckshot_player",
"deck/bullet",
"deck/bullet_heavy",
"deck/bullet_slow",
"deck/chain_bolt",
"deck/chaos_polymorph_field",
"deck/circle_acid",
"deck/circle_fire",
"deck/circle_oil",
"deck/circle_water",
-- "deck/cloud_acid",
"deck/cloud_blood",
"deck/cloud_oil",
"deck/cloud_thunder",
"deck/cloud_water",
"deck/commander_bullet",
"deck/crumbling_earth",
"deck/death_cross_big",
"deck/decoy",
"deck/disc_bullet",
-- "deck/disc_bullet_big",
-- "deck/disc_bullet_bigger",
"deck/duck",
"deck/electrocution_field",
"deck/exploding_deer",
"deck/fireball",
"deck/fireball_ray",
"deck/fireball_ray_small",
"deck/firebomb",
"deck/flamethrower",
"deck/freeze_field",
"deck/freezing_gaze",
"deck/friend_fly",
"deck/glitter_bomb",
"deck/glowing_bolt",
"deck/glue_shot",
"deck/grenade",
"deck/grenade_anti",
"deck/grenade_large",
"deck/grenade_tier_2",
"deck/grenade_tier_3",
"deck/heal_bullet",
"deck/heal_bullet_weak",
"deck/iceball",
"deck/infestation",
"deck/keyshot",
"deck/lance",
"deck/laser",
-- "deck/levitation_field",
"deck/light_bullet",
"deck/light_bullet_air",
"deck/light_bullet_blue",
"deck/lightning",
"deck/lightning_weak",
"deck/luminous_drill",
"deck/magic_shield_start",
"deck/meteor",
"deck/meteor_green",
"deck/meteor_rain",
"deck/mine",
"deck/mist_alcohol",
"deck/mist_radioactive",
"deck/mist_slime",
"deck/mist_blood",
"deck/pata_rocket_1",
"deck/pata_rocket_2",
"deck/pata_rocket_3",
"deck/pata_rocket_4",
"deck/pata_rocket_5",
"deck/pata_rocket_6",
"deck/pebble_player",
"deck/pink_orb",
"deck/pipe_bomb",
"deck/polymorph_field",
"deck/regeneration_field",
"deck/rock",
"deck/rocket",
"deck/rocket_downwards",
"deck/rocket_player",
"deck/rocket_tier_2",
"deck/rocket_tier_3",
"deck/rubber_ball",
"deck/sea_acid",
"deck/sea_acid_gas",
"deck/sea_alcohol",
"deck/sea_lava",
"deck/sea_oil",
"deck/sea_water",
"deck/shield_field",
"deck/skull",
"deck/spiral_shot",
"deck/spitter",
"deck/spitter_tier_2",
"deck/spitter_tier_3",
"deck/spore_pod",
"deck/super_teleport_cast",
"deck/swapper",
"deck/swarm_firebug",
"deck/swarm_fly",
"deck/swarm_wasp",
"deck/telepathy_field",
"deck/teleport_cast",
"deck/teleport_projectile",
"deck/teleport_projectile_closer",
"deck/teleport_projectile_short",
"deck/teleport_projectile_static",
-- "deck/teleportation_field",
"deck/temporary_platform",
"deck/temporary_wall",
"deck/tentacle",
"deck/tnt",
"deck/vacuum_entities",
"deck/vacuum_liquid",
"deck/vacuum_powder",
"deck/worm_rain",
"deck/xray",
"arrow",
"bat",
"bloomshot",
"bomb",
"bomb_cart",
"bomb_small",
"bossdragon",
"bossdragon_ray",
"buckshot",
"acidshot",
"acidshot_slow",
"bullet_poison",
"chaos_polymorph",
"circle_acid_small",
"circle_lava_small",
"clusterbomb",
"cocktail",
"coward_bullet",
"darkflame",
"dotshot",
"dotshot_strong",
"egg_worm",
"enlightened_laser_dark_wand",
"enlightened_laser_elec_wand",
"enlightened_laser_fire_wand",
"enlightened_laser_light_wand",
"fire_trap",
"fireball",
"fireball_bigfirebug",
"fireball_firebug",
"fireball_ghostly",
"flamethrower",
"freeze_circle",
"fungus",
-- "gasblob",
"glitter_bomb",
-- "glue_shot",
-- "grenade_leader",
-- "grenade_scavenger",
"healshot",
"healshot_slow",
"healshot_safe_haven",
-- "ice",
-- "ice_explosion",
"icethrower",
"invisshot",
"laser_bouncy",
"laser_lasergun",
"laser_spear",
"laser_turret",
"laserbeam",
"laserbeam_green",
"lavashot",
"lightning",
"machinegun_bullet_slow",
"machinegun_bullet_slower",
"machinegun_bullet_tank",
"machinegun_bullet_tank_super",
"megalaser_blue",
"meteor_green",
-- "mine",
-- "orb",
"orb_cursed",
"orb_dark",
-- "orb_green",
-- "orb_green_accelerating",
-- "orb_green_boss_dragon",
-- "orb_green_spin",
"orb_hearty",
"orb_neutral",
-- "orb_pink",
"orb_pink_big",
"orb_pink_big_explosive",
-- "orb_pink_big_slow",
"orb_pink_big_super",
"orb_pink_big_super_shrapnel",
-- "orb_pink_fast",
-- "orb_pink_super",
"orb_poly",
-- "orb_purple",
"orb_swapper",
"orb_tele",
"orb_tiny",
"orb_twitchy",
"orb_weaken",
"orb_wither",
"orbspawner_blue",
"orbspawner_green",
"pebble",
"polyorb",
-- "present",
"propane_tank",
-- "radioactive_blob",
-- "radioactive_blob_trail",
-- "radioactive_liquid",
"rain_gold",
-- "remove_ground",
-- "rocket_crystal_pink",
-- "rocket_tiny_roll",
-- "shieldshot",
-- "shieldshot_small",
-- "slimeblob",
"smalltentacle",
"smalltentacle_melee",
-- "sniperbullet",
-- "spit_trap",
"tentacle",
"thunder_trap",
"thunderball",
"thunderball_line",
-- "thunderball_slow",
"tnt",
"tongue",
"wraith_glowing_laser",
"pollen_ball",
"acidshot_large",
-- "arrow2",
-- "banana",
"bloomshot_toxic",
-- "blue_fire_shot",
-- "bomb_radioactive_gas",
-- "booze",
"chaoticpolyshot",
-- "cobra_shot",
"compressor_shot_main",
"compressor_shot_main_homing",
"corrupt_alchemist_rocket",
"eggshot",
"electricskull",
"ent_fire",
-- "ent_rock",
-- "eye_shot",
-- "fire_crawler_blob",
"fireball_black",
"fireball_ghostly_big",
"fireball_bird",
"fireball_ice_big",
"fireball_naga",
"firepillar",
"floating_eye_shot",
-- "flower_fire",
"gazershot",
-- "gazer_shot2",
"ghuu_shot",
"giant_alt_laser_projectile",
-- "giant_energy_laser_projectile",
"golden_blob_trail",
-- "golem_attack",
-- "green_fire_shot",
-- "green_fire_shot_damage",
-- "grenade_oiler",
"hiisi_robot_summonshine",
"hiisi_summonshine",
"iceskull",
-- "icicle_shot",
"imp_shot",
-- "laser_bot",
-- "laser_bot2",
-- "laser_bouncer",
-- "laserbeam_enigma",
-- "laserbeam_green_stone",
"laserbeam_hairling",
-- "lava",
-- "longleg",
"nautilus_laserbeam",
"nautilustentacle_melee",
-- "nova_laser_projectile",
"ooion_projectile",
"orb_blood",
-- "orb_blue_fast",
-- "orb_blue_big",
"orb_earthquake",
-- "orb_green_fast",
-- "orb_green_weak",
"orb_pink_fast_alchemist",
"orb_snow",
-- "orb_time",
"orb_touch_blood",
-- "orb_water",
"orbspawner_pink",
"pebble_old",
"phan_shot1",
-- "smart_bullet",
"poisonshot",
"polyorb2",
-- "polyshot2",
-- "radioactive_blob_slime_turret",
"random_summonshine",
"rocket_tank_boss",
"scavenger_alcohol_grenade",
"scavenger_gas_grenade",
"scavenger_gas_grenade_toxic",
"scavenger_laser",
"scavenger_lava_grenade",
"scavenger_radio_grenade",
"scavenger_tongue_spawner",
-- "serpentor_shot",
"shiva_projectile",
-- "shuriken",
-- "skelechain",
"skull_animation",
-- "skullvine",
-- "spikeshot",
-- "stingray_shot",
"summonershine",
-- "thou_laser_projectile",
"tongue_lava",
-- "trigger_shot",
"turbo_shot",
"turbo_shot_red",
-- "very_small_blob",
-- "watershot",
"web_ball",
-- "whirl_projectile",
-- "wyrm_shot",
"igu_shot",
"singularity",
"alien_shot",
"blood_teddy_shot",
"trapper",
"darkflame_homing",
"disc_fire",
"electric_bullet",
"gas_trail",
"iceball_big",
"intestines",
"menhir_shot",
"smoke_bomb",
"magma_bolt/proj",
"deck/mist_slime",
"terminator_missle",
"orb_twin",
"slime_roller",
"orb_madness",
"spore_sentient",
"spore_bomb",
"phantom_boss_shot",
"phantom_ball",
"poison_immunity_shot",
"orb_love",
"flame_stream_emitter",
"aquatitan_wave",
"skull_drop",
"material_physics",
"mother_nature_vine_spawner",
"skullspider_lukki_bomb_physics",
"orb_pink_big_super_omegamancer",
"orb_blue_big_explosive",
"welding_projectile",
"bean_pod",
"orb_shrink",
"bazooka",
"yikka_soul",
"elephant_magma_shot",
"ominous_ball",
"tongue_lukki_huge",
"laser_player_to_stone",
"dust_devil",
"giant_boss_laser",
"hydra_poisonshot",
"magiconstruct_implosion",
"oruai_plasma",
"gold_laser",
"kiwiki_freeze_breath_beam",
"blood_mage_cone",
"chameleon_attack_trigger",
"clutter_shot",
"tank_boss_missle",
"physics_spear",
"plant_boss_egg",
"seed_shot",
"orb_plant_boss",
}

-- banned_spells = {
-- "black_hole_big",
-- "all_discs",
-- "all_nukes",
-- }

-- function table.has_value (tab, val)
    -- for index, value in ipairs(tab) do
        -- if value == val then
            -- return true
        -- end
    -- end

    -- return false
-- end

-- dofile("data/scripts/gun/gun_actions.lua")

-- for k, data in pairs(actions)do
    -- if(data.related_projectiles ~= nil)then
        -- for k2, v in pairs(data.related_projectiles)do
            -- if(table.has_value(spells, v) == false)then
                -- table.insert(spells, v)
            -- end
        -- end
    -- end
-- end

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local random_index = Random(1, #spells)
local spell = spells[random_index]
local spell_path = "data/entities/projectiles/" .. spell .. ".xml"

local animal_ai_component = EntityGetFirstComponent(entity_id, "AnimalAIComponent")

ComponentSetValue2(animal_ai_component, "attack_ranged_entity_file", spell_path )