local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local found, nx, ny, apd = GetSurfaceNormal(x, y, 10, 16)
if found then
  nx = nx * (math.abs(apd) + 2)
  ny = ny * (math.abs(apd) + 2)
else
  nx = 0
  ny = 0
end

local zombie_count = 0

local nearby = EntityGetInRadiusWithTag(x, y, 1000, "mortal")

for i, entity in ipairs(nearby) do

	if EntityGetName(entity) == "$zombie3" then
	
		zombie_count = zombie_count + 1
		
	end
	
end

if zombie_count <= 5 then
	EntityLoad("data/entities/animals/zombie3.xml", x - nx, y - ny)
end

EntityKill(entity_id)

