dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y  = EntityGetTransform(entity_id)
SetRandomSeed( x , y + GameGetFrameNum() )

local attack_component = EntityGetFirstComponentIncludingDisabled(entity_id, "AIAttackComponent", "enabled_in_world")

local offsets = {
	-11, -17,
	-11, -12,
	-11, -7,
	
	-13, -20,
	-13, -15,
	-13, -10,
	
	6, -17,
	6, -12,
	6, -7,
	
	4, -20,
	4, -15,
	4, -10
}

local random_index = Random(1, 12)

local offset_x = offsets[random_index * 2 - 1]  -- Extracting x from the randomly chosen pair
local offset_y = offsets[random_index * 2]      -- Extracting y from the randomly chosen pair

if ( attack_component ~= nil ) and ( attack_component > 0 ) then
	ComponentSetValue2( attack_component, "attack_ranged_offset_x", offset_x + 5 )
	ComponentSetValue2( attack_component, "attack_ranged_offset_y", offset_y + 3 )
end