dofile_once("data/scripts/lib/utilities.lua")

local num_limbs = 2

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local last_direction = GetValueNumber("last_direction", 0)

-- Load verlet children onto this entity
-- if not GetValueBool("initialized", false) then
  -- SetValueBool("initialized", true)
  -- for i=1, num_limbs do
    -- local ent = EntityLoad("data/entities/verlet_chains/terminator/tentacle.xml", x, y)
    -- EntityAddComponent2(ent, "VerletWorldJointComponent")
    -- EntitySetName(ent, "tentacle_limb")
    -- EntityAddChild(entity_id, ent)
  -- end
-- end

--Technique 2

-- local found = false
-- for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
  -- if EntityGetName(child) == "tentacle_limb" then
    -- found = true
    -- break
  -- end
-- end
-- if not found then
  -- for i=1, num_limbs do
    -- local ent = EntityLoad("data/entities/verlet_chains/terminator/tentacle.xml", x, y)
    -- EntityAddComponent2(ent, "VerletWorldJointComponent")
    -- EntitySetName(ent, "tentacle_limb")
    -- EntityAddChild(entity_id, ent)
  -- end
-- end

local tentacles = {}
local snake_heads = {}
for i, child in ipairs(EntityGetAllChildren(entity_id) or {} ) do
  if EntityGetName(child) == "tentacle_limb" then
    table.insert(tentacles, child)
  end
  if EntityGetName(child) == "Terminator's Turret" then
    table.insert(snake_heads, child)
  end
end

for i, child in ipairs(tentacles) do
  local verlet_component = EntityGetFirstComponentIncludingDisabled(child, "VerletPhysicsComponent")
  local verlet_world_joint_component = EntityGetFirstComponentIncludingDisabled(child, "VerletWorldJointComponent")
  local snake_head_x, snake_head_y = EntityGetTransform(snake_heads[i])
  local positions = ComponentGetValue2(verlet_component, "positions")
  positions[29] = snake_head_x
  positions[30] = snake_head_y
  if verlet_component then
	ComponentSetValue2(verlet_component, "positions", positions)
  end
  if verlet_world_joint_component then
  -- world_position is the origin of the verlet
	ComponentSetValue2(verlet_world_joint_component, "world_position", x, y)
  end
end