dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local lua_comps = EntityGetComponent(entity_id, "LuaComponent") or {}

EntityAddComponent( entity_id, "LuaComponent", 
{ 
	script_source_file="data/scripts/animals/train_move_left.lua",
	execute_every_n_frame = "1"
} )

EntityAddComponent( entity_id, "LuaComponent", 
{ 
	script_source_file="data/scripts/animals/train_enabler.lua",
	execute_every_n_frame = "40"
} )

EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)

local this_lua = GetUpdatedComponentID()
EntityRemoveComponent( entity_id, this_lua )