dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y, rotation = EntityGetTransform(entity_id)

if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") <= 1 then
	local var_component = EntityGetFirstComponentIncludingDisabled(entity_id, "VariableStorageComponent")
	local frames = ComponentGetValue2(var_component, "value_float")
	ComponentSetValue2( GetUpdatedComponentID(), "execute_every_n_frame", frames )
else
	rotate_value = 0
	local distance_from_center = 5
	local projectile_speed = 150

	rotation = rotation - math.rad(rotate_value)
	local target_x = x + math.cos(rotation) * distance_from_center
	local target_y = y + math.sin(rotation) * distance_from_center

	local vel_x = math.cos(rotation) * projectile_speed
	local vel_y = math.sin(rotation) * projectile_speed

	rotate_value2 = 180

	rotation2 = rotation - math.rad(rotate_value2)

	local target_x2 = x + math.cos(rotation2) * distance_from_center
	local target_y2 = y + math.sin(rotation2) * distance_from_center

	local vel_x2 = math.cos(rotation2) * projectile_speed
	local vel_y2 = math.sin(rotation2) * projectile_speed

	shoot_projectile(entity_id, "data/entities/projectiles/twig_shot.xml", target_x, target_y, vel_x, vel_y)
	shoot_projectile(entity_id, "data/entities/projectiles/twig_shot.xml", target_x2, target_y2, vel_x2, vel_y2)

	local sprite_component = EntityGetFirstComponent(entity_id, "SpriteComponent")
	local animation = ComponentGetValue2( sprite_component, "rect_animation")

	ComponentSetValue2(sprite_component, "rect_animation", "attack")
	ComponentSetValue2(sprite_component, "next_rect_animation", "stand")

	ComponentSetValue2( GetUpdatedComponentID(), "execute_every_n_frame", 600 )
end