dofile_once("data/scripts/lib/utilities.lua")

local range = 250

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")
if target > 0 then
	local tx, ty = EntityGetTransform(target)
	local dist = get_distance(tx, ty, x, y)

	if dist > range then

		for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
			EntitySetComponentsWithTagEnabled(child, "enabled_in_world", false)
			
			local variable_storage = EntityGetComponent(child, "VariableStorageComponent")
			
			for k, v in pairs(variable_storage or {}) do
				local name = ComponentGetValue2(v, "name")
				if(name == "verlet_entity")then
					EntityRemoveComponent( child, v )
				end
			end

			for i, child_of_child in ipairs(EntityGetAllChildren(child)  or {}) do
				-- EntitySetComponentsWithTagEnabled(child, "enabled_in_world", false)
				if EntityGetName( child_of_child ) ~= "vine_monster_controller" then
					EntityKill(child_of_child)
				end
			end
		end
		
	else

		for i, child in ipairs(EntityGetAllChildren(entity_id) or {}) do
			EntitySetComponentsWithTagEnabled(child, "enabled_in_world", true)
		end

	end
end