dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local prey = EntityGetInRadiusWithTag(x, y, 100, "player_unit")
local prey_id = prey[1]
local prey_x, prey_y = EntityGetTransform( entity_id )

if #prey > 0 then

	local lua_comps = EntityGetComponent(entity_id, "LuaComponent") or {}
	
	for i, comp in ipairs(lua_comps) do
	
		if ComponentGetValue2(comp, "script_source_file") ~= "data/scripts/animals/mysterious_wanderer.lua" then

			GamePlaySound("data/audio/Desktop/animals.bank", "animals/boss_centipede/dying", x, y)

			EntityAddComponent( entity_id, "LuaComponent", 
			{ 
				script_source_file="data/scripts/animals/mysterious_wanderer.lua",
				execute_every_n_frame = "2",
			} )
			
			local this_lua = GetUpdatedComponentID()
			EntityRemoveComponent( entity_id, this_lua )
			
		end
		
	end
	
end