dofile_once("data/scripts/lib/utilities.lua")

function damage_received( damage, message, entity_thats_responsible, is_fatal  )

    if(is_fatal == true)then

		local entity_id    = GetUpdatedEntityID()
		
		local x, y, r, sx = EntityGetTransform(entity_id)

		for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do

			-- for i, comp in ipairs(EntityGetComponentIncludingDisabled( child_id, "SpriteComponent" ) or {}) do
				-- if ComponentGetValue2( comp, "image_file") == "data/entities/windmill/windmill_rig_hiisi.xml"  then
					-- ComponentSetValue2(comp, "image_file", "data/entities/windmill/windmill_rig.png")
					-- GamePrint("Image Changed")
				-- end
			-- end
			
			EntityRemoveFromParent(child_id)
		
			local damage_model_component = EntityGetFirstComponentIncludingDisabled(child_id, "DamageModelComponent")
			
			if damage_model_component then
			
				EntitySetComponentIsEnabled( entity_id, damage_model_component, true )
				
				ComponentSetValue2(damage_model_component, "hp", 0)
				ComponentSetValue2(damage_model_component, "air_needed", true)
				ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
				
			end
		
		end
		
		function create_ragdoll(path, rx, ry)

			local ragdoll_id = EntityCreateNew()
			EntitySetTransform(ragdoll_id, rx, ry, r, sx)
			
			EntityAddComponent(ragdoll_id, "DamageModelComponent", {
				hp="1",
				ragdoll_material="meat",
				ragdoll_filenames_file = path ,
				blood_material="blood",
				blood_spray_material="blood",
				ragdoll_offset_y = offset_y,
				ragdoll_offset_x = offset_x
			} )
			
			local ragdoll_damage_model_component = EntityGetFirstComponentIncludingDisabled(ragdoll_id, "DamageModelComponent")
			
			ComponentSetValue2(ragdoll_damage_model_component, "hp", 0)
			ComponentSetValue2(ragdoll_damage_model_component, "air_needed", true)
			ComponentSetValue2(ragdoll_damage_model_component, "air_in_lungs", 0)

		end
		
		-- --Dropping mini hiisi ragdolls
		-- create_ragdoll("data/ragdolls/scavenger_grenade/filenames.txt", x + 74, y + 106)
		-- create_ragdoll("data/ragdolls/scavenger_grenade/filenames.txt", x + 75, y + 123)
		
		-- create_ragdoll("data/ragdolls/scavenger_grenade/filenames.txt", x + 163, y + 103)
		-- create_ragdoll("data/ragdolls/scavenger_grenade/filenames.txt", x + 163, y + 119)
		
		-- create_ragdoll("data/ragdolls/scavenger_grenade/filenames.txt", x + 114, y + 144)
		-- create_ragdoll("data/ragdolls/scavenger_grenade/filenames.txt", x + 114, y + 160)
		
		-- --Dropping leader scavenger ragdoll
		-- create_ragdoll("data/ragdolls/scavenger_leader/filenames.txt", x + 115, y + 68)
		
		EntityLoad( "data/entities/animals/scavenger_grenade.xml", x + 74, y + 106 )
		EntityLoad( "data/entities/animals/scavenger_smg.xml", x + 75, y + 123 )
		
		EntityLoad( "data/entities/animals/scavenger_grenade.xml", x + 163, y + 103 )
		EntityLoad( "data/entities/animals/scavenger_smg.xml", x + 163, y + 119 )
		
		EntityLoad( "data/entities/animals/scavenger_grenade.xml", x + 114, y + 144 )
		EntityLoad( "data/entities/animals/scavenger_smg.xml", x + 114, y + 160 )
		
		EntityLoad( "data/entities/animals/scavenger_leader.xml", x + 115, y + 68 )
		
	end
	
end