dofile_once( "data/scripts/lib/utilities.lua" )

spells = {
"orb_cursed",
"orb_dark",
"orb_hearty",
"orb_neutral",
"orb_poly",
"orb_swapper",
"orb_tele",
"orb_twitchy",
"orb_weaken",
"orb_wither",
-- "orb_time",
"orb_trip",
"orb_homing",
-- "orb_earthquake",
"orb_snow"
}

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local random_index = Random(1, #spells)
local spell = spells[random_index]
local spell_path = "data/entities/projectiles/" .. spell .. ".xml"

local animal_ai_component = EntityGetFirstComponent(entity_id, "AnimalAIComponent")

ComponentSetValue2(animal_ai_component, "attack_ranged_entity_file", spell_path )