dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local player_distance = 1000

local player = get_players()[1]

if(player ~= nil)then
	local px, py = EntityGetTransform(player)
	local hit_dir_x = px - x
	local hit_dir_y = py - y
	player_distance = math.sqrt((hit_dir_x*hit_dir_x) + (hit_dir_y*hit_dir_y))
end

local players = EntityGetWithTag("player_unit")

local animal_ai_component = EntityGetFirstComponent(entity_id, "AnimalAIComponent")

if BiomeMapGetName() ~= "$biome_holymountain" and #players > 0 and player_distance < 512 then
	ComponentSetValue2(animal_ai_component, "attack_ranged_enabled", true )
else
	ComponentSetValue2(animal_ai_component, "attack_ranged_enabled", false )
end