dofile_once("data/scripts/lib/utilities.lua")

--Bite Weaken
function collision_trigger( colliding_entity_id  )

	if EntityHasTag( colliding_entity_id, "mortal" ) then

		for i, child_id in ipairs(EntityGetAllChildren(colliding_entity_id) or {}) do
		
			local effect_comps = EntityGetComponent(child_id, "GameEffectComponent") or {}
			
			for i, comp in ipairs(effect_comps) do
					
				if ComponentGetValue2(comp, "effect") == "PROTECTION_MELEE" then
				
					EntitySetComponentIsEnabled( child_id, comp, false )
					
					melee_checker_found = false
					
					local lua_comps = EntityGetComponent(child_id, "LuaComponent") or {}
					
					for i, lua_comp in ipairs(lua_comps) do
							
						if ComponentGetValue2(lua_comp, "script_source_file") == "data/scripts/animals/seamonster_melee_immunity_checker.lua" then
						
							melee_checker_found = true
							break
							
						end
						
					end
					
					if melee_checker_found == false then

						EntityAddComponent(child_id, "LuaComponent", {
							script_source_file="data/scripts/animals/seamonster_melee_immunity_checker.lua",
							execute_every_n_frame=5,
							execute_on_added=0,
						}) 
					
					end
					
				end
				
			end

		end
	end
end