setting_cache = setting_cache or {}
local function get_setting(name)
    setting_cache[name] = setting_cache[name] or ModSettingGet(name)
    return setting_cache[name]
end

local scenes_enabled = get_setting("new_enemies.scenes_enabled")

if ( scenes_enabled == true ) and not HasFlagPersistent("ned_goomonster") then

	RegisterSpawnFunction( 0xff237734, "spawn_goomonster" )

	g_goomonster =
	{
		total_prob = 0,
		{
			prob   		= 0.3,
			min_count	= 1,
			max_count	= 1,    
			entity 	= "data/entities/animals/goomonster.xml"
		},
		{
			prob   		= 0.15,
			min_count	= 1,
			max_count	= 1,    
			entity 	= "data/entities/animals/goomonster_giant.xml"
		},
	}

	--This gets the global spawn probability rate from the settings
	global_prob = get_setting("new_enemies.global_enemy_multiplier")
	global_prob = global_prob / 100

	table.insert(g_pixel_scene_02,
	{
			prob   			= 1 * global_prob,
			material_file 	= "data/biome_impl/coalmine/goopit.png",
			visual_file		= "data/biome_impl/coalmine/goopit_visual.png",
			background_file	= "",
			is_unique		= 0
	})
	
	function spawn_goomonster(x, y)
		spawn(g_goomonster,x,y)
	end

end