dofile_once("data/scripts/empty_enemy_helper_start.lua")

if not HasFlagPersistent("ned_miner_alcohol") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 2,
    max_count	= 2,    
    entity 	= "data/entities/animals/miner_alcohol.xml"
})
end

if not HasFlagPersistent("ned_irtokki") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/irtokki.xml"
})
end

if not HasFlagPersistent("ned_beehive") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/beehive.xml"
})
end

if not HasFlagPersistent("ned_welder") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 2,
    max_count	= 2,    
    entity 	= "data/entities/animals/welder.xml"
})
end

local year, month, day = GameGetDateAndTimeLocal()

if ( ( month == 10 ) and ( day >= 15 ) and ( day <= 21 ) ) then
	if not HasFlagPersistent("ned_gonha") then
		table.insert(g_small_enemies, {
			prob           = 0.2 * global_prob,
			min_count    = 1,
			max_count    = 2,  
		  entity     = "data/entities/animals/excavationsite/gonha.xml",
		  delete = function()
			for i,enemy in ipairs(g_small_enemies) do
			  if enemy.entity == "data/entities/animals/excavationsite/gonha.xml" then
				table.remove(g_small_enemies, i)
				g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				for i, v in ipairs(g_small_enemies) do 
				  if v.entity == "" then
					v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
				  end
				end
				break
			  end
			end
		  end
		})
	end
end

if not HasFlagPersistent("ned_quin") then
	table.insert(g_small_enemies, {
	prob           = 0.01 * global_prob,
	min_count    = 1,
	max_count    = 1,  
	entity     = "data/entities/animals/quin.xml",
	delete = function()
		for i,enemy in ipairs(g_small_enemies) do
			if enemy.entity == "data/entities/animals/quin.xml" then
				table.remove(g_small_enemies, i)
				g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				for i, v in ipairs(g_small_enemies) do 
				  if v.entity == "" then
					v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
				  end
				end
				break
			  end
			end
		  end
		})
	end

-- if not HasFlagPersistent("ned_quin") and not HasFlagPersistent( "quin_spawned_excavationsite" ) then
-- table.insert(g_small_enemies, {
    -- prob           = 0.04,
    -- min_count    = 1,
    -- max_count    = 1,  
  -- entity     = "data/entities/animals/quin.xml",
  -- delete = function()
  -- AddFlagPersistent( "quin_spawned_excavationsite" )
    -- for i,enemy in ipairs(g_small_enemies) do
      -- if enemy.entity == "data/entities/animals/quin.xml" then
        -- table.remove(g_small_enemies, i)
        -- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
        -- for i, v in ipairs(g_small_enemies) do 
          -- if v.entity == "" then
            -- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
          -- end
        -- end
        -- break
      -- end
    -- end
  -- end
-- })
-- end

	-- if not HasFlagPersistent("ned_quin") and not HasFlagPersistent( "quin_spawned_excavationsite" ) then
		-- table.insert(g_small_enemies, {
			-- prob           = 0.04,
			-- min_count    = 1,
			-- max_count    = 2,  
		  -- entity     = "data/entities/animals/quin.xml",
		  -- delete = function()
		  -- AddFlagPersistent( "quin_spawned_excavationsite" )
			-- for i,enemy in ipairs(g_small_enemies) do
			  -- if enemy.entity == "data/entities/animals/quin.xml" then
				-- table.remove(g_small_enemies, i)
				-- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				-- for i, v in ipairs(g_small_enemies) do 
				  -- if v.entity == "" then
					-- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
				  -- end
				-- end
				-- break
			  -- end
			-- end
		  -- end
		-- })
	-- end
	--0.04

-- if not HasFlagPersistent("ned_quin") and GameHasFlagRun( "quin_excavationsite" ) then
-- table.insert(g_small_enemies, {
    -- prob           = 0.04,
    -- min_count    = 1,
    -- max_count    = 2,  
  -- entity     = "data/entities/animals/quin.xml",
  -- delete = function()
    -- for i,enemy in ipairs(g_small_enemies) do
      -- if enemy.entity == "data/entities/animals/quin.xml" then
        -- GameAddFlagRun( "quin_spawned" )
        -- GameRemoveFlagRun( "quin_excavationsite")
        -- table.remove(g_small_enemies, i)
        -- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
        -- for i, v in ipairs(g_small_enemies) do 
          -- if v.entity == "" then
            -- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
          -- end
        -- end
        -- break
      -- end
    -- end
  -- end
-- })
-- end

-- if not HasFlagPersistent("ned_worm_eel") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/worm_eel.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_desulitor") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.07,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/desulitor.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.07,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/desulitor.xml"
-- })
-- end
if not HasFlagPersistent("ned_summoner") then
table.insert(g_small_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/summoner.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/summoner.xml"
})
end

if not HasFlagPersistent("ned_slime_ghoul") then
table.insert(g_small_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/slime_ghoul.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/slime_ghoul.xml"
})
end

-- if not HasFlagPersistent("ned_toxicmage_acid2") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/toxicmage_acid2.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.07,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/toxicmage_acid2.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_slime_turret") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/slime_turret.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_jellyfish") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/jellyfish.xml"
-- })
-- end

if not HasFlagPersistent("ned_knight") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/knight.xml"
})
end

if not HasFlagPersistent("ned_mutant2") then
table.insert(g_small_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/mutant2.xml"
})
end

if not HasFlagPersistent("ned_fireworkman") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/fireworkman.xml"
})
end

-- if not HasFlagPersistent("ned_frog_bot") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 4,
    -- max_count	= 5,    
    -- entity 	= "data/entities/animals/frog_bot.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_twig") then
	-- table.insert(g_small_enemies, {
	-- prob           = 0.075,
	-- min_count    = 1,
	-- max_count    = 1,  
	-- entity     = "data/entities/animals/twig_grower.xml",
	-- delete = function()
		-- for i,enemy in ipairs(g_small_enemies) do
			-- if enemy.entity == "data/entities/animals/twig_grower.xml" then
				-- table.remove(g_small_enemies, i)
				-- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				-- for i, v in ipairs(g_small_enemies) do 
				  -- if v.entity == "" then
					-- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
				  -- end
				-- end
				-- break
			  -- end
			-- end
		  -- end
		-- })
	-- end

-- if not HasFlagPersistent("ned_flesh_wall") then
	-- table.insert(g_small_enemies, {
	-- prob           = 0.1,
	-- min_count    = 3,
	-- max_count    = 4,  
	-- entity     = "data/entities/animals/flesh_wall.xml",
	-- delete = function()
		-- for i,enemy in ipairs(g_small_enemies) do
			-- if enemy.entity == "data/entities/animals/flesh_wall.xml" then
				-- table.remove(g_small_enemies, i)
				-- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				-- for i, v in ipairs(g_small_enemies) do 
				  -- if v.entity == "" then
					-- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
				  -- end
				-- end
				-- break
			  -- end
			-- end
		  -- end
		-- })
	-- end

-- if not HasFlagPersistent("ned_menace") then
	-- table.insert(g_small_enemies, {
	-- prob           = 0.03,
	-- min_count    = 1,
	-- max_count    = 1,  
	-- entity     = "data/entities/animals/menace.xml",
	-- delete = function()
		-- for i,enemy in ipairs(g_small_enemies) do
			-- if enemy.entity == "data/entities/animals/menace.xml" then
				-- table.remove(g_small_enemies, i)
				-- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				-- for i, v in ipairs(g_small_enemies) do 
				  -- if v.entity == "" then
					-- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
				  -- end
				-- end
				-- break
			  -- end
			-- end
		  -- end
		-- })
-- end

-- if not HasFlagPersistent("ned_snowman") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entities 	= {
		-- "data/entities/animals/snowman.xml",
		-- "data/entities/animals/snowfrog.xml",
		-- "data/entities/animals/snowfrog.xml",
		-- "data/entities/animals/snowfrog.xml",
	-- }
-- })
-- end

if not HasFlagPersistent("ned_eye_monster") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/eye_monster.xml"
})
end

-- if not HasFlagPersistent("ned_flesh_monster") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/flesh_monster.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_giantfirebug") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.2,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/giantfirebug.xml"
-- })
-- end

if not HasFlagPersistent("ned_alien") then
table.insert(g_big_enemies,
{
    prob   		= 0.2 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/alien.xml"
})
end

if not HasFlagPersistent("ned_ooion") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/ooion.xml"
})
end

if not HasFlagPersistent("ned_crawler") then
table.insert(g_small_enemies,
{
    prob   		= 0.15 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/crawler.xml"
})
end
--0.15

-- if not HasFlagPersistent("ned_bloodskull") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/bloodskull.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_driller") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/driller.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_earthskull") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.035,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/earthskull.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_stingray") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.04,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/stingray.xml"
-- })
-- end

if not HasFlagPersistent("ned_axeman") then
table.insert(g_big_enemies,
{
    prob   		= 0.2 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/axeman.xml"
})
table.insert(g_small_enemies,
{
    prob   		= 0.2 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/axeman.xml"
})
end
if not HasFlagPersistent("ned_goomonster") then
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 2,
    max_count	= 4,    
    entity 	= "data/entities/animals/goomonster.xml"
})
end
if not HasFlagPersistent("ned_invisiman") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/invisiman.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/invisiman.xml"
})
end
if not HasFlagPersistent("ned_monkey") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/monkey.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/monkey.xml"
})
end
if not HasFlagPersistent("ned_stalker") then
table.insert(g_small_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/stalker.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/stalker.xml"
})
end
if not HasFlagPersistent("ned_stalker_ceiling") then
table.insert(g_small_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/stalker_ceiling.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/stalker_ceiling.xml"
})
end
if not HasFlagPersistent("ned_dripper") then
table.insert(g_small_enemies,
{
    prob   		= 0.11 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/dripper.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.11 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/dripper.xml"
})
end
if not HasFlagPersistent("ned_archer") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/archer.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/archer.xml"
})
end
if not HasFlagPersistent("ned_hazmat") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/hazmat.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/hazmat.xml"
})
end
-- if not HasFlagPersistent("ned_conduit") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/conduit.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/conduit.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_stone_crab") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/stone_crab.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/stone_crab.xml"
-- })
-- end
if not HasFlagPersistent("ned_mutant_blob") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/mutant_blob.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/mutant_blob.xml"
})
end
if not HasFlagPersistent("ned_bouncer") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/bouncer.xml"
})
end

-- if not HasFlagPersistent("ned_miner_boss") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/miner_boss.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_player_ai") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/player_ai.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_miner_boss") then
	-- table.insert(g_small_enemies, {
	-- prob           = 0.1,
	-- min_count    = 1,
	-- max_count    = 2,  
	-- entity     = "data/entities/animals/miner_boss.xml",
	-- delete = function()
		-- for i,enemy in ipairs(g_small_enemies) do
			-- if enemy.entity == "data/entities/animals/miner_boss.xml" then
				-- table.remove(g_small_enemies, i)
				-- g_small_enemies.total_prob = 0 --this will cause the probabilities to be recalculated
				-- for i, v in ipairs(g_small_enemies) do 
				  -- if v.entity == "" then
					-- v.prob = v.prob - enemy.prob * vanilla_small_enemies_empty_percentage
				  -- end
				-- end
				-- break
			  -- end
			-- end
		  -- end
		-- })
-- end

if not HasFlagPersistent("ned_fire_crawler") then

	local entities_to_spawn = {"data/entities/animals/fire_crawler.xml" }
	table.insert(entities_to_spawn, "data/entities/animals/fire_crawler_ceiling.xml")

	table.insert(g_small_enemies,
	{
		prob   		= 0.05 * global_prob,
		min_count	= 1,
		max_count	= 2,    
		entities   	= entities_to_spawn
	})
end
if not HasFlagPersistent("ned_enigma") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 2,    
    entity 	= "data/entities/animals/enigma.xml"
})
end
--0.1
-- if not HasFlagPersistent("ned_fungus_spore") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.01,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/fungus_spore.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_slimeshooter_mega") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/slimeshooter_mega_sleep.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_sneeker") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/sneeker.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_ground_terror") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.005,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/ground_terror.xml"
-- })
-- end

dofile_once("data/scripts/empty_enemy_helper_end.lua")