function spawn_ocarina( x, y )
	--local ocarina_cards = { "OCARINA_A", "OCARINA_B", "OCARINA_C", "OCARINA_D", "OCARINA_E", "OCARINA_F", "OCARINA_GSHARP", "OCARINA_A2", }
	local ocarina_cards = { "KANTELE_A", "KANTELE_D", "KANTELE_DIS", "KANTELE_E", "KANTELE_G" }
	local distance = 20
	
	for i,v in ipairs( ocarina_cards ) do
		local x_ = x - #ocarina_cards * distance * 0.5 + i * distance
		
		CreateItemActionEntity( v, x_, y )
	end
	
	for i,v in ipairs( ocarina_cards ) do
		local x_ = x - #ocarina_cards * distance * 0.5 + i * distance
		
		CreateItemActionEntity( v, x_, y + distance )
	end
	
	EntityLoad( "data/entities/items/kantele.xml", x, y - 32 )
	EntityLoad( "data/entities/animals/ent.xml", x, y - 32 )
	
	LoadPixelScene( "data/biome_impl/spliced/tree/zolkarn.png", "", x - 277, y - 15, "data/biome_impl/spliced/tree/zolkarn_background.png", true )
	
	local year, month, day = GameGetDateAndTimeLocal()
	
	if ( month == 12 ) and ( day >= 23 ) and ( day <= 27 ) then
		EntityLoad( "data/entities/buildings/workshop_tree_holiday.xml", x, y )
	end
end