CHEST_LEVEL = 3
dofile_once("data/scripts/director_helpers.lua")
dofile_once("data/scripts/biome_scripts.lua")
dofile_once("data/scripts/lib/utilities.lua")

RegisterSpawnFunction( 0xffffeedd, "init" )

function spawn_small_enemies( x, y ) end
function spawn_big_enemies( x, y ) end
function spawn_items( x, y ) end
function spawn_props( x, y ) end
function spawn_props2( x, y ) end
function spawn_props3( x, y ) end
function spawn_lamp( x, y ) end
function load_pixel_scene( x, y ) end
function load_pixel_scene2( x, y ) end
function spawn_unique_enemy( x, y ) end
function spawn_unique_enemy2( x, y ) end
function spawn_unique_enemy3( x, y ) end
function spawn_ghostlamp( x, y ) end
function spawn_candles( x, y ) end
function spawn_potions( x, y ) end
function spawn_wands( x, y ) end

local random_value = 1

function init( x, y, w, h )
	SetRandomSeed( GameGetFrameNum(), x + y)
	
	if ( tonumber(SessionNumbersGetValue("NEW_GAME_PLUS_COUNT")) > 0 ) and HasFlagPersistent("nee_boss_fungus") then
		random_value = Random( 1, 2 )
	end
	if ( random_value == 1 ) and HasFlagPersistent("nee_lukki_dark_huge") then
		LoadPixelScene( "data/biome_impl/orbroomghust.png", "", x, y, "", true )
		EntityLoad( "data/entities/animals/lukki_dark_huge.xml", x + 256, y + 342)
	elseif ( random_value == 2 ) then
		LoadPixelScene( "data/biome_impl/new_game_plus/secret_lab.png", "data/biome_impl/new_game_plus/secret_lab_visual.png", x, y, "data/biome_impl/new_game_plus/secret_lab_background.png", true )
		EntityLoad( "data/entities/buildings/boss_fungus_sleep_vanilla.xml", x + 256, y + 342)
	else
		LoadPixelScene( "data/biome_impl/orbroom.png", "data/biome_impl/orbroom_visual.png", x, y, "data/biome_impl/orbroom_background.png", true )
	end
end

function spawn_orb(x, y)
	if HasFlagPersistent("nee_lukki_dark_huge") or HasFlagPersistent("nee_boss_fungus")  then
		EntityLoad( "data/entities/misc/music_energy_000.xml", x, y - 10 )
		EntityLoad( "data/entities/particles/gold_dust.xml", x, y )
	else
		EntityLoad( "data/entities/items/orbs/orb_06.xml", x, y )
		EntityLoad( "data/entities/items/books/book_06.xml", x - 30, y + 40 )
		EntityLoad( "data/entities/misc/music_energy_000.xml", x, y - 10 )
		EntityLoad( "data/entities/particles/gold_dust.xml", x, y )
	end
end