dofile_once("data/scripts/empty_enemy_helper_start.lua")

for i, v in ipairs(g_small_enemies) do 
	 if type(v) == "table" and v.entity == "data/entities/animals/rainforest/bloom.xml" then
		v.prob 	= 0.05
	 end
end

for i, v in ipairs(g_big_enemies) do 
	 if type(v) == "table" and v.entity == "data/entities/animals/rainforest/bloom.xml" then
		v.prob 	= 0.05
	 end
end

for i, v in ipairs(g_large_enemies) do 
	 if type(v) == "table" and v.entity == "data/entities/animals/rainforest/bloom.xml" then
		v.prob 	= 0.25
	 end
end

if not HasFlagPersistent("ned_crawler_bug") then
table.insert(g_small_enemies,
{
    prob   		= 0.01 * global_prob,
    min_count	= 6,
    max_count	= 8,    
    entity 	= "data/entities/animals/crawlers/crawler_bug.xml"
})
end
if not HasFlagPersistent("ned_larva_crawler") then
table.insert(g_small_enemies,
{
    prob   		= 0.01 * global_prob,
    min_count	= 6,
    max_count	= 8,    
    entity 	= "data/entities/animals/crawlers/larva_crawler.xml"
})
end

-- for i, v in ipairs(g_small_enemies) do 
	 -- if type(v) == "table" and v.entity == "data/entities/animals/rainforest/fly.xml" then
		-- v.prob 	= 0.15
	 -- end
-- end

-- if not HasFlagPersistent("ned_physics_ai_test") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 1000,
    -- min_count	= 5,
    -- max_count	= 6,    
    -- entity 	= "data/entities/animals/lukki/lukki_longleg.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 1000,
    -- min_count	= 5,
    -- max_count	= 6,    
    -- entity 	= "data/entities/animals/lukki/lukki_longleg.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 1000,
    -- min_count	= 5,
    -- max_count	= 6,    
    -- entity 	= "data/entities/animals/lukki/lukki_longleg.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_flesh_wall") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 5,
    -- max_count	= 6,    
    -- entity 	= "data/entities/animals/flesh_wall.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 5,
    -- max_count	= 6,    
    -- entity 	= "data/entities/animals/flesh_wall.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 5,
    -- max_count	= 6,    
    -- entity 	= "data/entities/animals/flesh_wall.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_flesh_monster") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/rainforest/flesh_monster.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/rainforest/flesh_monster.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 2,    
    -- entity 	= "data/entities/animals/rainforest/flesh_monster.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_scavenger_oiler") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_oiler.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_oiler.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_scavenger_compressor") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_compressor.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_compressor.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_scavenger_turbo") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.0375,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_turbo.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.0675,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_turbo.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_scavenger_gas") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_gas.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.045,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_gas.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_player_ai") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.025,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/player_ai.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.045,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/player_ai.xml"
-- })
-- end
if not HasFlagPersistent("ned_irtokki") then
table.insert(g_small_enemies,
{
    prob   		= 0.025 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/irtokki.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.045 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/irtokki.xml"
})
end
if not HasFlagPersistent("ned_beehive") then
table.insert(g_small_enemies,
{
    prob   		= 0.025 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/beehive.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.045 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/beehive.xml"
})
end
if not HasFlagPersistent("ned_scavenger_alcohol") then
table.insert(g_small_enemies,
{
    prob   		= 0.025 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_alcohol.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.045 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_alcohol.xml"
})
end
if not HasFlagPersistent("ned_scavenger_robot") then
table.insert(g_small_enemies,
{
    prob   		= 0.0125 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_robot.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.0225 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/scavenger_robot.xml"
})
end
if not HasFlagPersistent("ned_scavenger_plasma") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/rainforest/scavenger_plasma.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/rainforest/scavenger_plasma.xml"
})
table.insert(g_scavengers,
{
    prob   		= 0.4 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/rainforest/scavenger_plasma.xml"
})
end
if not HasFlagPersistent("ned_vine_monster") then
table.insert(g_small_enemies,
{
    prob   		= 0.02 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/vine_monster.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/vine_monster.xml"
})
table.insert(g_large_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/vine_monster.xml"
})
end
-- if not HasFlagPersistent("ned_wanderer") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/wanderer.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.05,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/wanderer.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.1,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/wanderer.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_lukki_blue") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.035,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/lukki_blue.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.04,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/lukki_blue.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.045,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/lukki_blue.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_lukki_red") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.035,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/lukki_red.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.04,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/lukki_red.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.045,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/lukki_red.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_lukki_white") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.035,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/lukki_white.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.04,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/lukki_white.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.045,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/lukki_white.xml"
-- })
-- end
if not HasFlagPersistent("ned_lukki_swamp2") then
table.insert(g_small_enemies,
{
    prob   		= 0.035 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/lukki_swamp2.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.04 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/lukki_swamp2.xml"
})
table.insert(g_large_enemies,
{
    prob   		= 0.045 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/lukki_swamp2.xml"
})
end
if not HasFlagPersistent("ned_lukki_weird") then
table.insert(g_small_enemies,
{
    prob   		= 0.035 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/lukki_weird.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.04 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/lukki_weird.xml"
})
table.insert(g_large_enemies,
{
    prob   		= 0.045 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/lukki_weird.xml"
})
end
-- if not HasFlagPersistent("ned_worm_fungal") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.01,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/worm_fungal.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/worm_fungal.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.02,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/worm_fungal.xml"
-- })
-- end

if not HasFlagPersistent("ned_fungus_spore") then
table.insert(g_big_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/fungus_spore.xml"
})
table.insert(g_large_enemies,
{
    prob   		= 0.03 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/fungus_spore.xml"
})
end

if not HasFlagPersistent("ned_fungus_swamp2") then
table.insert(g_big_enemies,
{
    prob   		= 0.06 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/fungus_swamp2.xml"
})
table.insert(g_large_enemies,
{
    prob   		= 0.06 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/fungus_swamp2.xml"
})
end

if not HasFlagPersistent("ned_scavenger_trigger") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/rainforest/scavenger_trigger.xml"
})

table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/rainforest/scavenger_trigger.xml"
})

table.insert(g_scavengers,
{
    prob   		= 0.3 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/rainforest/scavenger_trigger.xml"
})
end
-- if not HasFlagPersistent("ned_earthskull") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.075,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/earthskull.xml"
-- })
-- end
if not HasFlagPersistent("ned_goomonster") then
table.insert(g_small_enemies,
{
    prob   		= 0.01 * global_prob,
    min_count	= 6,
    max_count	= 8,    
    entity 	= "data/entities/animals/goomonster.xml"
})
end
if not HasFlagPersistent("ned_monkey") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 8,
    max_count	= 10,    
    entity 	= "data/entities/animals/monkey.xml"
})
end
if not HasFlagPersistent("ned_earthmage") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/earthmage.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/earthmage.xml"
})
end
if not HasFlagPersistent("ned_spider") then
table.insert(g_small_enemies,
{
    prob   		= 0.09 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/spider.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.09 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/spider.xml"
})
end
if not HasFlagPersistent("ned_eyeling") then
table.insert(g_small_enemies,
{
    prob   		= 0.09 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/eyeling.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.09 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/eyeling.xml"
})
end
-- if not HasFlagPersistent("ned_bigfly") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/bigfly.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/bigfly.xml"
-- })
-- end
if not HasFlagPersistent("ned_bigfly") then
	local entities_to_spawn = {"data/entities/animals/bigfly.xml" }
		
	table.insert(g_small_enemies,
	{
		prob   		= 0.09 * global_prob,
		min_count	= 1,
		max_count	= 1,    
		entities    = entities_to_spawn
	})
	table.insert(g_big_enemies,
	{
		prob   		= 0.09 * global_prob,
		min_count	= 1,
		max_count	= 1,    
		entities    = entities_to_spawn
	})
end
if not HasFlagPersistent("ned_bloom_ceiling") then
table.insert(g_small_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/bloom_ceiling.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.05 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/bloom_ceiling.xml"
})
table.insert(g_large_enemies,
{
    prob   		= 0.25 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/bloom_ceiling.xml"
})
end
-- if not HasFlagPersistent("ned_fireflower") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.08,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/fireflower.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.08,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/fireflower.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.08,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/fireflower.xml"
-- })
-- end
if not HasFlagPersistent("ned_landflower") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/landflower.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/landflower.xml"
})
end
if not HasFlagPersistent("ned_ceilingflower") then
table.insert(g_small_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/ceilingflower.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.1 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/ceilingflower.xml"
})
end
if not HasFlagPersistent("ned_ent") then
table.insert(g_small_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/ent.xml"
})
table.insert(g_big_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/ent.xml"
})
table.insert(g_large_enemies,
{
    prob   		= 0.08 * global_prob,
    min_count	= 1,
    max_count	= 1,    
    entity 	= "data/entities/animals/ent.xml"
})
end
-- if not HasFlagPersistent("ned_wyrm") then

-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.035,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/wyrm.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.07,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/wyrm.xml"
-- })
-- end

-- if not HasFlagPersistent("ned_scavenger_king") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/scavenger_king.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_shiva") then
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.03,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/rainforest/shiva.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_ground_terror") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.07,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/ground_terror.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.07,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/ground_terror.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.07,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/ground_terror.xml"
-- })
-- end
-- if not HasFlagPersistent("ned_stone_crab") then
-- table.insert(g_small_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/stone_crab.xml"
-- })
-- table.insert(g_big_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/stone_crab.xml"
-- })
-- table.insert(g_large_enemies,
-- {
    -- prob   		= 0.09,
    -- min_count	= 1,
    -- max_count	= 1,    
    -- entity 	= "data/entities/animals/stone_crab.xml"
-- })
-- end

dofile_once("data/scripts/empty_enemy_helper_end.lua")