RegisterSpawnFunction( 0xff6fcc23, "spawn_lukki" )
RegisterSpawnFunction( 0xff8023cc, "spawn_spider" )
RegisterSpawnFunction( 0xff3e00ff, "spawn_prize" )
RegisterSpawnFunction( 0xff23cc40, "spawn_eggs" )

g_lukki =
{
	total_prob = 0,
	{
		prob   		= 0.3,
		min_count	= 1,
		max_count	= 1,    
		entity 	= "data/entities/animals/lukki/lukki_longleg.xml"
	},
}

g_spider =
{
	total_prob = 0,
	{
		prob   		= 0.3,
		min_count	= 1,
		max_count	= 1,    
		entity 	= "data/entities/animals/spider.xml"
	},
}

if ModSettingGet("new_enemies.scenes_enabled") and not HasFlagPersistent("ned_spider") then

	table.insert(g_pixel_scene_02,
	{
			prob   			= 0.5,
			material_file 	= "data/biome_impl/rainforest/spider_nest.png",
			visual_file		= "",
			background_file	= "",
			is_unique		= 0
	})
	
end

function spawn_lukki(x, y)
	spawn(g_lukki,x,y)
end

function spawn_spider(x, y)
	spawn(g_spider,x,y)
end

function spawn_prize(x, y)
	EntityLoad( "data/entities/items/wand_level_04_better.xml", x, y )
end

function spawn_eggs(x, y)
	EntityLoad( "data/entities/buildings/lukki_eggs.xml", x, y )
end