setting_cache = setting_cache or {}
local function get_setting(name)
    setting_cache[name] = setting_cache[name] or ModSettingGet(name)
    return setting_cache[name]
end

local scenes_enabled = get_setting("new_enemies.scenes_enabled")

if ( scenes_enabled == true ) and not HasFlagPersistent("ned_giant_old") then

	RegisterSpawnFunction( 0xff0012ff, "spawn_giant" )
	RegisterSpawnFunction( 0xff137708, "spawn_collision_trigger" )
	RegisterSpawnFunction( 0xff3e00ff, "spawn_prize" )

	g_giant =
	{
		total_prob = 0,
		{
			prob   		= 0.3,
			min_count	= 1,
			max_count	= 1,    
			entity 	= "data/entities/animals/giant_old.xml"
		},
		-- total_prob = 0,
		-- {
			-- prob   		= 0.1,
			-- min_count	= 1,
			-- max_count	= 1,    
			-- entity 	= "data/entities/animals/giant.xml"
		-- },
	}

	setting_cache = setting_cache or {}
	local function get_setting(name)
		setting_cache[name] = setting_cache[name] or ModSettingGet(name)
		return setting_cache[name]
	end

	--This gets the global spawn probability rate from the settings
	global_prob = get_setting("new_enemies.global_enemy_multiplier")
	global_prob = global_prob / 100
	
	table.insert(g_pixel_scene_02,
	{
			prob   			= 1 * global_prob,
			material_file 	= "data/biome_impl/snowcave/giant_old.png",
			visual_file		= "",
			background_file	= "",
			is_unique		= 0
	})

	function spawn_giant(x, y)
		spawn(g_giant,x,y)
	end

	function spawn_collision_trigger(x, y)
		EntityLoad( "data/entities/buildings/collision_trigger.xml", x, y-32 )
	end

	function spawn_prize(x, y)
		EntityLoad( "data/entities/items/wand_level_03_better.xml", x, y )
	end

end