-- function spawn_all_perks( x, y )
	-- SetRandomSeed( x, y )
	
	-- local options = {'data/entities/misc/spawn_necromancer_shop.xml'}
	
	-- if not HasFlagPersistent("ned_necromancer_polymorph") then
		-- options = {'data/entities/misc/spawn_necromancer_shop.xml', 'data/entities/misc/spawn_necromancer_polymorph.xml'}
	-- end

	-- if( GlobalsGetValue( "TEMPLE_SPAWN_GUARDIAN" ) == "1" ) then
		-- local choice = options[ Random( #options - 1 ) + 1 ];
		-- EntityLoad( choice, x + 30, y - 30 )
	-- end

	-- local spawn_shop, do_spawn_perks = temple_random( x, y )
	-- if( do_spawn_perks == "0" ) then
		-- return
	-- end
	
	-- perk_spawn_many( x, y )
-- end

function temple_spawn_guardian( pos_x, pos_y )

	SetRandomSeed( pos_x, pos_y )

	local options = {'data/entities/misc/spawn_necromancer_shop.xml'}
	
	if HasFlagPersistent("nee_necromancer_polymorph") then
		options = {'data/entities/misc/spawn_necromancer_shop.xml', 'data/entities/misc/spawn_necromancer_polymorph.xml'}
	end

	if( GlobalsGetValue( "TEMPLE_PEACE_WITH_GODS" ) == "1" ) then
		-- peace_with_gods perk
		return
	end

	local guard_spawn_id = EntityGetClosestWithTag( pos_x, pos_y, "guardian_spawn_pos" )
	local guard_x = pos_x
	local guard_y = pos_y

	-- if distance is too far
	if( guard_spawn_id ~= 0  ) then
		guard_x, guard_y = EntityGetTransform( guard_spawn_id )
		
		--[[local distance = math.abs( guard_x - spawn_pos_x ) + math.abs( guard_y - spawn_pos_y )
		if( distance < 640 ) then
			guard_x = spawn_pos_x
			guard_y = spawn_pos_y
		end
		]]--

		-- kill the spawn target, so that it doesn't come and haunt us in subsequent spawns
		EntityKill( guard_spawn_id )
	end
	
	local choice = options[ Random( #options - 1 ) + 1 ];
	EntityLoad( choice, guard_x, guard_y )
	-- this is now handled by game_music.cpp
	--[[if BiomeMapGetName() == "$biome_holymountain" then
		GameTriggerMusicFadeOutAndDequeueAll( 4.0 )
		GameTriggerMusicEvent( "music/temple/necromancer_shop", true, pos_x, pos_y )
	end]]--
end