dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )
local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")

local sprite_component = EntityGetFirstComponent(entity_id, "SpriteComponent")
local animation = ComponentGetValue2( sprite_component, "rect_animation")

if times_executed == 60 then
	GamePlaySound("data/audio/Desktop/projectiles.bank", "player_projectiles/freezing_gaze/create", x, y)
	ComponentSetValue2(sprite_component, "rect_animation", "opening")
	ComponentSetValue2(sprite_component, "next_rect_animation", "opening")
elseif times_executed == 100 then
	ComponentSetValue2(sprite_component, "rect_animation", "open")
	ComponentSetValue2(sprite_component, "next_rect_animation", "open")
	EntityLoad("data/entities/animals/mummy.xml", x, y)
	EntityRemoveComponent( entity_id, GetUpdatedComponentID() )
end