dofile( "data/scripts/game_helpers.lua" )
dofile_once("data/scripts/lib/utilities.lua")

function spawn_feather()
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	
-- SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

pos_x = pos_x + rand(-25, 25)
pos_y = pos_y + rand(-25, 25)
	
	-- disables the dragon with globals
	
	GlobalsSetValue("boss_dragon_spawned", "0")
	GlobalsSetValue("boss_dragon_spawned_pos_x", pos_x)
	GlobalsSetValue("boss_dragon_spawned_pos_y", pos_y)
	EntityLoad( "data/entities/projectiles/feather2.xml", pos_x, pos_y )

	-- disables damage scripts
	local lua_scripts = EntityGetComponent( entity_id, "LuaComponent" )
	
	-- tried using wait, but it just crashed...
	-- wait(30)
	-- EntityLoad( "data/entities/animals/boss_dragon.xml", pos_x, pos_y )
end

function impl_spawn_feather()
	local pos_x = GlobalsGetValue("boss_dragon_spawned_pos_x")
	local pos_y = GlobalsGetValue("boss_dragon_spawned_pos_y")
	EntityLoad( "data/entities/projectiles/feather2.xml", pos_x, pos_y )
end

function damage_received( damage, desc, entity_who, is_fatal )
	-- print(damage)
	if( is_fatal or Random(0,100) < 60 ) then
		spawn_feather()
	end
end
