dofile( "data/scripts/game_helpers.lua" )

  local entity_id = GetUpdatedEntityID()
  local damage_model_component = EntityGetFirstComponent(entity_id, "DamageModelComponent")
  if damage_model_component ~= nil then
    local hp = ComponentGetValue(damage_model_component, "hp")
    local max_hp = ComponentGetValue(damage_model_component, "max_hp")
    local percentage = hp / max_hp * 100

    if percentage < 20 then
		play_animation( entity_id, "hut5")
    elseif percentage < 40 then
		play_animation( entity_id, "hut4")
    elseif percentage < 60 then
		play_animation( entity_id, "hut3")
    elseif percentage < 80 then
		play_animation( entity_id, "hut2")
    end
  end
