function damage_received( damage, message, entity_thats_responsible, is_fatal  )

	local entity_id = GetUpdatedEntityID()
	local x, y = EntityGetTransform(entity_id)
	
	GamePlaySound( "data/audio/Desktop/materials.bank", "collision/barrel_water/destroy", x, y )
	GamePlaySound("data/audio/Desktop/explosion.bank", "explosion_small", x, y)

	dofile_once( "data/scripts/game_helpers.lua" )

	local damage_model_component = EntityGetFirstComponent(entity_id, "DamageModelComponent")
	if damage_model_component ~= nil then
		local hp = ComponentGetValue(damage_model_component, "hp")
		local max_hp = ComponentGetValue(damage_model_component, "max_hp")
		local percentage = hp / max_hp * 100

		if percentage < 20 then
			play_animation( entity_id, "hut5")
		elseif percentage < 40 then
			play_animation( entity_id, "hut4")
		elseif percentage < 60 then
			play_animation( entity_id, "hut3")
		elseif percentage < 80 then
			play_animation( entity_id, "hut2")
		end
	end
end