dofile_once( "data/scripts/lib/utilities.lua" )

function collision_trigger(colliding_entity)
	if ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 6 == 0 then
		local players = EntityGetWithTag("player_unit")

		if #players > 0 then

		  local entity_id = GetUpdatedEntityID()
		  local x, y = EntityGetTransform( entity_id )
		  
		  local player_x, player_y = EntityGetTransform(players[1])
		  
		  local did_hit, hit_x2, hit_y2 = RaytraceSurfaces(x, y + 5 , player_x, player_y)
		  
			if not did_hit and player_x > x - 15 and player_y < y + 300 and player_y > y and player_x < x + 15 then
				  
				edit_component2( entity_id, "SpriteComponent", function(sprite_comp,vars)
									
					ComponentSetValue2( sprite_comp, "rect_animation", "shake")
									
				end)
						
				GamePlaySound("data/audio/Desktop/misc.bank", "game_effect/frozen/game_effect_end", x, y)
					  
				EntityAddComponent(entity_id, "LuaComponent", {
					script_source_file="data/scripts/buildings/icicle_ceiling_fall.lua",
					execute_every_n_frame=60,
				})
						
				EntityRemoveComponent( entity_id, GetUpdatedComponentID() )
					
			end
		  
		end
	elseif ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") % 1 == 0 then
	
		local entity_id = GetUpdatedEntityID()
		local x, y = EntityGetTransform( entity_id )
	
		local did_hit, hit_x2, hit_y2 = RaytraceSurfaces(x, y + 1, x, y + 0)
		  
		if not did_hit then
			
			-- local damage_model_component = EntityGetFirstComponent(entity_id, "DamageModelComponent")
				
			-- ComponentSetValue2(damage_model_component, "hp", 0)
			-- ComponentSetValue2(damage_model_component, "air_needed", true)
			-- ComponentSetValue2(damage_model_component, "air_in_lungs", 0)
			
			shoot_projectile( entity_id, "data/entities/projectiles/icicle_ceiling.xml", x, y + 5 , 0, 250, false )
				
			GamePlaySound("data/audio/Desktop/misc.bank", "game_effect/frozen/create", x, y)
				
			EntityKill(entity_id)

		end
	end
end
-- dofile_once("data/scripts/lib/coroutines.lua")

-- async_loop(function()

	-- dofile( "data/scripts/lib/utilities.lua" )

	-- local players = EntityGetWithTag("player_unit")

	-- if #players > 0 then

	  -- local entity_id = GetUpdatedEntityID()
	  -- local x, y = EntityGetTransform( entity_id )
	  
	  -- local player_x, player_y = EntityGetTransform(players[1])
	  
	  -- local did_hit, hit_x2, hit_y2 = RaytraceSurfaces(x, y + 5 , player_x, player_y)
	  
		-- if not did_hit and player_x > x - 15 and player_y < y + 300 and player_y > y and player_x < x + 15 then
			  
			-- edit_component2( entity_id, "SpriteComponent", function(sprite_comp,vars)
								
				-- ComponentSetValue2( sprite_comp, "rect_animation", "shake")
								
			-- end)
					
			-- GamePlaySound("data/audio/Desktop/misc.bank", "game_effect/frozen/game_effect_end", x, y)
				  
			-- wait(60)
				  
			-- shoot_projectile( entity_id, "data/entities/projectiles/icicle_ceiling.xml", x, y + 5 , 0, 250, false )
					
			-- GamePlaySound("data/audio/Desktop/misc.bank", "game_effect/frozen/create", x, y)
					
			-- EntityKill(entity_id)
				
		-- end
	  
	-- end
	
	-- wait(0)
	
-- end)