dofile_once("data/scripts/lib/utilities.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	-- kill self
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )

	-- do some kind of an effect? throw some particles into the air?

	local children = EntityGetAllChildren( entity_id, "pitcheck_b" )
	local arena_center_id = children[1]
	local acx, acy = EntityGetTransform( arena_center_id )
	
	local face = EntityLoad( "data/entities/animals/mwyah_face.xml", acx, acy )
	EntityRemoveFromParent( arena_center_id )
	EntityAddChild(face, arena_center_id)
	local wall_count = 8
	local wall_space = 768 / 8
	for i=1, wall_count do
		local mwyah_wall = EntityLoad( "data/entities/projectiles/mwyah_wall_strong.xml", acx - 384 + ( wall_space * i ), acy )
		EntityAddChild(arena_center_id, mwyah_wall)
	end  
	
	local wall_count = 8
	local wall_space = 768 / 8
	for i=1, wall_count do
		local mwyah_wall2 = EntityLoad( "data/entities/projectiles/mwyah_wall_strong2.xml", acx - 384 + ( wall_space * i ), acy )
		EntityAddChild(arena_center_id, mwyah_wall2)
	end 
end