dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/perks/perk.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	-- kill self
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )
	SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )
	-- do some kind of an effect? throw some particles into the air?
	EntityLoad( "data/entities/items/orbs/orb_06.xml", pos_x -40, pos_y )
	
	local perk_id = perk_spawn( pos_x, pos_y, "PROTECTION_RADIOACTIVITY" )	
	
	if( perk_id ~= nil ) then
		EntityAddComponent( perk_id, "VariableStorageComponent", 
		{ 
			name = "perk_dont_remove_others",
			value_bool = "1",
		} )
	end
	
	EntityLoad( "data/entities/items/books/book_06.xml", pos_x + 40, pos_y )
	EntityLoad( "data/entities/items/wand_unshuffle_06.xml", pos_x , pos_y -10)
	
	EntityLoad( "data/entities/items/pickup/heart_fullhp.xml",  pos_x + 20, pos_y )

	--EntityKill( entity_id )
end