dofile_once("data/scripts/lib/utilities.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	-- kill self
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y, r, sx = EntityGetTransform( entity_id )
	local worm_killer = EntityGetClosestWithTag(pos_x, pos_y, "worm_killer")
	SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )
	local effect_id = LoadGameEffectEntityTo(entity_id, "data/entities/misc/effect_corpse_flopper_hydra.xml")
	-- local effect_id2 = LoadGameEffectEntityTo(entity_id, "data/entities/misc/effect_corpse_bloody_hydra.xml")

	-- do some kind of an effect? throw some particles into the air?
	local dead  = EntityLoad( "data/entities/animals/hydra_dead.xml", pos_x, pos_y)
	EntitySetTransform(dead, pos_x, pos_y, r, sx)
	EntityLoad( "data/entities/items/orbs/orb_04.xml", pos_x + 40, pos_y )
	EntityLoad( "data/entities/items/wand_unshuffle_custom2.xml", pos_x, pos_y )
	
	local opts = { "WATER_TO_POISON", "POISON_BLAST","ARC_POISON", "POISON_TRAIL" }
	local count = 1
	
	for i=1,count do
		local rnd = Random( 1, #opts )
		CreateItemActionEntity( opts[rnd], pos_x - 20 , pos_y )
		table.remove( opts, rnd )
	end
	
	local erasers = EntityGetWithTag("eraser")
	for i,entity in ipairs(erasers) do
	  EntityKill(entity)
	end
	
	EntityKill(worm_killer)
	
	-- SetTimeOut(5, "data/scripts/buildings/load_orb_hydra.lua", "remove_walls")
	
	
	EntityLoad( "data/entities/items/books/book_04.xml", pos_x - 40, pos_y )
	EntityLoad( "data/entities/items/pickup/heart_fullhp.xml",  pos_x + 20, pos_y )
	--EntityKill( entity_id )
end

-- function remove_walls()
	-- LoadPixelScene( "data/biome_impl/orbroommwyahopened.png", "", 9728, 2560, "", true )
-- end