dofile_once("data/scripts/lib/utilities.lua")
dofile_once( "data/scripts/game_helpers.lua" )

function collision_trigger()
	local entity_id    = GetUpdatedEntityID()
	local x,y = EntityGetTransform( entity_id )
	
	for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
		
		if ( EntityGetName(child_id) == "eye" ) or ( EntityGetName(child_id) == "hand_spawner" ) then
		
			EntitySetComponentsWithTagEnabled(child_id, "enabled_in_world", true)
		end

	end
		
	GameTriggerMusicFadeOutAndDequeueAll( 3.0 )
	GameTriggerMusicEvent( "music/oneshot/dark_03", true, x, y )
end