dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )
local offset = GetValueNumber("offset_y", 100)

local var_comp = get_variable_storage_component( entity_id, "offset" )
local offset_val = ComponentGetValue2(var_comp, "value_float")

if offset > offset_val then
	SetValueNumber("offset_y", offset - 0.5)
elseif offset < offset_val then
	SetValueNumber("offset_y", offset + 0.5)
end

local parent_id = EntityGetParent(entity_id)
local px, py = EntityGetTransform( parent_id )
py = py + offset
local cx, cy = GameGetCameraPos()

local parallaxFactor = 0.4

local x2 = (cx - px) * parallaxFactor
local y2 = (cy - py) * parallaxFactor

EntitySetTransform(entity_id, px + x2, py + y2)