table.insert(ALL_ENTITIES, {
  name="New Enemies",
  desc="Play with stuff from New Enemies Mod",
  icon="data/ui_gfx/animal_icons/extras/ritualist_c.png",
  icon_off="data/ui_gfx/animal_icons/extras/ritualist_c_greyed.png",
  grid_size=12,
  entities={
	  {
		name="Skeleton",
		path="data/entities/animals/Skeleton.xml",
		image="data/ui_gfx/animal_icons/skeleton.png",
	  },
	  {
		name="Eye Bat",
		path="data/entities/animals/eye_bat.xml",
		image="data/ui_gfx/animal_icons/eye_bat.png",
	  },
	  {
		name="Axe Man",
		path="data/entities/animals/axeman.xml",
		image="data/ui_gfx/animal_icons/axeman.png",
	  },
	  {
		name="Dripper",
		path="data/entities/animals/dripper.xml",
		image="data/ui_gfx/animal_icons/dripper.png",
	  },
	  {
		name="Desulitor",
		path="data/entities/animals/desulitor.xml",
		image="data/ui_gfx/animal_icons/extras/desulitor.png",
	  },
	  {
		name="Combustive Flies",
		path="data/entities/animals/desulitor_fly.xml",
		image="data/ui_gfx/animal_icons/extras/desulitor_fly.png",
	  },
	  {
		name="Large Spidey",
		path="data/entities/animals/longleg_big.xml",
		image="data/ui_gfx/animal_icons/longleg_big.png",
	  },
	  {
		name="Hybrid",
		path="data/entities/animals/hybrid.xml",
		image="data/ui_gfx/animal_icons/hybrid.png",
	  },
	  {
		name="Stalker",
		path="data/entities/animals/stalker.xml",
		image="data/ui_gfx/animal_icons/stalker.png",
	  },
	  {
		name="Ceiling Stalker",
		path="data/entities/animals/stalker_ceiling.xml",
		image="data/ui_gfx/animal_icons/stalker_ceiling.png",
	  },
	  {
		name="Oozer (Goo Monster)",
		path="data/entities/animals/goomonster.xml",
		image="data/ui_gfx/animal_icons/goomonster.png",
	  },
	  {
		name="Giant Oozer (Goo Monster)",
		path="data/entities/animals/goomonster_giant.xml",
		image="data/ui_gfx/animal_icons/goomonster_giant.png",
	  },
	  {
		name="Invisiman",
		path="data/entities/animals/invisiman.xml",
		image="data/ui_gfx/animal_icons/invisiman.png",
	  },
	  {
		name="Archer",
		path="data/entities/animals/archer.xml",
		image="data/ui_gfx/animal_icons/archer.png",
	  },
	  {
		name="Monkey",
		path="data/entities/animals/monkey.xml",
		image="data/ui_gfx/animal_icons/monkey.png",
	  },
	  {
		name="Eel Worm",
		path="data/entities/animals/worm_eel.xml",
		image="data/ui_gfx/animal_icons/extras/worm_eel.png",
	  },
	  {
		name="Ooion",
		path="data/entities/animals/ooion.xml",
		image="data/ui_gfx/animal_icons/ooion.png",
	  },
	  {
		name="Menace",
		path="data/entities/animals/menace.xml",
		image="data/ui_gfx/animal_icons/menace.png",
	  },
	  {
		name="Stone Crab",
		path="data/entities/animals/stone_crab.xml",
		image="data/ui_gfx/animal_icons/stone_crab.png",
	  },
	  {
		name="Mutant Blob",
		path="data/entities/animals/mutant_blob.xml",
		image="data/ui_gfx/animal_icons/mutant_blob.png",
	  },
	  {
		name="Blood Skull",
		path="data/entities/animals/bloodskull.xml",
		image="data/ui_gfx/animal_icons/extras/bloodskull.png",
	  },
	  {
		name="Driller",
		path="data/entities/animals/driller.xml",
		image="data/ui_gfx/animal_icons/extras/driller.png",
	  },
	  {
		name="Skull Mage",
		path="data/entities/animals/skullmage.xml",
		image="data/ui_gfx/animal_icons/skullmage.png",
	  },
	  {
		name="Snowman",
		path="data/entities/animals/snowman.xml",
		image="data/ui_gfx/animal_icons/snowman.png",
	  },
	  {
		name="Snow Frog",
		path="data/entities/animals/snowfrog.xml",
		image="data/ui_gfx/animal_icons/extras/snowfrog.png",
	  },
	  {
		name="Summoner",
		path="data/entities/animals/summoner.xml",
		image="data/ui_gfx/animal_icons/summoner.png",
	  },
	  {
		name="Ghoul",
		path="data/entities/animals/zombie3.xml",
		image="data/ui_gfx/animal_icons/zombie3.png",
	  },
	  {
		name="Earth Skull",
		path="data/entities/animals/earthskull.xml",
		image="data/ui_gfx/animal_icons/earthskull.png",
	  },
	  {
		name="Sneaker",
		path="data/entities/animals/sneeker.xml",
		image="data/ui_gfx/animal_icons/sneeker.png",
	  },
	  {
		name="Weakling",
		path="data/entities/animals/sneeker_weak.xml",
		image="data/ui_gfx/animal_icons/extras/sneeker_weak.png",
	  },
	  {
		name="Ground Terror",
		path="data/entities/animals/ground_terror.xml",
		image="data/ui_gfx/animal_icons/ground_terror.png",
	  },
	  {
		name="Golden Slime Shooter",
		path="data/entities/animals/slimeshooter_golden.xml",
		image="data/ui_gfx/animal_icons/slimeshooter_golden.png",
	  },
	  {
		name="Gonha",
		path="data/entities/animals/gonha.xml",
		image="data/ui_gfx/animal_icons/gonha.png",
	  },
	  {
		name="Boozer",
		path="data/entities/animals/miner_alcohol.xml",
		image="data/ui_gfx/animal_icons/miner_alcohol.png",
	  },
	  {
		name="Miner Boss",
		path="data/entities/animals/miner_boss.xml",
		image="data/ui_gfx/animal_icons/miner_boss.png",
	  },
	  {
		name="Crawler",
		path="data/entities/animals/crawler.xml",
		image="data/ui_gfx/animal_icons/crawler.png",
	  },
	  {
		name="Fire Crawler",
		path="data/entities/animals/fire_crawler.xml",
		image="data/ui_gfx/animal_icons/fire_crawler_sprite.png",
	  },
	  {
		name="Enigma",
		path="data/entities/animals/enigma.xml",
		image="data/ui_gfx/animal_icons/enigma.png",
	  },
	  {
		name="Bouncer",
		path="data/entities/animals/bouncer.xml",
		image="data/ui_gfx/animal_icons/bouncer.png",
	  },
	  {
		name="Frog Bot",
		path="data/entities/animals/frog_bot.xml",
		image="data/ui_gfx/animal_icons/frog_bot.png",
	  },
	  {
		name="Lurker2",
		path="data/entities/animals/lurker2.xml",
		image="data/ui_gfx/animal_icons/extras/lurker2.png",
	  },
	  {
		name="Eye Monster",
		path="data/entities/animals/eye_monster.xml",
		image="data/ui_gfx/animal_icons/eye_monster.png",
	  },
	  {
		name="Jellyfish",
		path="data/entities/animals/jellyfish.xml",
		image="data/ui_gfx/animal_icons/jellyfish.png",
	  },
	  {
		name="Slime Pod",
		path="data/entities/animals/slime_turret.xml",
		image="data/ui_gfx/animal_icons/slime_turret.png",
	  },
	  {
		name="Quin",
		path="data/entities/animals/quin.xml",
		image="data/ui_gfx/animal_icons/quin.png",
	  },
	  {
		name="Wall Of Flesh",
		path="data/entities/animals/flesh_wall.xml",
		image="data/ui_gfx/animal_icons/flesh_eye.png",
	  },
	  {
		name="Flesh Monster",
		path="data/entities/animals/flesh_monster.xml",
		image="data/ui_gfx/animal_icons/flesh_monster.png",
	  },
	  {
		name="Knight",
		path="data/entities/animals/knight.xml",
		image="data/ui_gfx/animal_icons/knight_heart.png",
	  },
	  {
		name="Spore Fungus",
		path="data/entities/animals/fungus_spore.xml",
		image="data/ui_gfx/animal_icons/fungus_spore.png",
	  },
	  {
		name="Ghostling",
		path="data/entities/animals/ghostling.xml",
		image="data/ui_gfx/animal_icons/ghostling_skull.png",
	  },
	  {
		name="Swarmer Drone",
		path="data/entities/animals/drone2.xml",
		image="data/ui_gfx/animal_icons/drone2.png",
	  },
	  {
		name="Bluemancer",
		path="data/entities/animals/bluemancer.xml",
		image="data/ui_gfx/animal_icons/bluemancer.png",
	  },
	  {
		name="Alchaos",
		path="data/entities/animals/alchaos.xml",
		image="data/ui_gfx/animal_icons/alchaos.png",
	  },
	  {
		name="Stingray",
		path="data/entities/animals/stingray.xml",
		image="data/ui_gfx/animal_icons/extras/stingray.png",
	  },
	  {
		name="Nautilus",
		path="data/entities/animals/nautilus.xml",
		image="data/ui_gfx/animal_icons/nautilus.png",
	  },
	  {
		name="Ancient Spider",
		path="data/entities/animals/spider.xml",
		image="data/ui_gfx/animal_icons/spider.png",
	  },
	  {
		name="Polymorphine Slime",
		path="data/entities/animals/polyshooter.xml",
		image="data/ui_gfx/animal_icons/polyshooter.png",
	  },
	  {
		name="Chaotic Polymorphine Slime",
		path="data/entities/animals/chaoticpolyshooter.xml",
		image="data/ui_gfx/animal_icons/chaoticpolyshooter.png",
	  },
	  {
		name="Trip Mage",
		path="data/entities/animals/wizard_trip.xml",
		image="data/ui_gfx/animal_icons/wizard_trip.png",
	  },
	  {
		name="Time Mage",
		path="data/entities/animals/wizard_time.xml",
		image="data/ui_gfx/animal_icons/wizard_time.png",
	  },
	  {
		name="Earthquake Mage",
		path="data/entities/animals/wizard_earthquake.xml",
		image="data/ui_gfx/animal_icons/wizard_earthquake.png",
	  },
	  {
		name="Sochaos",
		path="data/entities/animals/sochaos.xml",
		image="data/ui_gfx/animal_icons/sochaos.png",
	  },
	  {
		name="Giant Stendari",
		path="data/entities/animals/firemage_big.xml",
		image="data/ui_gfx/animal_icons/firemage_big.png",
	  },
	  {
		name="Giant Eldari",
		path="data/entities/animals/eldari_big.xml",
		image="data/ui_gfx/animal_icons/eldari_big.png",
	  },
	  {
		name="Giant Ice Mage",
		path="data/entities/animals/icemage_big2.xml",
		image="data/ui_gfx/animal_icons/icemage_big2.png",
	  },
	  {
		name="Fallen Alchemist",
		path="data/entities/animals/fallen_alchemist.xml",
		image="data/ui_gfx/animal_icons/fallen_alchemist.png",
	  },
	  {
		name="Forgotten Alchemist",
		path="data/entities/animals/forgotten_alchemist.xml",
		image="data/ui_gfx/animal_icons/forgotten_alchemist.png",
	  },
	  {
		name="Corrupt Alchemist",
		path="data/entities/animals/corrupt_alchemist.xml",
		image="data/ui_gfx/animal_icons/corrupt_alchemist.png",
	  },
	  {
		name="Cyborg Hiisi",
		path="data/entities/animals/cyborg.xml",
		image="data/ui_gfx/animal_icons/cyborg.png",
	  },
	  {
		name="Icicle Master",
		path="data/entities/animals/icicle_king.xml",
		image="data/ui_gfx/animal_icons/icicle_king.png",
	  },
	  {
		name="Frozen Soul",
		path="data/entities/animals/head_statue_physics.xml",
		image="data/ui_gfx/animal_icons/head_statue_physics.png",
	  },
	  {
		name="Suspicious Hiisi",
		path="data/entities/animals/scavenger_undercover.xml",
		image="data/ui_gfx/animal_icons/scavenger_undercover.png",
	  },
	  {
		name="Parasite",
		path="data/entities/animals/scavenger_monster.xml",
		image="data/ui_gfx/animal_icons/scavenger_monster.png",
	  },
	  {
		name="Shiva",
		path="data/entities/animals/shiva.xml",
		image="data/ui_gfx/animal_icons/shiva.png",
	  },
	  {
		name="Ceiling Icicle",
		path="data/entities/animals/icicle_ceiling.xml",
		image="data/ui_gfx/animal_icons/extras/icicle_ceiling.png",
	  },
	  {
		name="Icicle Creature",
		path="data/entities/animals/icicle.xml",
		image="data/ui_gfx/animal_icons/extras/icicle.png",
	  },
	  {
		name="Icicle Old",
		path="data/entities/animals/icicle_old.xml",
		image="data/ui_gfx/animal_icons/extras/icicle.png",
	  },
	  {
		name="Laser Hiisi",
		path="data/entities/animals/scavenger_laser.xml",
		image="data/ui_gfx/animal_icons/scavenger_laser.png",
	  },
	  {
		name="Plasma Gunner Hiisi",
		path="data/entities/animals/scavenger_plasma.xml",
		image="data/ui_gfx/animal_icons/scavenger_plasma.png",
	  },
	  {
		name="Ice Mage",
		path="data/entities/animals/icemage2.xml",
		image="data/ui_gfx/animal_icons/icemage2.png",
	  },
	  {
		name="Ancient Giant",
		path="data/entities/animals/giant_old.xml",
		image="data/ui_gfx/animal_icons/giant_old.png",
	  },
	  {
		name="Giant Summoner",
		path="data/entities/animals/giant_alt.xml",
		image="data/ui_gfx/animal_icons/giant_alt.png",
	  },
	  {
		name="Energy Orb Giant",
		path="data/entities/animals/giant_energy.xml",
		image="data/ui_gfx/animal_icons/giant_energy.png",
	  },
	  {
		name="Thou",
		path="data/entities/animals/thou.xml",
		image="data/ui_gfx/animal_icons/thou.png",
	  },
	  {
		name="Trigger Gunner Hiisi",
		path="data/entities/animals/scavenger_trigger.xml",
		image="data/ui_gfx/animal_icons/scavenger_trigger.png",
	  },
	  {
		name="Electric Skull",
		path="data/entities/animals/electricskull.xml",
		image="data/ui_gfx/animal_icons/electricskull.png",
	  },
	  {
		name="Rock Spirit Boss",
		path="data/entities/animals/boss_rock_spirit.xml",
		image="data/ui_gfx/animal_icons/extras/boss_rock_spirit.png",
	  },
	  {
		name="Bewitched Tome",
		path="data/entities/animals/book.xml",
		image="data/ui_gfx/animal_icons/book.png",
	  },
	  {
		name="Long Ghost",
		path="data/entities/animals/long_ghost.xml",
		image="data/ui_gfx/animal_icons/long_ghost.png",
	  },
	  {
		name="Phan",
		path="data/entities/animals/phan.xml",
		image="data/ui_gfx/animal_icons/phan.png",
	  },
	  {
		name="Shape Shifter",
		path="data/entities/animals/shapeshifter.xml",
		image="data/ui_gfx/animal_icons/shapeshifter.png",
	  },
	  {
		name="Water Phantom",
		path="data/entities/animals/watermonster.xml",
		image="data/ui_gfx/animal_icons/watermonster.png",
	  },
	  {
		name="Blood Demon",
		path="data/entities/animals/bloodmonster.xml",
		image="data/ui_gfx/animal_icons/bloodmonster.png",
	  },
	  {
		name="Acid Lurker",
		path="data/entities/animals/acidmonster.xml",
		image="data/ui_gfx/animal_icons/acidmonster.png",
	  },
	  {
		name="Wyrm",
		path="data/entities/animals/wyrm.xml",
		image="data/ui_gfx/animal_icons/extras/wyrm.png",
	  },
	  {
		name="Red Lukki",
		path="data/entities/animals/lukki_red.xml",
		image="data/ui_gfx/animal_icons/lukki_red.png",
	  },
	  {
		name="White Lukki",
		path="data/entities/animals/lukki_white.xml",
		image="data/ui_gfx/animal_icons/lukki_white.png",
	  },
	  {
		name="Blue Lukki",
		path="data/entities/animals/lukki_blue.xml",
		image="data/ui_gfx/animal_icons/lukki_blue.png",
	  },
	  {
		name="Ominous Lukki",
		path="data/entities/animals/lukki_ominous.xml",
		image="data/ui_gfx/animal_icons/lukki_ominous.png",
	  },
	  {
		name="Giga Shooter",
		path="data/entities/animals/gigashooter.xml",
		image="data/ui_gfx/animal_icons/gigashooter.png",
	  },
	  {
		name="Hairling",
		path="data/entities/animals/hairling.xml",
		image="data/ui_gfx/animal_icons/hairling.png",
	  },
	  {
		name="Hiisi Civilian",
		path="data/entities/animals/scavenger_civilian.xml",
		image="data/ui_gfx/animal_icons/scavenger_civilian.png",
	  },
	  {
		name="Alcohol Hiisi",
		path="data/entities/animals/scavenger_alcohol.xml",
		image="data/ui_gfx/animal_icons/scavenger_alcohol.png",
	  },
	  {
		name="Laser Mech",
		path="data/entities/animals/bot.xml",
		image="data/ui_gfx/animal_icons/bot.png",
	  },
	  {
		name="Laser Tripod Bot",
		path="data/entities/animals/laserbot.xml",
		image="data/ui_gfx/animal_icons/laserbot.png",
	  },
	  {
		name="Hiisi King",
		path="data/entities/animals/scavenger_king.xml",
		image="data/ui_gfx/animal_icons/scavenger_king.png",
	  },
	  {
		name="Ceiling Blue Flower",
		path="data/entities/animals/ceilingflower.xml",
		image="data/ui_gfx/animal_icons/ceilingflower.png",
	  },
	  {
		name="Land Blue Flower",
		path="data/entities/animals/landflower.xml",
		image="data/ui_gfx/animal_icons/landflower.png",
	  },
	  {
		name="Ceiling Blue Flower Old",
		path="data/entities/animals/ceilingflower_old.xml",
		image="data/ui_gfx/animal_icons/ceilingflower.png",
	  },
	  {
		name="Ceiling Bloom",
		path="data/entities/animals/bloom_ceiling.xml",
		image="data/ui_gfx/animal_icons/bloom_ceiling.png",
	  },
	  {
		name="Earth Mage",
		path="data/entities/animals/earthmage.xml",
		image="data/ui_gfx/animal_icons/earthmage.png",
	  },
	  {
		name="Giant Wasp",
		path="data/entities/animals/bigfly.xml",
		image="data/ui_gfx/animal_icons/bigfly.png",
	  },
	  {
		name="Eyeling",
		path="data/entities/animals/eyeling.xml",
		image="data/ui_gfx/animal_icons/eyeling.png",
	  },
	  {
		name="Eye",
		path="data/entities/animals/eye.xml",
		image="data/ui_gfx/animal_icons/eye.png",
	  },
	  {
		name="Fire Flower",
		path="data/entities/animals/fireflower.xml",
		image="data/ui_gfx/animal_icons/extras/fireflower.png",
	  },
	  {
		name="Vine Monster",
		path="data/entities/animals/vine_monster.xml",
		image="data/ui_gfx/animal_icons/vine_monster.png",
	  },
	  {
		name="Ent",
		path="data/entities/animals/ent.xml",
		image="data/ui_gfx/animal_icons/ent.png",
	  },
	  {
		name="Compressor Hiisi",
		path="data/entities/animals/scavenger_compressor.xml",
		image="data/ui_gfx/animal_icons/scavenger_compressor.png",
	  },
	  {
		name="Oil Grenade Hiisi",
		path="data/entities/animals/scavenger_oiler.xml",
		image="data/ui_gfx/animal_icons/scavenger_oiler.png",
	  },
	  {
		name="Turbo Hiisi",
		path="data/entities/animals/scavenger_turbo.xml",
		image="data/ui_gfx/animal_icons/scavenger_turbo.png",
	  },
	  {
		name="Gas Grenade Hiisi",
		path="data/entities/animals/scavenger_gas.xml",
		image="data/ui_gfx/animal_icons/scavenger_gas.png",
	  },
	  {
		name="Rocket Hiisi",
		path="data/entities/animals/scavenger_robot.xml",
		image="data/ui_gfx/animal_icons/scavenger_robot.png",
	  },
	  {
		name="Lava Tentacle Slime",
		path="data/entities/animals/lavashooter.xml",
		image="data/ui_gfx/animal_icons/lavashooter.png",
	  },
	  {
		name="Acid Stone",
		path="data/entities/animals/stone_physics.xml",
		image="data/ui_gfx/animal_icons/extras/stone_physics.png",
	  },
	  {
		name="Robot Compressor Hiisi",
		path="data/entities/animals/scavenger_compressor_robot.xml",
		image="data/ui_gfx/animal_icons/scavenger_compressor_robot.png",
	  },
	  {
		name="Radiolava Hiisi",
		path="data/entities/animals/scavenger_radiolava.xml",
		image="data/ui_gfx/animal_icons/scavenger_radiolava.png",
	  },
	  {
		name="Robot Turbo Hiisi",
		path="data/entities/animals/scavenger_turbo_robot.xml",
		image="data/ui_gfx/animal_icons/scavenger_turbo_robot.png",
	  },
	  {
		name="Robot Gas Grenade Hiisi",
		path="data/entities/animals/scavenger_gas_robot.xml",
		image="data/ui_gfx/animal_icons/scavenger_gas_robot.png",
	  },
	  {
		name="Robot Hiisi King",
		path="data/entities/animals/scavenger_king_robot.xml",
		image="data/ui_gfx/animal_icons/scavenger_king_robot.png",
	  },
	  {
		name="Worm Tank",
		path="data/entities/animals/worm_robot.xml",
		image="data/ui_gfx/animal_icons/worm_robot.png",
	  },
	  {
		name="Cobra",
		path="data/entities/animals/cobra.xml",
		image="data/ui_gfx/animal_icons/extras/cobra.png",
	  },
	  {
		name="Spooky Ghost",
		path="data/entities/animals/spooky_ghost.xml",
		image="data/ui_gfx/animal_icons/spooky_ghost.png",
	  },
	  {
		name="Ghuu",
		path="data/entities/animals/ghuu.xml",
		image="data/ui_gfx/animal_icons/ghuu.png",
	  },
	  {
		name="Nova",
		path="data/entities/animals/nova.xml",
		image="data/ui_gfx/animal_icons/nova.png",
	  },
	  {
		name="Igu",
		path="data/entities/animals/igu.xml",
		image="data/ui_gfx/animal_icons/igu.png",
	  },
	  {
		name="Lesser Blood Mage",
		path="data/entities/animals/bloodmage_lesser.xml",
		image="data/ui_gfx/animal_icons/bloodmage_lesser.png",
	  },
	  {
		name="Greater Blood Mage",
		path="data/entities/animals/bloodmage_greater.xml",
		image="data/ui_gfx/animal_icons/bloodmage_greater.png",
	  },
	  {
		name="Serpentor",
		path="data/entities/animals/serpentor.xml",
		image="data/ui_gfx/animal_icons/serpentor.png",
	  },
	  {
		name="Giant Zombie",
		path="data/entities/animals/zombie_giant.xml",
		image="data/ui_gfx/animal_icons/zombie_giant.png",
	  },
	  {
		name="Nightmare",
		path="data/entities/animals/nightmare.xml",
		image="data/ui_gfx/animal_icons/nightmare.png",
	  },
	  {
		name="Imp",
		path="data/entities/animals/imp.xml",
		image="data/ui_gfx/animal_icons/imp.png",
	  },
	  {
		name="Moal",
		path="data/entities/animals/moal.xml",
		image="data/ui_gfx/animal_icons/moal.png",
	  },
	  {
		name="Hell Moth",
		path="data/entities/animals/draghoul.xml",
		image="data/ui_gfx/animal_icons/draghoul.png",
	  },
	  {
		name="Creeper",
		path="data/entities/animals/creeper.xml",
		image="data/ui_gfx/animal_icons/creeper.png",
	  },
	  {
		name="Speed Wraith",
		path="data/entities/animals/wraith_speed.xml",
		image="data/ui_gfx/animal_icons/wraith_speed.png",
	  },
	  {
		name="Orro Worm",
		path="data/entities/animals/face_worm.xml",
		image="data/ui_gfx/animal_icons/face_worm.png",
	  },
	  {
		name="Necromancer Gazer",
		path="data/entities/animals/gazer_necromancer.xml",
		image="data/ui_gfx/animal_icons/gazer_necromancer.png",
	  },
	  {
		name="Khulu",
		path="data/entities/animals/khulu.xml",
		image="data/ui_gfx/animal_icons/khulu.png",
	  },
	  {
		name="Lightling",
		path="data/entities/animals/lightling.xml",
		image="data/ui_gfx/animal_icons/lightling.png",
	  },
	  {
		name="Laser Gazer",
		path="data/entities/animals/gazer_laser.xml",
		image="data/ui_gfx/animal_icons/gazer_laser.png",
	  },
	  {
		name="Hell Menhir",
		path="data/entities/animals/menhir.xml",
		image="data/ui_gfx/animal_icons/menhir.png",
	  },
	  {
		name="Dark Ghost Slime",
		path="data/entities/animals/darkghost2.xml",
		image="data/ui_gfx/animal_icons/darkghost2.png",
	  },
	  {
		name="Polymorph Stevari",
		path="data/entities/animals/necromancer_polymorph.xml",
		image="data/ui_gfx/animal_icons/extras/necromancer_polymorph.png",
	  },
	  {
		name="Mutant Worm",
		path="data/entities/animals/jungle_worm.xml",
		image="data/ui_gfx/animal_icons/jungle_worm.png",
	  },
	  {
		name="Water Mage",
		path="data/entities/animals/wizard_water.xml",
		image="data/ui_gfx/animal_icons/extras/wizard_water.png",
	  },
	  {
		name="Toxic Mage",
		path="data/entities/animals/wizard_toxic.xml",
		image="data/ui_gfx/animal_icons/extras/wizard_toxic.png",
	  },
	  {
		name="Fungal Abomination",
		path="data/entities/animals/worm_fungal.xml",
		image="data/ui_gfx/animal_icons/extras/worm_fungal.png",
	  },
	  {
		name="Great Chest Mimis",
		path="data/entities/animals/chest_great_mimic.xml",
		image="data/ui_gfx/animal_icons/chest_great_mimic.png",
	  },
	  {
		name="Giant Squid",
		path="data/entities/animals/giant_squid.xml",
		image="data/ui_gfx/animal_icons/giant_squid.png",
	  },
	  {
		name="Angler Fish",
		path="data/entities/animals/angler.xml",
		image="data/ui_gfx/animal_icons/angler.png",
	  },
	  {
		name="Shark",
		path="data/entities/animals/shark.xml",
		image="data/ui_gfx/animal_icons/shark.png",
	  },
	  {
		name="Peasant",
		path="data/entities/animals/peasant.xml",
		image="data/ui_gfx/animal_icons/peasant.png",
	  },
	  {
		name="Blue Peasant",
		path="data/entities/animals/peasant_blue.xml",
		image="data/ui_gfx/animal_icons/peasant_blue.png",
	  },
	  {
		name="Red Peasant",
		path="data/entities/animals/peasant_red.xml",
		image="data/ui_gfx/animal_icons/peasant_red.png",
	  },
	  {
		name="Camel",
		path="data/entities/animals/camel.xml",
		image="data/ui_gfx/animal_icons/camel.png",
	  },
	  {
		name="Baby Mammoth",
		path="data/entities/animals/mammoth_baby.xml",
		image="data/ui_gfx/animal_icons/mammoth_baby.png",
	  },
	  {
		name="Mammoth",
		path="data/entities/animals/mammoth.xml",
		image="data/ui_gfx/animal_icons/mammoth.png",
	  },
	  {
		name="Curse Of Vengeance",
		path="data/entities/misc/skull_curse/greed_ghost.xml",
		image="data/ui_gfx/animal_icons/extras/greed_ghost.png",
	  },
	  {
		name="Naga",
		path="data/entities/animals/naga.xml",
		image="data/ui_gfx/animal_icons/extras/naga.png",
	  },
	  {
		name="Lava Guardian",
		path="data/entities/animals/lava_monster.xml",
		image="data/ui_gfx/animal_icons/extras/lava_monster.png",
	  },
	  {
		name="Sorceress",
		path="data/entities/animals/sorceress.xml",
		image="data/ui_gfx/animal_icons/extras/sorceress.png",
	  },
	  {
		name="Skeleboss",
		path="data/entities/animals/skeleboss.xml",
		image="data/ui_gfx/animal_icons/extras/skeleboss.png",
	  },
	  {
		name="Harpy",
		path="data/entities/animals/harpy1.xml",
		image="data/ui_gfx/animal_icons/extras/harpy1.png",
	  },
	  {
		name="Laser Harpy",
		path="data/entities/animals/harpy2.xml",
		image="data/ui_gfx/animal_icons/extras/harpy2.png",
	  },
	  {
		name="Fire Harpy",
		path="data/entities/animals/harpy3.xml",
		image="data/ui_gfx/animal_icons/extras/harpy3.png",
	  },
	  {
		name="Secret",
		path="data/entities/animals/lake_statue.xml",
		image="data/ui_gfx/animal_icons/lake_statue.png",
	  },
	  {
		name="Fury",
		path="data/entities/animals/fury1.xml",
		image="data/ui_gfx/animal_icons/extras/fury1.png",
	  },
	  {
		name="Fury Phase 2",
		path="data/entities/animals/fury2.xml",
		image="data/ui_gfx/animal_icons/extras/fury2.png",
	  },
	  {
		name="Fury Phase 3",
		path="data/entities/animals/fury3.xml",
		image="data/ui_gfx/animal_icons/extras/fury3.png",
	  },
	  {
		name="Ghust",
		path="data/entities/animals/ghust.xml",
		image="data/ui_gfx/animal_icons/extras/ghust.png",
	  },
	  {
		name="God",
		path="data/entities/animals/god.xml",
		image="data/ui_gfx/animal_icons/extras/god.png",
	  },
	  {
		name="Desert Skull",
		path="data/entities/animals/desert_skull.xml",
		image="data/ui_gfx/animal_icons/desert_skull.png",
	  },
  },
})

table.insert(ALL_ENTITIES, {
  name="New Enemies",
  desc="Play with Newer stuff from New Enemies Mod",
  icon="data/ui_gfx/animal_icons/extras/ritualist_c.png",
  icon_off="data/ui_gfx/animal_icons/extras/ritualist_c_greyed.png",
  grid_size=12,
  entities={
	  {
		name="Doom Bringer",
		path="data/entities/animals/doom_bringer.xml",
		image="data/ui_gfx/animal_icons/extras/doom_bringer.png",
	  },
	  {
		name="Balax",
		path="data/entities/animals/balax.xml",
		image="data/ui_gfx/animal_icons/extras/balax.png",
	  },
	  {
		name="Hut",
		path="data/entities/buildings/hut.xml",
		image="data/ui_gfx/animal_icons/extras/hut.png",
	  },
	  {
		name="Ritualist A",
		path="data/entities/buildings/ritualist_a.xml",
		image="data/ui_gfx/animal_icons/extras/ritualist_a.png",
	  },
	  {
		name="Ritualist B",
		path="data/entities/buildings/ritualist_b.xml",
		image="data/ui_gfx/animal_icons/extras/ritualist_b.png",
	  },
	  {
		name="Skull Altar",
		path="data/entities/buildings/altar_skull.xml",
		image="data/ui_gfx/animal_icons/extras/altar_skull.png",
	  },
	  {
		name="Ritualist C",
		path="data/entities/buildings/ritualist_c.xml",
		image="data/ui_gfx/animal_icons/extras/ritualist_c.png",
	  },
	  {
		name="Ritualist D",
		path="data/entities/buildings/ritualist_d.xml",
		image="data/ui_gfx/animal_icons/extras/ritualist_d.png",
	  },
	  {
		name="Mysterious Wanderer",
		path="data/entities/animals/mysterious_wanderer.xml",
		image="data/ui_gfx/animal_icons/extras/mysterious_wanderer.png",
	  },
	  {
		name="Carousel",
		path="data/entities/props/hanging_cage/carousel.xml",
		image="data/ui_gfx/animal_icons/extras/carousel.png",
	  },
	  {
		name="Windmill",
		path="data/entities/props/windmill.xml",
		image="data/ui_gfx/animal_icons/extras/carousel.png",
	  },
	  {
		name="Pressure Plate",
		path="data/entities/props/pressure_plate_test.xml",
		image="data/ui_gfx/animal_icons/extras/pressure_plate_test.png",
	  },
	  {
		name="Altar Torch",
		path="data/entities/props/altar_torch_test.xml",
		image="data/ui_gfx/animal_icons/extras/altar_torch_test.png",
	  },
	  {
		name="Ancient Golem",
		path="data/entities/animals/giant_temple_sleep.xml",
		image="data/ui_gfx/animal_icons/extras/giant_temple.png",
	  },
	  {
		name="Aloittaa Logo",
		path="data/entities/intro/aloittaa.xml",
		image="data/ui_gfx/animal_icons/extras/aloittaa.png",
	  },
	  {
		name="Temple Skeleton",
		path="data/entities/animals/temple_skeleton.xml",
		image="data/ui_gfx/animal_icons/extras/temple_skeleton.png",
	  },
	  {
		name="Temple Creep",
		path="data/entities/animals/temple_creep_skull.xml",
		image="data/ui_gfx/animal_icons/extras/temple_creep.png",
	  },
	  {
		name="Mwyah face",
		path="data/entities/animals/mwyah_face.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Lua Wall",
		path="data/entities/props/lua_wall.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Physics Buoyancy Test",
		path="data/entities/props/physics_buoyancy_test.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Physics Liquid Container",
		path="data/entities/props/liquid_container.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Test Entity",
		path="data/entities/animals/test.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Radar Emitter",
		path="data/entities/particles/image_emitters/radar_circle.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Invincible Wall Test",
		path="data/entities/particles/image_emitters/invincible_wall_test.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Mule Spawner",
		path="data/entities/animals/mule_sleep.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Ceiling Bloom Old",
		path="data/entities/animals/bloomceiling_old.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Sniper TNT",
		path="data/entities/animals/sniper_tnt.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Tentacle Physics",
		path="data/entities/animals/tentacle_physics.xml",
		image="data/ui_gfx/animal_icons/extras/lua_wall.png",
	  },
	  {
		name="Bus",
		path="mods/new_enemies/files/bus/bus.xml",
		image="data/ui_gfx/animal_icons/extras/bus.png",
	  },
	  {
		name="Truck",
		path="mods/new_enemies/files/truck/truck.xml",
		image="data/ui_gfx/animal_icons/extras/truck.png",
	  },
	  {
		name="Lemming",
		path="data/entities/animals/lemming.xml",
		image="data/ui_gfx/animal_icons/extras/lemming.png",
	  },
	  {
		name="Banana Of Rectitude",
		path="mods/new_enemies/files/banana_of_rectitude/files/banana.xml",
		image="data/ui_gfx/animal_icons/extras/banana_of_rectitude.png",
	  },
	  {
		name="Tiny Frog",
		path="data/entities/animals/frog_tiny.xml",
		image="data/ui_gfx/animal_icons/frog_tiny.png",
	  },
	  {
		name="Locust",
		path="data/entities/animals/locust.xml",
		image="data/ui_gfx/animal_icons/locust.png",
	  },
	  {
		name="Fish 03",
		path="data/entities/animals/fish_03.xml",
		image="data/ui_gfx/animal_icons/extras/fish_03.png",
	  },
	  {
		name="Fish 04",
		path="data/entities/animals/fish_04.xml",
		image="data/ui_gfx/animal_icons/extras/fish_04.png",
	  },
	  {
		name="Llama",
		path="data/entities/animals/llama.xml",
		image="data/ui_gfx/animal_icons/llama.png",
	  },
	  {
		name="Ring Explosion",
		path="data/entities/projectiles/ring_explosion.xml",
		image="data/ui_gfx/animal_icons/extras/ring_explosion.png",
	  },
	  {
		name="Ruby Tablet",
		path="data/entities/items/pickup/quest/base_book.xml",
		image="data/ui_gfx/items/ruby_tablet.png",
	  },
	  {
		name="Player AI",
		path="data/entities/animals/player_ai.xml",
		image="data/ui_gfx/animal_icons/player_ai_hitbox.png",
	  },
	  {
		name="Ancient Scholar",
		path="data/entities/animals/player_decoy.xml",
		image="data/ui_gfx/animal_icons/extras/player_decoy_hitbox.png",
	  },
	  {
		name="Nook",
		path="data/entities/animals/twig_grower.xml",
		image="data/ui_gfx/animal_icons/extras/twig.png",
	  },
	  {
		name="Babon",
		path="data/entities/animals/babon.xml",
		image="data/ui_gfx/animal_icons/extras/babon.png",
	  },
	  {
		name="Lost Soul",
		path="data/entities/animals/lost_soul.xml",
		image="data/ui_gfx/animal_icons/lost_soul.png",
	  },
	  {
		name="Giant Lost Soul",
		path="data/entities/animals/lost_soul_big.xml",
		image="data/ui_gfx/animal_icons/lost_soul_big.png",
	  },
	  {
		name="Caddel",
		path="data/entities/animals/blood_teddy.xml",
		image="data/ui_gfx/animal_icons/blood_teddy.png",
	  },
	  {
		name="Toxic Mage",
		path="data/entities/animals/toxicmage2.xml",
		image="data/ui_gfx/animal_icons/toxicmage2.png",
	  },
	  {
		name="Acid Mage",
		path="data/entities/animals/toxicmage_acid2.xml",
		image="data/ui_gfx/animal_icons/toxicmage_acid2.png",
	  },
	  {
		name="Potion Master",
		path="data/entities/animals/potionmaster2.xml",
		image="data/ui_gfx/animal_icons/potionmaster2.png",
	  },
	  {
		name="Phantom Trapper",
		path="data/entities/animals/phantom_trapper.xml",
		image="data/ui_gfx/animal_icons/phantom_trapper.png",
	  },
	  {
		name="Void Skull",
		path="data/entities/animals/void_mask2.xml",
		image="data/ui_gfx/animal_icons/void_mask2.png",
	  },
	  {
		name="Wand Master",
		path="data/entities/animals/wandmaster2.xml",
		image="data/ui_gfx/animal_icons/wandmaster2.png",
	  },
	  {
		name="Valkyrie",
		path="data/entities/animals/valkyrie2.xml",
		image="data/ui_gfx/animal_icons/valkyrie2.png",
	  },
	  {
		name="Inferno Drone",
		path="data/entities/animals/drone_face2.xml",
		image="data/ui_gfx/animal_icons/drone_face2.png",
	  },
	  {
		name="Electrocuter Scavenger",
		path="data/entities/animals/scavenger_electrocuter2.xml",
		image="data/ui_gfx/animal_icons/scavenger_electrocuter2.png",
	  },
	  {
		name="Swamp Fungus",
		path="data/entities/animals/fungus_swamp2.xml",
		image="data/ui_gfx/animal_icons/fungus_swamp2.png",
	  },
	  {
		name="Rotten Lukki",
		path="data/entities/animals/lukki_swamp2.xml",
		image="data/ui_gfx/animal_icons/lukki_swamp2.png",
	  },
	  {
		name="Smoke Machine",
		path="data/entities/animals/smoke_bot.xml",
		image="data/ui_gfx/animal_icons/smoke_bot.png",
	  },
	  {
		name="Mutant",
		path="data/entities/animals/mutant2.xml",
		image="data/ui_gfx/animal_icons/mutant2.png",
	  },
	  {
		name="Suuka",
		path="data/entities/animals/alien.xml",
		image="data/ui_gfx/animal_icons/alien.png",
	  },
	  {
		name="Massive Firefly",
		path="data/entities/animals/giantfirebug.xml",
		image="data/ui_gfx/animal_icons/extras/giantfirebug.png",
	  },
	  {
		name="Infestant",
		path="data/entities/animals/extras/blob_giant.xml",
		image="data/ui_gfx/animal_icons/extras/blob_giant.png",
	  },
	  {
		name="Void Wraith",
		path="data/entities/animals/wraith_void2.xml",
		image="data/ui_gfx/animal_icons/wraith_void2.png",
	  },
	  {
		name="Singularitron",
		path="data/entities/animals/singularitor.xml",
		image="data/ui_gfx/animal_icons/singularitor.png",
	  },
	  {
		name="Saw Bot",
		path="data/entities/animals/sawbot.xml",
		image="data/ui_gfx/animal_icons/sawbot.png",
	  },
	  {
		name="Abu",
		path="data/entities/animals/wanderer.xml",
		image="data/ui_gfx/animal_icons/extras/wanderer.png",
	  },
	  {
		name="Commander",
		path="data/entities/animals/commander.xml",
		image="data/ui_gfx/animal_icons/commander.png",
	  },
	  {
		name="Junk Bot",
		path="data/entities/animals/junkbot.xml",
		image="data/ui_gfx/animal_icons/junkbot.png",
	  },
	  {
		name="Cargo Bot",
		path="data/entities/animals/cargobot.xml",
		image="data/ui_gfx/animal_icons/cargobot.png",
	  },
	  {
		name="Electro Bot",
		path="data/entities/animals/electrobot.xml",
		image="data/ui_gfx/animal_icons/electrobot.png",
	  },
	  {
		name="Underground Train Right",
		path="data/entities/animals/train.xml",
		image="data/ui_gfx/animal_icons/extras/train.png",
	  },
	  {
		name="Underground Train Left",
		path="data/entities/animals/train_left.xml",
		image="data/ui_gfx/animal_icons/extras/train_left.png",
	  },
	  {
		name="Underground Train Right Long",
		path="data/entities/animals/train_long.xml",
		image="data/ui_gfx/animal_icons/extras/train.png",
	  },
	  {
		name="Underground Train Left Long",
		path="data/entities/animals/train_left_long.xml",
		image="data/ui_gfx/animal_icons/extras/train_left.png",
	  },
	  {
		name="Radioactive Orb",
		path="data/entities/animals/radiobot.xml",
		image="data/ui_gfx/animal_icons/radiobot.png",
	  },
	  {
		name="Lempo",
		path="data/entities/animals/lempo.xml",
		image="data/ui_gfx/animal_icons/lempo.png",
	  },
	  {
		name="Hazmat",
		path="data/entities/animals/hazmat.xml",
		image="data/ui_gfx/animal_icons/hazmat.png",
	  },
	  {
		name="Beam Drone",
		path="data/entities/animals/drone_beam.xml",
		image="data/ui_gfx/animal_icons/drone_beam.png",
	  },
	  {
		name="Master Of Multitude",
		path="data/entities/animals/wizard_random.xml",
		image="data/ui_gfx/animal_icons/wizard_random.png",
	  },
	  {
		name="Mother Slime",
		path="data/entities/animals/slimeshooter_mega.xml",
		image="data/ui_gfx/animal_icons/slimeshooter_mega.png",
	  },
	  {
		name="Mother Slime Sleep",
		path="data/entities/animals/slimeshooter_mega_sleep.xml",
		image="data/ui_gfx/animal_icons/slimeshooter_mega.png",
	  },
	  {
		name="Temple Alligator",
		path="data/entities/animals/alligator_temple.xml",
		image="data/ui_gfx/animal_icons/alligator_temple.png",
	  },
	  {
		name="Temple Alligator Small",
		path="data/entities/animals/alligator_temple_small.xml",
		image="data/ui_gfx/animal_icons/alligator_temple_small.png",
	  },
	  {
		name="Weird Lukki",
		path="data/entities/animals/lukki_weird.xml",
		image="data/ui_gfx/animal_icons/extras/lukki_weird.png",
	  },
	  {
		name="Propane Tank April Fools",
		path="data/entities/animals/tank_propane.xml",
		image="data/ui_gfx/animal_icons/extras/tank_propane.png",
	  },
	  {
		name="Whale",
		path="data/entities/animals/whale.xml",
		image="data/ui_gfx/animal_icons/whale.png",
	  },
	  {
		name="Piranha",
		path="data/entities/animals/piranha.xml",
		image="data/ui_gfx/animal_icons/piranha.png",
	  },
	  {
		name="Medusa",
		path="data/entities/animals/medusa.xml",
		image="data/ui_gfx/animal_icons/medusa.png",
	  },
	  {
		name="Medusa Hell",
		path="data/entities/animals/the_end/medusa.xml",
		image="data/ui_gfx/animal_icons/medusa.png",
	  },
	  {
		name="Terminator",
		path="data/entities/animals/terminator.xml",
		image="data/ui_gfx/animal_icons/terminator.png",
	  },
	  {
		name="Twin Mage",
		path="data/entities/animals/wizard_twin.xml",
		image="data/ui_gfx/animal_icons/wizard_twin.png",
	  },
	  {
		name="Dreadnought",
		path="data/entities/animals/windmill.xml",
		image="data/ui_gfx/animal_icons/windmill.png",
	  },
	  -- {
		-- name="Fish 03",
		-- path="data/entities/animals/fish_03.xml",
		-- image="data/ui_gfx/animal_icons/extras/fish_03.png",
	  -- },
	  -- {
		-- name="Fish 04",
		-- path="data/entities/animals/fish_04.xml",
		-- image="data/ui_gfx/animal_icons/extras/fish_04.png",
	  -- },
	  -- {
		-- name="Physicsbody2 AI",
		-- path="data/entities/animals/test_physics2.xml",
		-- image="data/ui_gfx/animal_icons/crystal_physics.png",
	  -- },
	  {
		name="Tumbler Slime",
		path="data/entities/animals/slime_roller.xml",
		image="data/ui_gfx/animal_icons/slime_roller.png",
	  },
	  {
		name="Slime Ghoul",
		path="data/entities/animals/slime_ghoul.xml",
		image="data/ui_gfx/animal_icons/slime_ghoul.png",
	  },
	  {
		name="Bat Drake",
		path="data/entities/animals/drake_snake.xml",
		image="data/ui_gfx/animal_icons/drake_snake.png",
	  },
	  {
		name="Vollux",
		path="data/entities/animals/mirror_physics.xml",
		image="data/ui_gfx/animal_icons/mirror_physics.png",
	  },
	  {
		name="Eradicator",
		path="data/entities/animals/eradicator.xml",
		image="data/ui_gfx/animal_icons/eradicator.png",
	  },
	  {
		name="Mage Of Madness",
		path="data/entities/animals/wizard_madness.xml",
		image="data/ui_gfx/animal_icons/wizard_madness.png",
	  },
	  {
		name="Tiny Sporeling",
		path="data/entities/animals/sporeling_tiny.xml",
		image="data/ui_gfx/animal_icons/sporeling_tiny.png",
	  },
	  {
		name="Medium Sporeling",
		path="data/entities/animals/sporeling.xml",
		image="data/ui_gfx/animal_icons/sporeling.png",
	  },
	  {
		name="Large Sporeling",
		path="data/entities/animals/sporeling_large.xml",
		image="data/ui_gfx/animal_icons/sporeling_large.png",
	  },
	  {
		name="Restless Phantom",
		path="data/entities/animals/phantom_boss.xml",
		image="data/ui_gfx/animal_icons/phantom_boss.png",
	  },
	  {
		name="Poison Medic Hiisi",
		path="data/entities/animals/scavenger_poison_immunity.xml",
		image="data/ui_gfx/animal_icons/scavenger_poison_immunity.png",
	  },
	  {
		name="Flame Tank",
		path="data/entities/animals/tank_fire2.xml",
		image="data/ui_gfx/animal_icons/tank_fire2.png",
	  },
	  {
		name="Irtokki",
		path="data/entities/animals/irtokki.xml",
		image="data/ui_gfx/animal_icons/irtokki.png",
	  },
	  {
		name="Aquatitan",
		path="data/entities/animals/aquatitan.xml",
		image="data/ui_gfx/animal_icons/aquatitan.png",
	  },
	  {
		name="Skull Abomination",
		path="data/entities/animals/skull_abomination.xml",
		image="data/ui_gfx/animal_icons/extras/skull_abomination.png",
	  },
	  {
		name="Static Drone",
		path="data/entities/animals/drone_trail.xml",
		image="data/ui_gfx/animal_icons/drone_trail.png",
	  },
	  {
		name="Conduit",
		path="data/entities/animals/conduit.xml",
		image="data/ui_gfx/animal_icons/conduit.png",
	  },
	  {
		name="Gasnacle",
		path="data/entities/animals/polyp_gas.xml",
		image="data/ui_gfx/animal_icons/polyp_gas.png",
	  },
	  {
		name="Manus",
		path="data/entities/animals/manus.xml",
		image="data/ui_gfx/animal_icons/manus.png",
	  },
	  {
		name="Hurpa",
		path="data/entities/animals/hurpa.xml",
		image="data/ui_gfx/animal_icons/extras/hurpa.png",
	  },
	  {
		name="Flutterpede",
		path="data/entities/animals/flutterpede.xml",
		image="data/ui_gfx/animal_icons/flutterpede.png",
	  },
	  {
		name="Hiisi Welder",
		path="data/entities/animals/welder.xml",
		image="data/ui_gfx/animal_icons/welder.png",
	  },
	  {
		name="Cryogen",
		path="data/entities/animals/cryogen.xml",
		image="data/ui_gfx/animal_icons/cryogen.png",
	  },
	  {
		name="Hiisi Copter",
		path="data/entities/animals/copter.xml",
		image="data/ui_gfx/animal_icons/copter.png",
	  },
	  {
		name="Omegamancer",
		path="data/entities/animals/necromancer_omega.xml",
		image="data/ui_gfx/animal_icons/necromancer_omega.png",
	  },
	  {
		name="Gaia",
		path="data/entities/animals/mother_nature.xml",
		image="data/ui_gfx/animal_icons/mother_nature.png",
	  },
	  {
		name="Dragutt Kiesah",
		path="data/entities/animals/dragon_ice.xml",
		image="data/ui_gfx/animal_icons/dragon_ice.png",
	  },
	  {
		name="Infernal Colossus",
		path="data/entities/animals/hell_overseer.xml",
		image="data/ui_gfx/animal_icons/extras/hell_overseer.png",
	  },
	  {
		name="Tardigrade",
		path="data/entities/animals/tardigrade.xml",
		image="data/ui_gfx/animal_icons/extras/tardigrade.png",
	  },
	  -- {
		-- name="Ants",
		-- path="data/entities/materials/ant_spawner.xml",
		-- image="data/ui_gfx/animal_icons/extras/ants.png",
	  -- },
	  -- {
		-- name="Water Bugs",
		-- path="data/entities/materials/water_bug_spawner.xml",
		-- image="data/ui_gfx/animal_icons/extras/water_bug.png",
	  -- },
	  {
		name="Cerebracle",
		path="data/entities/animals/cerebracle.xml",
		image="data/ui_gfx/animal_icons/cerebracle.png",
	  },
	  {
		name="Skull Spider",
		path="data/entities/animals/skullspider.xml",
		image="data/ui_gfx/animal_icons/skullspider.png",
	  },
	  {
		name="Podupine",
		path="data/entities/animals/beanpodupine.xml",
		image="data/ui_gfx/animal_icons/beanpodupine.png",
	  },
	  {
		name="Scarab Beetle",
		path="data/entities/animals/scarab.xml",
		image="data/ui_gfx/animal_icons/scarab.png",
	  },
	  {
		name="Avian Wanderer",
		path="data/entities/animals/stork.xml",
		image="data/ui_gfx/animal_icons/extras/stork.png",
	  },
	  {
		name="Devourer",
		path="data/entities/animals/devourer.xml",
		image="data/ui_gfx/animal_icons/extras/devourer.png",
	  },
	  {
		name="Angler Fish 2",
		path="data/entities/animals/fish_angler2.xml",
		image="data/ui_gfx/animal_icons/fish_angler2.png",
	  },
	  {
		name="Electric Eel",
		path="data/entities/animals/zap_eel2.xml",
		image="data/ui_gfx/animal_icons/zap_eel2.png",
	  },
	  {
		name="Minabomination",
		path="data/entities/animals/minabomination.xml",
		image="data/ui_gfx/animal_icons/extras/minabomination.png",
	  },
	  {
		name="Bazooka Mech",
		path="data/entities/animals/robot.xml",
		image="data/ui_gfx/animal_icons/robot.png",
	  },
	  {
		name="Ancient Skull Worm",
		path="data/entities/animals/worm_skull_old.xml",
		image="data/ui_gfx/animal_icons/worm_skull_old.png",
	  },
	  {
		name="God Warrior",
		path="data/entities/animals/god_warrior.xml",
		image="data/ui_gfx/animal_icons/extras/god_warrior.png",
	  },
	  {
		name="Abyssum",
		path="data/entities/animals/cthulhu.xml",
		image="data/ui_gfx/animal_icons/extras/cthulhu.png",
	  },
	  {
		name="Master Of Shrinking",
		path="data/entities/animals/wizard_tiny.xml",
		image="data/ui_gfx/animal_icons/wizard_tiny.png",
	  },
	  {
		name="Flopper Progeny",
		path="data/entities/animals/flopper_progeny.xml",
		image="data/ui_gfx/animal_icons/extras/flopper_progeny.png",
	  },
	  {
		name="Flopper Mother",
		path="data/entities/animals/flopper_mother.xml",
		image="data/ui_gfx/animal_icons/extras/flopper_mother.png",
	  },
	  {
		name="Xopon",
		path="data/entities/animals/xopon.xml",
		image="data/ui_gfx/animal_icons/xopon.png",
	  },
	  {
		name="Oruai",
		path="data/entities/animals/oruai.xml",
		image="data/ui_gfx/animal_icons/oruai.png",
	  },
	  {
		name="Jungle Flower",
		path="data/entities/animals/jungle_flower.xml",
		image="data/ui_gfx/animal_icons/jungle_flower.png",
	  },
	  {
		name="Boid",
		path="data/entities/animals/boid.xml",
		image="data/ui_gfx/animal_icons/extras/boid.png",
	  },
	  {
		name="Sand Worm",
		path="data/entities/animals/sand_worm.xml",
		image="data/ui_gfx/animal_icons/sand_worm.png",
	  },
	  {
		name="Kiwiki",
		path="data/entities/animals/kiwiki.xml",
		image="data/ui_gfx/animal_icons/kiwiki.png",
	  },
	  {
		name="Sentinel",
		path="data/entities/animals/shield_physics.xml",
		image="data/ui_gfx/animal_icons/shield_physics.png",
	  },
	  {
		name="Giant Emesus",
		path="data/entities/animals/flopper_mother_giant.xml",
		image="data/ui_gfx/animal_icons/flopper_mother_giant.png",
	  },
	  {
		name="Squid Physics",
		path="data/entities/animals/squid_physics.xml",
		image="data/ui_gfx/animal_icons/squid_physics.png",
	  },
	  {
		name="Fire Bug",
		path="data/entities/animals/crawler_bug.xml",
		image="data/ui_gfx/animal_icons/crawler_bug.png",
	  },
	  {
		name="Platoon",
		path="data/entities/animals/platoon.xml",
		image="data/ui_gfx/animal_icons/platoon.png",
	  },
	  {
		name="The Mountain",
		path="data/entities/animals/mountain.xml",
		image="data/ui_gfx/animal_icons/mountain.png",
	  },
	  {
		name="Peeper",
		path="data/entities/animals/peeper.xml",
		image="data/ui_gfx/animal_icons/extras/peeper.png",
	  },
	  {
		name="Mantis",
		path="data/entities/animals/mantis.xml",
		image="data/ui_gfx/animal_icons/mantis.png",
	  },
	  {
		name="God's Finger",
		path="data/entities/animals/gold_face_physics.xml",
		image="data/ui_gfx/animal_icons/gold_face_physics.png",
	  },
	  {
		name="Chameleon",
		path="data/entities/animals/chameleon.xml",
		image="data/ui_gfx/animal_icons/extras/chameleon.png",
	  },
	  {
		name="Ascended Blood Mage",
		path="data/entities/animals/bloodmage_enlightened.xml",
		image="data/ui_gfx/animal_icons/extras/bloodmage_enlightened.png",
	  },
	  {
		name="War Machine",
		path="data/entities/animals/elephant_robot.xml",
		image="data/ui_gfx/animal_icons/extras/elephant_robot.png",
	  },
	  {
		name="Fire Worker",
		path="data/entities/animals/fireworkman.xml",
		image="data/ui_gfx/animal_icons/extras/fireworkman.png",
	  },
	  {
		name="Beehive",
		path="data/entities/animals/beehive.xml",
		image="data/ui_gfx/animal_icons/extras/beehive.png",
	  },
	  {
		name="Geocolossus",
		path="data/entities/animals/mountain_large.xml",
		image="data/ui_gfx/animal_icons/extras/mountain_large.png",
	  },
	  {
		name="Tank Boss",
		path="data/entities/animals/tank_boss.xml",
		image="data/ui_gfx/animal_icons/tank_boss.png",
	  },
	  {
		name="Scorpio",
		path="data/entities/animals/scorpio.xml",
		image="data/ui_gfx/animal_icons/scorpio.png",
	  },
	  {
		name="Spider Crawler",
		path="data/entities/animals/spider_crawler.xml",
		image="data/ui_gfx/animal_icons/extras/spider_crawler.png",
	  },
	  {
		name="Larva Crawler",
		path="data/entities/animals/larva_crawler.xml",
		image="data/ui_gfx/animal_icons/larva_crawler.png",
	  },
	  {
		name="Overgrowth",
		path="data/entities/animals/plant_boss_sleep.xml",
		image="data/ui_gfx/animal_icons/extras/plant_boss.png",
	  },
	  {
		name="Hiisi Excavation Drill",
		path="data/entities/animals/drill_giant.xml",
		image="data/ui_gfx/animal_icons/extras/drill_giant.png",
	  },
	  {
		name="Mule",
		path="data/entities/animals/mule.xml",
		image="data/ui_gfx/animal_icons/extras/mule.png",
	  },
	  
	  {
		name="Golem",
		path="data/entities/animals/golem.xml",
		image="data/ui_gfx/animal_icons/golem.png",
	  },
	  {
		name="Sea Monster",
		path="data/entities/animals/seamonster.xml",
		image="data/ui_gfx/animal_icons/seamonster.png",
	  },
	  {
		name="Sky Monster",
		path="data/entities/animals/skymonster.xml",
		image="data/ui_gfx/animal_icons/skymonster.png",
	  },
	  {
		name="Wraith Boss",
		path="data/entities/animals/wraith_boss.xml",
		image="data/ui_gfx/animal_icons/wraith_boss.png",
	  },
	  {
		name="Eldirood",
		path="data/entities/animals/desert_mage.xml",
		image="data/ui_gfx/animal_icons/desert_mage.png",
	  },
	  {
		name="I160",
		path="data/entities/animals/camel_robot.xml",
		image="data/ui_gfx/animal_icons/camel_robot.png",
	  },
	  {
		name="Vulcan",
		path="data/entities/animals/elephant.xml",
		image="data/ui_gfx/animal_icons/elephant.png",
	  },
	  {
		name="Yikka",
		path="data/entities/animals/yikka.xml",
		image="data/ui_gfx/animal_icons/yikka_ghost.png",
	  },
	  {
		name="Huge Lukki",
		path="data/entities/animals/lukki_dark_huge.xml",
		image="data/ui_gfx/animal_icons/lukki_dark_huge.png",
	  },
	  {
		name="Phoenix",
		path="data/entities/animals/bird.xml",
		image="data/ui_gfx/animal_icons/bird.png",
	  },
	  {
		name="Rock Spirit Boss",
		path="data/entities/animals/giant_boss.xml",
		image="data/ui_gfx/animal_icons/giant_boss.png",
	  },
	  {
		name="The Sanctuary",
		path="data/entities/buildings/sanctuary_spawner.xml",
		image="data/ui_gfx/animal_icons/magiconstruct.png",
	  },
	  {
		name="Mwyah",
		path="data/entities/animals/mwyah.xml",
		image="data/ui_gfx/animal_icons/mwyah_face.png",
	  },
	  {
		name="Hydra",
		path="data/entities/animals/hydra.xml",
		image="data/ui_gfx/animal_icons/hydra3.png",
	  },
	  {
		name="The Corridor",
		path="data/entities/buildings/ear_boss_spot_vanilla.xml",
		image="data/ui_gfx/animal_icons/extras/ear_boss.png",
	  },
	  {
		name="Aberrant Abomination",
		path="data/entities/animals/new_game_plus/cyclops_slime.xml",
		image="data/ui_gfx/animal_icons/extras/cyclops_slime.png",
	  },
	  {
		name="Eel Boss",
		path="data/entities/animals/new_game_plus/boss_eel.xml",
		image="data/ui_gfx/animal_icons/extras/boss_eel.png",
	  },
	  {
		name="Fungal Colossus",
		path="data/entities/animals/new_game_plus/boss_fungus.xml",
		image="data/ui_gfx/animal_icons/extras/boss_fungus.png",
	  },
	  {
		name="Corpse Lily",
		path="data/entities/animals/corpse_lily.xml",
		image="data/ui_gfx/animal_icons/extras/corpse_lily.png",
	  },
	  {
		name="Hell Door",
		path="data/entities/animals/hell_door.xml",
		image="data/ui_gfx/animal_icons/hell_door.png",
	  },
	  {
		name="Mummy Coffin",
		path="data/entities/animals/coffin_mummy.xml",
		image="data/ui_gfx/animal_icons/extras/coffin_mummy.png",
	  },
	  {
		name="Portal Worm",
		path="data/entities/animals/worm_portal.xml",
		image="data/ui_gfx/animal_icons/worm_portal.png",
	  },
	  {
		name="Mexxi",
		path="data/entities/animals/mexxi.xml",
		image="data/ui_gfx/animal_icons/extras/mexxi.png",
	  },
  },
})
