 dofile_once("data/scripts/lib/utilities.lua")

potions = 
{
	{
		material="lava",
		cost=300,
	},
	{
		material="water",
		cost=200,
	},
	{
		material="blood",
		cost=200,
	},
	{
		material="material_confusion",
		cost=200,
	},
	{
		material="vomit",
		cost=200,
	},
	{
		material="blood_worm",
		cost=200,
	},
	{
		material="alcohol",
		cost=200,
	},
	{
		material="oil",
		cost=200,
	},
	{
		material="slime",
		cost=200,
	},
	{
		material="acid",
		cost=400,
	},
	{
		material="radioactive_liquid",
		cost=300,
	},
	{
		material="gunpowder_unstable",
		cost=400,
	},
	{
		material="poison",
		cost=400,
	},
	{
		material="liquid_fire",
		cost=400,
	},
	{
		material="magic_liquid_teleportation",
		cost=500,
	},
	{
		material="magic_liquid_movement_faster",
		cost=500,
	},
	{
		material="magic_liquid_unstable_teleportation",
		cost=500,
	},
	{
		material="magic_liquid_worm_attractor",
		cost=500,
	},
	{
		material="magic_liquid_invisibility",
		cost=500,
	},
	{
		material="magic_liquid_mana_regeneration",
		cost=500,
	},
	{
		material="magic_liquid_berserk",
		cost=500,
	},
	{
		material="magic_liquid_charm",
		cost=800,
	},
	{
		material="blood_cold",
		cost=400,
	},
}

if ModIsEnabled("arcane_alchemy") then
table.insert(potions,
{
    material   		= "AA_MAT_BLOOM",
    cost	= 300
})
end


function init( entity_id )
	local x,y = EntityGetTransform( entity_id )
	SetRandomSeed( x + GameGetFrameNum(), y )
	-- so that all the potions will be the same in every position with the same seed
	local potion = random_from_array( potions )

	AddMaterialInventoryMaterial( entity_id, potion.material, 1000 )
end
