dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)
local x, y = EntityGetTransform( owner )

for i, child_id in ipairs(EntityGetAllChildren(owner) or {}) do

	local game_effect_components = EntityGetComponentIncludingDisabled(child_id, "GameEffectComponent")
	
	for i, game_effect_component in ipairs(game_effect_components or {}) do
		
		if ComponentGetValue2(game_effect_component, "effect") == "DRUNK" then 
		
			-- ComponentSetValue2( game_effect_component, "effect", 0 )
			ComponentSetValue2( game_effect_component, "effect", "CUSTOM" )
			ComponentSetValue2( game_effect_component, "custom_effect_id", "NEW_ENEMIES_ALCOHOL_IMMUNITY_REMOVED" )
			-- GamePrint("Yes")
			-- EntityKill(child_id)
			
		end
		
	end
	
	-- local sprite_components = EntityGetComponent(child_id, "SpriteParticleEmitterComponent")
	
	-- for i, sprite_particle_component in ipairs(sprite_components or {}) do
		
		-- if ComponentGetValue2(sprite_particle_component, "sprite_file") == "data/particles/drunk.xml" then 

			-- EntitySetComponentIsEnabled( child_id, sprite_particle_component, false )

		-- end
		
	-- end
	
end