function split_string(inputstr, sep)
  sep = sep or "%s"
  local t= {}
  for str in string.gmatch(inputstr, "([^"..sep.."]+)") do
    table.insert(t, str)
  end
  return t
end

-- function decode_stored_coords(val)
  -- local out = {}
  -- local stored_coords = split_string(val, ";")
  -- for i, v in ipairs(stored_coords) do
    -- local xy_pair = split_string(v, ",")
    -- table.insert(out, { x = tonumber(xy_pair[1]),  y = tonumber(xy_pair[2]) })
  -- end
  -- return out
-- end

-- function encode_coords_to_store(t)
  -- local out = ""
  -- for i=1,#t do
    -- out = out .. t[i].x .. "," .. t[i].y
    -- if i < #t then
      -- out = out .. ";"
    -- end
  -- end
  -- return out
-- end

function decode_stored_coords(val)
  local out = {}
  local stored_coords = split_string(val, ",")
  for i=1,#stored_coords,2 do
    table.insert(out, tonumber(stored_coords[i]))
    table.insert(out, tonumber(stored_coords[i+1]))
  end
  return out
end

function encode_coords_to_store(t)
  return table.concat(t, ",")
end