dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)

local genome_component = EntityGetFirstComponentIncludingDisabled( owner, "GenomeDataComponent")

if genome_component then
	local herd = ComponentGetValue2( genome_component, "herd_id" )

	ComponentSetValue2( genome_component, "herd_id", StringToHerdId("charmed_target") )

	EntityAddComponent2(owner, "VariableStorageComponent", {
		name = "new_enemies_love_effect_herd_values",
		value_string = herd,
	})
else
	EntityKill(entity_id)
end