local entity_id = GetUpdatedEntityID()
local x, y, rot, sx, sy = EntityGetTransform(entity_id)

local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")

local increment = 0.2

local lifetimecomp = EntityGetFirstComponentIncludingDisabled( entity_id, "LifetimeComponent" )
if ( lifetimecomp ~= nil ) and ( lifetimecomp > 0 ) then
	local lifetime = ComponentGetValue2( lifetimecomp, "lifetime" )
	increment = 0.5 / lifetime
end

local comp = EntityGetFirstComponentIncludingDisabled( entity_id, "SpriteComponent" )

if ( comp ~= nil ) and ( comp > 0 ) then
	local alpha = ComponentGetValue2(comp, "alpha")
	if alpha > 0 then
		ComponentSetValue2(comp, "alpha", alpha - increment)
		EntitySetTransform(entity_id, x, y, rot, sx, sy)
	else
		EntityKill(entity_id)
	end
	
	-- EntityRefreshSprite( entity_id, comp )
end