dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local owner = EntityGetParent(entity_id)
local x, y = EntityGetTransform( owner )

for i, child_id in ipairs(EntityGetAllChildren(owner) or {}) do

	local game_effect_components = EntityGetComponentIncludingDisabled(child_id, "GameEffectComponent")
	
	for i, game_effect_component in ipairs(game_effect_components or {}) do
		
		if ComponentGetValue2(game_effect_component, "effect") == "POISON" then 
		
			ComponentSetValue2( game_effect_component, "frames", 0 )
			-- EntityKill(child_id)
			
		end
		
	end

end