dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local player_id = EntityGetParent( entity_id )
if EntityGetName(player_id) ~= "DEBUG_NAME:player" then return end
	
local var_store_comps = EntityGetComponent(player_id, "VariableStorageComponent") or {}
local lua_comps = EntityGetComponentIncludingDisabled(player_id, "LuaComponent") or {}
	
for i, comp in ipairs(lua_comps) do
						
	if ComponentGetValue2(comp, "script_source_file") == "data/scripts/misc/position_tracker.lua" then
		
		for i, var_comp in ipairs(var_store_comps) do
	  
			if ComponentGetValue2(var_comp, "name") == "position_tracker" then
				
				ComponentSetValue2(var_comp, "value_string", "")
			
			end
			
		end
				
		EntitySetComponentIsEnabled( player_id, comp, true )
		
	end
		
end