dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/unseen_utils.lua")

local entity_id = GetUpdatedEntityID()
local parent_id = EntityGetParent(entity_id)
local x, y = EntityGetTransform( parent_id )
local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")
SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
if times_executed == 1 then
	local game_effect_component = EntityGetFirstComponentIncludingDisabled(entity_id, "GameEffectComponent")
	ComponentSetValue2(game_effect_component, "frames", 400 + Random(0, 150))
end

toggle_entity_and_children_visuals(parent_id, false)

GlobalsSetValue("new_enemies_mod_cancel_all_muzzles", "1")