dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/unseen_utils.lua")

local entity_id = GetUpdatedEntityID()
local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")

if times_executed > 2 then
	local polymorphed_player = EntityGetClosestWithTag(0, 0, "polymorphed_player")
	if polymorphed_player > 0 then
		local ppx, ppy = EntityGetTransform( polymorphed_player )
		EntitySetTransform(entity_id, ppx, ppy)
		toggle_entity_and_children_visuals(polymorphed_player, false)
	else
		EntityKill(entity_id)
	end
end