dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

-- local frame = GetValueNumber("frame", 1)
-- if frame < 6 then
	-- SetValueNumber("frame", frame + 1)
-- else
	-- SetValueNumber("frame", 0)
-- end

-- local particle_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "ParticleEmitterComponent")
-- ComponentSetValue2(particle_comp, "image_animation_file", "data/particles/image_emitters/phoenix_fire" .. tostring(frame) .. ".png")

function get_state()
  local entity_id = GetUpdatedEntityID()
  state = state or {}
  state[entity_id] = state[entity_id] or {}
  return state[entity_id]
end

local number_of_frames = 5
local state = get_state()
state.counter = ((state.counter or 0) % number_of_frames + 1)

function get_particle_emitter_components(entity_id)
  local all_components = EntityGetAllComponents(entity_id)
  local t = {}
  for i, comp in ipairs(all_components) do
    if ComponentGetTypeName(comp) == "ParticleEmitterComponent" then
      table.insert(t, comp)
    end
  end
  return t
end

local particle_emitter_components = get_particle_emitter_components(entity_id)
local current = state.counter - 1
if current <= 0 then
  current = current + number_of_frames
end
local next = (current % number_of_frames) + 1

EntitySetComponentIsEnabled(entity_id, particle_emitter_components[current], false)
EntitySetComponentIsEnabled(entity_id, particle_emitter_components[next], true)