dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform( entity_id )
EntitySetTransform(entity_id, x, y, rot, 0.7, 0.7)

local sprite_component = EntityGetFirstComponentIncludingDisabled(entity_id, "SpriteComponent")
ComponentSetValue2(sprite_component, "alpha", 0)

GameScreenshake(4)

EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)
EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)

local homing_component = EntityGetFirstComponent(entity_id, "HomingComponent")

ComponentSetValue2(homing_component, "max_turn_rate", 0.006)