dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()

EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", true)

local comps = EntityGetComponent( entity_id, "LaserEmitterComponent" )
if ( comps ~= nil ) then
	for i,comp in ipairs( comps ) do
		ComponentSetValue2( comp, "is_emitting", true )
	end
end

local homing_component = EntityGetFirstComponent(entity_id, "HomingComponent")

ComponentSetValue2(homing_component, "max_turn_rate", 0.006)

local parent_id = EntityGetParent( entity_id )

--animation
local sprite_comps = EntityGetComponent(parent_id, "SpriteComponent") or {}
for i, comp in ipairs(sprite_comps) do

	ComponentSetValue2(comp, "rect_animation", "attack_ranged2_loop")
	
end