dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local players = EntityGetWithTag("player_unit")

-- local how_many = 10
-- local angle_inc = ( 2 * 3.14159 ) / how_many
-- local theta = 0
-- local length = 100

-- for i=1,how_many do
	-- local vel_x = math.cos( theta ) * length
	-- local vel_y = math.sin( theta ) * length
	-- theta = theta + angle_inc
	
	-- -- local px = pos_x + vel_x * 0.1
	-- -- local py = pos_y + vel_y * 0.1

	-- GameEntityPlaySound( entity_id, "duplicate" )
	-- shoot_projectile( entity_id, "data/entities/projectiles/orb_blue_fast.xml", pos_x, pos_y, vel_x, vel_y )
-- end

if #players > 0  and (EntityGetHerdRelation(entity_id, players[1]) < 40) then
	local sprite_comps = EntityGetComponent(entity_id, "SpriteComponent") or {}
	for i, comp in ipairs(sprite_comps) do

		ComponentSetValue2(comp, "rect_animation", "attack")
		ComponentSetValue2(comp, "next_rect_animation", "stand")
		
	end

	GamePlaySound( "data/audio/Desktop/projectiles.bank", "projectiles/electric/create", pos_x, pos_y )

	EntityAddComponent(entity_id, "LuaComponent", {
		script_source_file="data/scripts/projectiles/creeper_shot.lua",
		execute_every_n_frame=18,
		execute_on_added=0,
		remove_after_executed=1
	})
end