dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local projectile_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ProjectileComponent")
local shooter_id = ComponentGetValue2(projectile_component, "mWhoShot")   
ComponentSetValue2( projectile_component, "mWhoShot", shooter_id )

EntityAddChild(shooter_id, entity_id)

GameScreenshake(2)
local speed = 10

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y, rot = EntityGetTransform( entity_id )

local vel_x,vel_y = GameGetVelocityCompVelocity(entity_id)
vel_x, vel_y = vec_normalize(vel_x, vel_y)
if vel_x == nil then return end
vel_x = vel_x * speed
vel_y = vel_y * speed

-- slow down projectiles on the side for an arrow-y shape
local vx, vy = vel_x, vel_y

local tongue_projectile = shoot_projectile_from_projectile(entity_id, "data/entities/projectiles/cyclops_slime_tongue_projectile.xml", x, y, ( vx * 55 ), ( vy * 55 ) )

EntityAddChild(entity_id, tongue_projectile)

EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", true)