dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()

local particle_emitters = EntityGetComponent(entity_id, "ParticleEmitterComponent")
if particle_emitters ~= nil then
	local wave_offset = GetValueNumber("wave_offset", 0)
	for i, particle_emitter in ipairs(particle_emitters) do
		local wave_offset_x = math.sin(GameGetFrameNum() / 20 + wave_offset) * 15
		local offset_x, offset_y = ComponentGetValueVector2( particle_emitter, "offset" )
		ComponentSetValueVector2(particle_emitter, "offset", wave_offset_x, offset_y)
		SetValueNumber("wave_offset", wave_offset + 0.5)
	end
end



