dofile_once("data/scripts/lib/utilities.lua")

local target = nil
local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local enemies = EntityGetInRadiusWithTag(x, y, 200, "hittable")

for i = 1, #enemies, 1 do

	local enemy = enemies[i]
		
	target = enemy
			
	if( target == entity_id ) then return end
	
	SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
	
	local angle_inc = 0
	local angle_inc_set = false
	
	local length = 1100


	if ( target ~= nil ) and ( target ~= NULL_ENTITY ) and ( EntityGetName(target) == "electric_bullet" ) then
		local ex, ey = EntityGetTransform( target )
		
		if ( ex ~= nil ) and ( ey ~= nil ) then
			angle_inc = 0 - math.atan2( ( ey - y ), ( ex - x ) )
			angle_inc_set = true
		end
		
		local angle = 0
		if angle_inc_set then
			angle = angle_inc
		else
			return
		end
		
		local vel_x = math.cos( angle ) * length
		local vel_y = 0- math.sin( angle ) * length
		
		local projectile = shoot_projectile( entity_id, "data/entities/projectiles/lightningbeam_large.xml", x, y, 0, 0)
		
		EntitySetTransform( projectile, ex, ey )
		
		local projectile2 = shoot_projectile( entity_id, "data/entities/projectiles/lightningbeam_large_damage.xml", x, y, vel_x * 10, vel_y * 10 )
	end
	
end