local entity_id    = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform( entity_id )

local child_id = EntityCreateNew()

EntitySetTransform(child_id, x, y, rot + math.rad(90))

-- EntityAddComponent2(child_id, "SpriteComponent", {
	-- alpha=1,
	-- image_file="data/particles/explosion_025_fuel.xml",
	-- update_transform_rotation=true,
	-- emissive=true,
	-- additive=true
-- } )

EntityAddComponent2(child_id, "SpriteComponent", {
	alpha=1,
	image_file="data/particles/explosion_025_fuel.xml",
	update_transform_rotation=true,
	z_index=-2,
	emissive=false,
	additive=false
} )

EntityAddComponent2(child_id, "LifetimeComponent", {
	lifetime=60
} )