dofile_once("data/scripts/lib/utilities.lua")

function shot( projectile_id )
	local entity_id = GetUpdatedEntityID()
	local x, y, succ, scale_x = EntityGetTransform(entity_id)

	local angle_max = 360
	
	local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
	SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)
		
		if scale_x < 0 then
		
			for i=1,10 do
				local vel_x = 0
				local vel_y = -20
				vel_x, vel_y = vec_rotate(vel_x, vel_y, Randomf(x, y - i*4.81, -angle_max, angle_max))
		
				shoot_projectile( entity_id, "data/entities/projectiles/orb_pink_fast_alchemist.xml", x - 12 + vel_x * 0.2, y - 3 + vel_y * 0.2, vel_x, vel_y, false )
			end
			
			for i=1,10 do
				local vel_x = 0
				local vel_y = -20
				vel_x, vel_y = vec_rotate(vel_x, vel_y, Randomf(x, y - i*4.81, -angle_max, angle_max))
				
				shoot_projectile( entity_id, "data/entities/projectiles/orb_pink_fast_alchemist.xml", x + 12 + vel_x * 0.2, y - 3 + vel_y * 0.2, vel_x, vel_y, false )
			end
			
		elseif scale_x > 0 then
		
			for i=1,10 do
				local vel_x = 0
				local vel_y = -20
				vel_x, vel_y = vec_rotate(vel_x, vel_y, Randomf(x, y - i*4.81, -angle_max, angle_max))
		
				shoot_projectile( entity_id, "data/entities/projectiles/orb_pink_fast_alchemist.xml", x + 12 + vel_x * 0.2, y - 3 + vel_y * 0.2, vel_x, vel_y, false )
			end
			
			for i=1,10 do
				local vel_x = 0
				local vel_y = -20
				vel_x, vel_y = vec_rotate(vel_x, vel_y, Randomf(x, y - i*4.81, -angle_max, angle_max))
				
				shoot_projectile( entity_id, "data/entities/projectiles/orb_pink_fast_alchemist.xml", x - 12 + vel_x * 0.2, y - 3 + vel_y * 0.2, vel_x, vel_y, false )
			end
			
		end

		for i, child_id in ipairs(EntityGetAllChildren(entity_id) or {}) do
			local game_effects = EntityGetComponentIncludingDisabled(child_id, "GameEffectComponent") or {}
			for _, game_effect in ipairs(game_effects) do
				if ComponentGetValue2(game_effect, "effect") == "TELEPORTATION" then
					EntityKill(child_id)
				end
			end

		end

	EntityAddComponent(entity_id, "LuaComponent", {
		script_source_file="data/scripts/animals/forgotten_alchemist_teleport_enable.lua",
		execute_every_n_frame="120",
		remove_after_executed="1",
	} )
end