dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/gun/procedural/gun_action_utils.lua")

local entity_id = GetUpdatedEntityID()
local x,y,dir,sx,sy = EntityGetTransform( entity_id )

local projectile_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ProjectileComponent")
local shooter_id = ComponentGetValue2(projectile_component, "mWhoShot")
local sx,shy = EntityGetTransform( shooter_id )

-- for i, child in ipairs(EntityGetAllChildren(parent_id)) do
	-- if EntityGetName(child) == "ik_leg" then
		-- for i, child_of_child in ipairs(EntityGetAllChildren(child)) do
			-- if EntityGetName(child) == "hand" then
				-- hand_id = child
				-- hx, hy = EntityGetTransform(child)
			-- end
		-- end
	-- end
-- end

local function getDistance(x1, y1, x2, y2)
	return math.sqrt(math.pow((y2-y1),2)+math.pow((x2-x1),2))
end

local x2 = x+ math.cos( dir ) * 288
local y2 = y+math.sin( dir ) * 288
local did_hit, hit_x,hit_y = RaytraceSurfacesAndLiquiform( x, y, x2, y2 )
local sprite_enable_num
local distance

local sprite_width = 1
local max_distance = 99999999999999999

if did_hit then

	distance= getDistance(x,y,hit_x,hit_y)

	local scale = math.min(distance, max_distance) / sprite_width
	
	EntitySetTransform(entity_id, sx, shy, dir , scale, sy)
	
	EntityLoad("data/entities/particles/particle_explosion/explosion_trail_swirl_green_fast_temp.xml", hit_x, hit_y)
	
	-- if GameGetFrameNum() % 5 == 0 then
	
		-- EntityLoad("data/entities/particles/particle_explosion/eradicator_laser_explosion_delayed.xml", hit_x, hit_y)
	
	-- end
	
else

	distance= max_distance

	local scale = math.min(distance, max_distance) / sprite_width

	EntitySetTransform(entity_id, sx, shy, dir , scale, sy)

end

