dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

-- EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)

-- local sprite_component = EntityGetFirstComponentIncludingDisabled(entity_id, "SpriteComponent")
-- ComponentSetValue2(sprite_component, "image_file", "data/projectiles_gfx/giant_boss_laser.xml")

GamePlaySound("mods/new_enemies/data/sound/more_sounds/my_mod_audio.bank", "snd_mod/laser_fire/create", x, y)

GameScreenshake(4)

EntityAddComponent(entity_id, "SpriteComponent", {
    alpha="1",
    image_file="data/projectiles_gfx/giant_boss_laser.xml",
    next_rect_animation="",
    offset_x="0",
    offset_y="0",
    rect_animation="fireball",
	emissive="0",
    additive="0",
    z_index="-1",
	update_transform_rotation="1"
})

local comps = EntityGetComponent( entity_id, "LaserEmitterComponent" )
if ( comps ~= nil ) then
	for i,comp in ipairs( comps ) do
		ComponentSetValue2( comp, "is_emitting", true )
	end
end
