dofile_once("data/scripts/lib/utilities.lua")
local entity_id = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform( entity_id )
local owner_id = 0

local comp = EntityGetFirstComponent( entity_id, "ProjectileComponent" )
if ( comp ~= nil ) then
	owner_id = ComponentGetValue2( comp, "mWhoShot" )
	lifetime = ComponentGetValue2( comp, "lifetime" )
end

if ( lifetime > 0 ) and ( owner_id ~= nil ) and ( owner_id ~= NULL_ENTITY ) then
	local px,py = EntityGetTransform( owner_id )
	local dir = 0 - math.atan2( y - py, x - px )
	local vel_x = math.cos( dir ) * 800
	local vel_y = 0 - math.sin( dir ) * 800
	
	edit_component( owner_id, "VelocityComponent", function(comp,vars)
		ComponentSetValueVector2( comp, "mVelocity", vel_x, vel_y - 150 )
	end)
	
	edit_component( owner_id, "CharacterDataComponent", function(comp,vars)
		ComponentSetValueVector2( comp, "mVelocity", vel_x, vel_y - 150 )
	end)
end
