function shoot_projectile_at_pos(shooter_entity, projectile_file, origin_x, origin_y, dest_x, dest_y, projectile_speed)	
  --directionX, directionY = rotate_degrees(directionX, directionY, rad_offset)

  local dir = get_direction(origin_x, origin_y, dest_x, dest_y)
  local vx = math.cos(dir) * projectile_speed
  local vy = math.sin(dir) * projectile_speed

  local ourProjectile = shoot_projectile(shooter_entity, projectile_file, origin_x, origin_y, vx, vy)
end


  local players = EntityGetWithTag("player_unit")
  if #players > 0 then
    function get_distance(x1, y1, x2, y2)
      return math.sqrt((x2-x1)^2 + (y2-y1)^2)
    end
    --[[ local entity_id = GetUpdatedEntityID()
    local x, y = EntityGetTransform(entity_id) ]]
    local player_x, player_y = EntityGetTransform(players[1])
    last_frame_x = last_frame_x or player_x
    last_frame_y = last_frame_y or player_y
    last_velocities = last_velocities or {}
    local avg_vel_x = 0
    local avg_vel_y = 0
    for i, v in ipairs(last_velocities) do
      avg_vel_x = avg_vel_x + v.x
      avg_vel_y = avg_vel_y + v.y
    end
    avg_vel_x = avg_vel_x / #last_velocities
    avg_vel_y = avg_vel_y / #last_velocities
    local theEntity = GetUpdatedEntityID()

	local x, y = EntityGetTransform( theEntity )

    if shooter_entity == nil then
      shooter_entity = shooter_entity or EntityCreateNew()
      EntityAddComponent(shooter_entity, "GenomeDataComponent", {
        herd_id = "ghost"
      })
    end


    local player_vx, player_vy = GameGetVelocityCompVelocity(players[1])
    last_frame_x = player_x
    last_frame_y = player_y
    table.insert(last_velocities, { x = player_vx , y = player_vy })
    if #last_velocities > 10 then
      table.remove(last_velocities, 1)
    end
    local distance_to_player = get_distance(x, y, player_x, player_y)
    local projectile_speed = 10
    local shoot_at_x = player_x + avg_vel_x * (distance_to_player / projectile_speed)
    local shoot_at_y = player_y + avg_vel_y * (distance_to_player / projectile_speed)
    --shoot_projectile_at(shoot_at_x, shoot_at_y)
    if GameGetFrameNum() % 45 == 0 then
      shoot_projectile_at_pos(shooter_entity, "data/entities/projectiles/plasmashot.xml", x, y, shoot_at_x, shoot_at_y, projectile_speed * 39)
    end
  end