dofile_once("data/scripts/lib/utilities.lua")
--dofile_once("data/scripts/gun/gun.lua")
local speed = 20

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y, rot = EntityGetTransform( entity_id )

-- velocity
local vel_x,vel_y = GameGetVelocityCompVelocity(entity_id)
vel_x, vel_y = vec_normalize(vel_x, vel_y)
if vel_x == nil then return end
vel_x = vel_x * speed
vel_y = vel_y * speed

local offset_x, offset_y = vec_normalize(vel_x, vel_y)
offset_x, offset_y = vec_rotate(offset_x, offset_y, math.pi*0.5) -- perpendicular to flight direction

-- placement
local x = pos_x
local y = pos_y

-- slow down projectiles on the side for an arrow-y shape
local vx, vy = vel_x, vel_y

shoot_projectile_from_projectile(entity_id, "data/entities/projectiles/laserbeam_thick.xml", x, y, vx, vy)

-- sound is played here instead of the projectiles to avoid duplicates
GamePlaySound( "data/audio/Desktop/misc.bank", "misc/beam_from_sky_hit", x, y )

