dofile_once("data/scripts/lib/utilities.lua")

function shot( projectile_id )
	local entity_id    = GetUpdatedEntityID()
	local x, y = EntityGetTransform( entity_id )
	
	local angle_max = 360
	
	local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
	SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)
		
	for i=1,1000 do
		local vel_x = Random(-80,80)
		local vel_y = Random(-20,20)
		vel_x, vel_y = vec_rotate(vel_x, vel_y, Randomf(x, y - i*4.81, -angle_max, angle_max))

		shoot_projectile( entity_id, "data/entities/projectiles/menhir_lava.xml", x, y - 5, vel_x * 20, vel_y * 20, false )
	end
	
	-- shoot_projectile( entity_id, "data/entities/projectiles/lava_explosion.xml", x, y, x, y, false )
	
	-- GamePlaySound("data/audio/Desktop/animals.bank", "animals/giantshooter/death", x, y)
	GamePlaySound("data/audio/Desktop/explosion.bank", "explosions/cocktail", x, y)
	GameScreenshake(4)
	
end