dofile("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()

local variablestorages = EntityGetComponent( entity_id, "VariableStorageComponent" )
local phase = 0

if ( variablestorages ~= nil ) then
	for i,storage_id in ipairs( variablestorages ) do
		local var_name = ComponentGetValue( storage_id, "name" )
		if ( var_name == "fireball_phase" ) then
			phase = ComponentGetValueInt( storage_id, "value_int" )
		end
	end
end

if ( phase == 2 ) then
	local x,y,dir = EntityGetTransform( entity_id )
	
	for i=1,3 do
		SetRandomSeed( x + i, y + GameGetFrameNum() )
		dir = dir + math.rad( Random( -20, 20 ) )
		
		local length = 200
		local vel_x = math.cos( 0 - dir ) * length
		local vel_y = 0 - math.sin( 0 - dir ) * length
		
		shoot_projectile( entity_id, "data/entities/projectiles/fireball_black.xml", x, y, vel_x, vel_y )
	end
end