dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local initialising = false

local init_origin_var_comp = get_variable_storage_component( entity_id, "init_origin" )
local origin_var_comp = get_variable_storage_component( entity_id, "origin" )


if ComponentGetValue2(init_origin_var_comp, "value_bool") == false then
	ComponentSetValue2(init_origin_var_comp, "value_bool", true)
	
	ComponentSetValue2(origin_var_comp, "value_float", x)
	ComponentSetValue2(origin_var_comp, "value_string", y)
	
	ox_raw = x
	oy_raw = y
	
	initialising = true
end

if initialising == false then
	local ox_raw = ComponentGetValue2(origin_var_comp, "value_float")
	local oy_raw = ComponentGetValue2(origin_var_comp, "value_string")

	EntitySetTransform(entity_id, ox_raw, tonumber(oy_raw) )
end