dofile_once("data/scripts/new_enemies_utils.lua")
dofile_once("data/scripts/lib/utilities.lua")
dofile_once( "data/scripts/misc/coordinate_loader.lua" )

--evaisa's effect
dofile_once("data/scripts/animals/player_ai_movement_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x,y = EntityGetTransform( entity_id )

-- This is because globals somehow don't get cleared when the script gets removed...
local tick = GetValueInteger("tick", 0)
if tick == 0 then
  stored_coords = nil
end
SetValueInteger("tick", tick + 1)

if not stored_coords then
  local var_store = get_variable_storage_component(entity_id, "entity_tracker")
  if var_store then
    local val = ComponentGetValue2(var_store, "value_string")
    stored_coords = decode_stored_coords(val)
  else
    return
  end
end

if #stored_coords > 0 then
	for i = 1 , #stored_coords do
		EntityKill(#stored_coords)
	end
end
