dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/gun/procedural/gun_action_utils.lua")

local entity_id = GetUpdatedEntityID()
local x,y,rotation,sx,sy = EntityGetTransform( entity_id )


--Set enemy's x velocity to 0

function set_controls_enabled(id, enabled)
  local entity = id
  if entity then
    local controls_component = EntityGetFirstComponentIncludingDisabled(entity, "ControlsComponent")
    ComponentSetValue2(controls_component, "enabled", enabled)
  end
end

local parent_id = EntityGetParent( entity_id )

set_controls_enabled(parent_id, false)

local character_data_component = EntityGetFirstComponentIncludingDisabled(parent_id, "CharacterDataComponent")

if ComponentGetValue2( character_data_component, "is_on_ground" ) == true
or ComponentGetValue2( character_data_component, "is_on_slippery_ground" ) == true then

	local velocity_component = EntityGetFirstComponentIncludingDisabled(parent_id, "VelocityComponent")

	vel_x, vel_y = ComponentGetValue2( velocity_component, "mVelocity" )

	ComponentSetValue2(character_data_component, "mVelocity", 0, vel_y)
	ComponentSetValue2(velocity_component, "mVelocity", 0, vel_y)
	ComponentSetValue2(character_data_component, "ground_stickyness", 1)
	
end

--shoot projectile
if GameGetFrameNum() % 15 == 0 then

	rotate_value = 0
	
	rotation = rotation - math.rad(rotate_value)
	local distance_from_center = 0
	local projectile_speed = 100
	-- SetRandomSeed(GameGetFrameNum(), x + y * i)
	-- local random_angle_adjustment = math.rad(Random(-60, 60))
	local target_x = x + math.cos(rotation) * distance_from_center
	local target_y = y + math.sin(rotation) * distance_from_center
	
	local vel_x = math.cos(rotation) * projectile_speed
	local vel_y = math.sin(rotation) * projectile_speed
	
	shoot_projectile_from_projectile( entity_id, "data/entities/projectiles/phantom_boss_orb.xml", target_x, target_y, vel_x, vel_y )
	
end

