dofile_once( "data/scripts/lib/utilities.lua" )

function collision_trigger(colliding_entity)
	local entity_id = GetUpdatedEntityID()
	local x, y = EntityGetTransform(entity_id)

	local player = colliding_entity
	local px, py = EntityGetTransform(player)

	if player and (EntityGetHerdRelation(entity_id, player) < 40) then 

		local did_hit, hit_x, hit_y = RaytracePlatforms(x, y, px, py)
		
		if not did_hit then

			local angle_max = 360

			local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
			SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)

			local vel_x = 0
			local vel_y = -20
			vel_x, vel_y = vec_rotate(vel_x * 10, vel_y * 10, Randomf(x, y - 4.81, -angle_max, angle_max))

			shoot_projectile( entity_id, "data/entities/projectiles/radiobot_radioactivity.xml", x, y, vel_x, vel_y, false )
		end
	end
end