dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local player = get_players()[1]
local px, py = EntityGetTransform(player)

local angle_max = 360

local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)

for i=1, 5 do
	local vel_x = 0
	local vel_y = -20
	vel_x, vel_y = vec_rotate(vel_x * 10, vel_y * 10, Randomf(x, y - i*4.81, -angle_max, angle_max))

	shoot_projectile( entity_id, "data/entities/projectiles/radiobot_radioactivity.xml", x, y, vel_x, vel_y, false )
end