dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local parent_id = EntityGetParent( entity_id )
local pos_x, pos_y = EntityGetTransform( entity_id )

local comp = EntityGetFirstComponent( entity_id, "MaterialInventoryComponent" )

local materials = ComponentGetValue2(comp, "count_per_material_type")

-- for i, c in pairs(materials) do
	SetRandomSeed( GameGetFrameNum() + GetUpdatedComponentID(), pos_x + pos_y + entity_id )

	local angle = math.rad(Random(0,360))
	local length = Random(20,50)

	local vel_x = math.cos( angle ) * length
	local vel_y = 0 - math.sin( angle ) * length
		

	shoot_projectile( entity_id, "data/entities/projectiles/selective_hole_particle.xml", pos_x, pos_y, vel_x, vel_y )
	
EntityIngestMaterial( parent_id, "blood", 1 )

-- end

-- EntityKill( entity_id )