dofile_once("data/scripts/lib/utilities.lua")

function get_direction( x1, y1, x2, y2 )
  return math.atan2( ( y2 - y1 ), ( x2 - x1 ) )
end

local entity_id = GetUpdatedEntityID()
local parent_id = EntityGetParent( entity_id )
local x,y,rot = EntityGetTransform( parent_id )

local dragvelx, dragvely = GameGetVelocityCompVelocity( parent_id )

local rot2 = get_direction( x, y, x + dragvelx, y + dragvely )

SetRandomSeed( x , y + GameGetFrameNum() )
dir = rot2 + math.rad( Random( -20, 20 ) )

local length = 400
local vel_x = math.cos( dir ) * length
local vel_y = math.sin( dir ) * length

local target_x = x + math.cos(rot2) * 12
local target_y = y + math.sin(rot2) * 12

shoot_projectile( parent_id, "data/entities/projectiles/skymonster_fire.xml", target_x, target_y, vel_x, vel_y )