dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local players = EntityGetWithTag("player_unit")

if #players > 0 then

	local player_x, player_y = EntityGetTransform(players[1])

	local _, _, day, hour, minute, second = GameGetDateAndTimeLocal()
	SetRandomSeed(day + hour + second + GameGetFrameNum(), minute + second + entity_id)

	local did_hit, hit_x, hit_y = RaytraceSurfaces(x, y + 5 , player_x, player_y)

	if not did_hit and ( Random( 1, 4 ) > 1 ) then
		local angle = math.rad( Random( 1, 360 ) )
		local vel_x = 0
		local vel_y = 0
		local length = Random( 400, 700 )

		vel_x = math.cos( angle ) * length
		vel_y = 0- math.sin( angle ) * length
		shoot_projectile( entity_id, "data/entities/projectiles/tentacle_khulu.xml", x, y, vel_x, vel_y )
	end

end