dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local verlet_component = EntityGetFirstComponentIncludingDisabled(entity_id, "VerletPhysicsComponent")
if verlet_component then
	EntityAddComponent2(entity_id, "SpriteComponent", {
		image_file = "data/enemies_gfx/mummy_toilet_paper.png",
		offset_x = 0,
		offset_y = 0,
		rect_animation = "",
		z_index = 1,
		alpha = 1,
		visible = true,
		update_transform = false,
		update_transform_rotation = false
	})
end

ComponentSetValue(GetUpdatedComponentID(), "execute_every_n_frame", ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted") + 1)