dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/unseen_utils.lua")

function shot( projectile_id )
	toggle_entity_and_children_visuals(projectile_id, false)
	remove_sprite_from_explosion(projectile_id, "ProjectileComponent")
	remove_sprite_from_explosion(projectile_id, "LightningComponent")
	-- remove_emissive_from_explosion(entity, "AnimalAIComponent")
	remove_sprite_from_explosion(projectile_id, "ExplosionComponent")
	remove_sprite_from_explosion(projectile_id, "ExplodeOnDamageComponent")
	
	local light_components = EntityGetComponent(projectile_id, "LightComponent") or {}
    for _, comp in ipairs(light_components) do
		EntityRemoveComponent( projectile_id, comp )
    end
	
	local projectile_components = EntityGetComponent(projectile_id, "ProjectileComponent") or {}
    for _, comp in ipairs(projectile_components) do
		ComponentSetValue2(comp, "ground_collision_fx", false)
    end

end