dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y, rot = EntityGetTransform( entity_id )

local entities = EntityGetInRadiusWithTag( pos_x, pos_y, 4, "fungitrap_02" )

if ( #entities < 1 ) then

	SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

	-- pos_x = pos_x + rand(-4, 4)
	-- pos_y = pos_y + rand(-4, 4)
	-- local vel_x = rand(-20, 20)
	-- local vel_y = rand(-20, 20)

	local projectile = shoot_projectile_from_projectile( entity_id, "data/entities/projectiles/wraith_laser_trail.xml", pos_x, pos_y, 0, 0 )

	local projectile_component = EntityGetFirstComponent( projectile, "ProjectileComponent" );

	if projectile_component then
		ComponentSetValue( projectile_component, "velocity_sets_rotation", "0" );
	end

	EntitySetTransform( projectile, pos_x, pos_y, rot )

elseif ( #entities >= 1 ) then
	for i, entity in ipairs(entities  or {}) do
      local sprite_comps = EntityGetComponent(entity, "SpriteComponent") or {}
	  
      local pcomp = EntityGetFirstComponent(entity, "ProjectileComponent")
	  ComponentSetValue2(pcomp, "lifetime", 30)
	end
end