dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local how_many = 4

orbcount = GameGetOrbCountThisRun()

if orbcount > 15 then
	local value = ( ( 2.0 ^ (15 + 1.3) ) + (15*15.5) ) * 0.0001
	boss_hp = value * ( orbcount - 15 )
else
	boss_hp = ( ( 2.0 ^ (orbcount + 1.3) ) + (orbcount*15.5) ) * 0.0001
end

if boss_hp > 1000 then
	boss_hp = 1000
end

local how_many = how_many + orbcount

local angle_inc = (( 2 * 3.14159 ) / how_many) * -0.5
angle_inc = angle_inc + 3.14159
local theta = angle_inc * -0.3
local length = 260

for i=1,how_many do
	local vel_x = math.cos( theta - 0.31415 ) * length
	local vel_y = math.sin( theta - 0.31415 ) * length
	theta = theta + angle_inc

	local projectile = shoot_projectile( entity_id, "data/entities/animals/soul.xml", pos_x + vel_x * 0.03, pos_y + vel_y * 0.03, vel_x, vel_y, false )
	local comp = EntityGetFirstComponent( projectile, "ExplosionComponent" )
	if( comp ~= nil ) then
		local ed = ComponentObjectGetValue2( comp, "config_explosion", "damage" )
		if ed > 0 then
			ComponentObjectSetValue2( comp, "config_explosion", "damage", ed + boss_hp )
		end
	end
end