dofile_once("data/scripts/lib/utilities.lua")
local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local r = ProceduralRandomf(pos_x, pos_y + GameGetFrameNum())
if r < 0.005 then
	-- spawn another big branch (rare)
	-- offset randomly for more efficient initial spread
	pos_x = pos_x + ProceduralRandomf(pos_x-12, pos_y, -3, 3)
	pos_y = pos_y + ProceduralRandomf(pos_x, pos_y+54, -3, 3)
	EntityLoad( "data/entities/animals/the_end/flesh_wall.xml", pos_x, pos_y )
	return
elseif r < 0.6 then
	-- regular small branch
	pos_x = pos_x + ProceduralRandomf(pos_x-7, pos_y, -3, 3)
	pos_y = pos_y + ProceduralRandomf(pos_x, pos_y, -3, 3)
	EntityLoad( "data/entities/props/the_end/flesh_branch.xml", pos_x, pos_y )
	return
end