dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y, rot, scale_x = EntityGetTransform( entity_id )

local prev_entity_id = GetValueNumber("prev_entity_id", 0)

local e = EntityLoad( "data/entities/animals/twig.xml", pos_x, pos_y)

SetValueNumber("prev_entity_id", e)

if prev_entity_id > 0 then
	EntityAddChild(prev_entity_id, e)
end

EntitySetTransform(e, pos_x, pos_y, rot)

local value = GetValueNumber("sprite_number", -0.5)

local sprite_component = EntityGetFirstComponentIncludingDisabled(e, "SpriteComponent")

ComponentSetValue2( sprite_component, "z_index", value)

EntityRefreshSprite( e, sprite_component )

SetValueNumber("sprite_number", value - 0.1)

