dofile_once("data/scripts/lib/utilities.lua")

function grow()


end

function collision_trigger()
	function get_direction( x1, y1, x2, y2 )
	  return math.atan2( ( y2 - y1 ), ( x2 - x1 ) )
	end

	local entity_id = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform(entity_id)

	-- stick to closest surface
	local found_normal, nx, ny, dist = GetSurfaceNormal(pos_x, pos_y, 10, 8)
	if found_normal then
		-- Calculate rotation angle based on the surface normal
		local rot = get_direction(pos_x, pos_y,  nx, ny)
		
		-- Adjust rotation to face away from the normal direction
		rot = rot + math.pi

		-- Set the new transform with the adjusted rotation
		EntitySetTransform(entity_id, pos_x, pos_y, rot)
	end

	GamePlaySound("data/audio/Desktop/misc.bank", "misc/root_grow", pos_x, pos_y)

	-- grow!
	EntitySetComponentsWithTagEnabled(entity_id, "grow", true)
end