dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id    = GetUpdatedEntityID()

local velocity_comp = EntityGetFirstComponent( entity_id, "VelocityComponent")
if velocity_comp == nil then return end

local vel_x,vel_y = ComponentGetValueVector2( velocity_comp, "mVelocity")
local vel = get_magnitude(vel_x, vel_y)
if vel <= 90 then
	--print("homing enabled!")
	EntitySetComponentsWithTagEnabled( entity_id, "enabled_in_world", true )
	EntityRemoveComponent(entity_id, GetUpdatedComponentID())
end