dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local x, y, rot, sx, sy = EntityGetTransform( entity_id )
local shooter
edit_component( entity_id, "ProjectileComponent", function(comp,vars)
    shooter = ComponentGetValue2( comp, "mWhoShot" )
end)

for i=1,5 do
    local spawn_entity = EntityLoad( "mods/new_enemies/files/blood_attack/hemokinesis_delay.xml", x, y)

    local c = EntityGetFirstComponent( spawn_entity, "LuaComponent","enabled_in_world" )
    if ( c ~= nil ) then
        ComponentSetValue2( c, "execute_every_n_frame", 2*i+1 )
    end
    EntityAddChild( shooter, spawn_entity )
end

