dofile_once("data/scripts/lib/utilities.lua")
local entity_id = GetUpdatedEntityID()
local x, y, rot2 = EntityGetTransform( entity_id )
local var_comp = get_variable_storage_component( entity_id, "pinning" )
local var_comp2 = get_variable_storage_component( entity_id, "pin_x" )
local var_comp3 = get_variable_storage_component( entity_id, "pin_y" )
local var_comp4 = get_variable_storage_component( entity_id, "pin_rot" )
if ComponentGetValue2(var_comp, "value_bool") == false then 
	local phys_component = EntityGetFirstComponent(entity_id, "PhysicsBodyComponent")
	-- local physcenter_x, physcenter_y = PhysicsComponentGetTransform( phys_component )
	-- physcenter_x, physcenter_y = PhysicsPosToGamePos( physcenter_x, physcenter_y )

	local physics_bodies = PhysicsBodyIDGetFromEntity( entity_id, phys_component )
	for i, body_id in ipairs(physics_bodies or {}) do
		if i == 1 then
			local bx, by, bangle, bvel_x, bvel_y, bangular_vel = PhysicsBodyIDGetTransform( body_id )
			local phx, phy, phw, phh = PhysicsBodyIDGetBodyAABB( body_id )
			local px, py = PhysicsPosToGamePos( phx, phy )
			-- local velx, vely = PhysicsVecToGameVec( bvel_x, bvel_y )
			local vel_component = EntityGetFirstComponent(entity_id, "VelocityComponent")
			local vel_x,vel_y = ComponentGetValueVector2( vel_component, "mVelocity")
			-- local did_hit, hit_x, hit_y = RaytracePlatforms(x, y, x + (vel_x * 0.05), y + (vel_y * 0.05) )
			local hit_x, hit_y = vec_rotate(12, 0, rot2)
			hit_x = hit_x + x
			hit_y = hit_y + y
			local did_hit, hit_x, hit_y = RaytracePlatforms(x, y, hit_x, hit_y )
			-- GameCreateSpriteForXFrames( "mods/pin_corpse/dot1.png", px + (velx * 0.06), py + (vely * 0.06), true, 0, 0, 1, true )
			-- GameCreateSpriteForXFrames( "mods/pin_corpse/dot2.png", hit_x, hit_y, true, 0, 0, 1, true )
			
			local wanted_x, wanted_y = vec_rotate(-7, -2, bangle)
			wanted_x = hit_x + wanted_x
			wanted_y = hit_y + wanted_y
			-- GameCreateSpriteForXFrames( "mods/pin_corpse/dot3.png", wanted_x, wanted_y, true, 0, 0, 1, true )
			if did_hit then
				GamePlaySound("mods/new_enemies/data/sound/more_sounds/my_mod_audio.bank", "snd_mod/arrow_hit", hit_x, hit_y)
				local phys_hitx, phys_hity = GamePosToPhysicsPos( hit_x, hit_y )
				PhysicsBodyIDSetTransform( body_id, phys_hitx, phys_hity, bangle, 0, 0, 0 )
				ComponentSetValue2(var_comp, "value_bool", true)
				ComponentSetValue2(var_comp2, "value_float", wanted_x)
				ComponentSetValue2(var_comp3, "value_float", wanted_y)
				ComponentSetValue2(var_comp4, "value_float", bangle)
				-- local phys_throw_component = EntityGetFirstComponent(entity_id, "PhysicsThrowableComponent")
				-- ComponentSetValue2(phys_throw_component, "attach_to_surfaces_knife_style", false)
			end
			-- GameCreateSpriteForXFrames( "data/debug/sui_close_button.png", px + (velx * 0.1), py + (vely * 0.1), true, 0, 0, 1, true )
			-- if did_hit then
				-- ComponentSetValue2(var_comp, "value_bool", true)
				-- ComponentSetValue2(var_comp2, "value_float", hit_x)
				-- ComponentSetValue2(var_comp3, "value_float", hit_y)
			-- end
		end
	end
else
	-- local duration_frames = GetValueNumber( "pin_duration", 0 )
	-- SetValueNumber( "pin_duration", duration_frames + 1 )
	-- local phys_component = EntityGetFirstComponent(entity_id, "PhysicsBodyComponent")

-- -- local physics_bodies = PhysicsBodyIDGetFromEntity( entity_id, phys_component )
-- -- for i, body_id in ipairs(physics_bodies or {}) do
-- -- if i == 2 then
	-- -- local bx, by, bangle, bvel_x, bvel_y, bangular_vel = PhysicsBodyIDGetTransform( body_id )
	local px = ComponentGetValue2(var_comp2, "value_float")
	local py = ComponentGetValue2(var_comp3, "value_float")
	local rot = ComponentGetValue2(var_comp4, "value_float")
	-- GameCreateSpriteForXFrames( "mods/pin_corpse/dot1.png", px, py, true, 0, 0, 1, true )
	px, py = GamePosToPhysicsPos( px, py )
	
	-- -- GameCreateSpriteForXFrames( "data/debug/sui_close_button.png", px, py, true, 0, 0, 1, true )
	-- local did_hit, hit_x, hit_y = RaytracePlatforms(px - 3, py, px + 3, py )
	-- local did_hit2, hit_x2, hit_y2 = RaytracePlatforms(px - 3, py - 3, px + 3, py + 3 )
	-- local did_hit3, hit_x3, hit_y3 = RaytracePlatforms(px, py - 3, px, py + 3 )
	-- local did_hit4, hit_x4, hit_y4 = RaytracePlatforms(px + 3, py - 3, px - 3, py + 3 )
	-- if did_hit or did_hit2 or did_hit3 or did_hit4 then
	
		-- local direction_x, direction_y = px - x, py - y
		-- local length = math.sqrt(direction_x^2 + direction_y^2)
		
		-- -- Normalize the direction vector
		-- if length ~= 0 then
			-- direction_x = direction_x / length
			-- direction_y = direction_y / length
		-- end

		-- -- Set the magnitude of the force (adjust this value as needed)
		-- local force_magnitude = 40

		-- -- Calculate the force components
		-- local force_x = direction_x * force_magnitude
		-- local force_y = direction_y * force_magnitude

		-- -- Apply the force
		-- local times = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")
		-- local force_decay = 100 / ( times * 0.1 )
		-- force_x, force_y = GameVecToPhysicsVec( force_x * force_decay, force_y * force_decay )
		
		local phys_component = EntityGetFirstComponent(entity_id, "PhysicsBodyComponent")
		
		local physics_bodies = PhysicsBodyIDGetFromEntity( entity_id, phys_component )
		for i, body_id in ipairs(physics_bodies or {}) do
			if i == 1 then
				local bx, by, bangle, bvel_x, bvel_y, bangular_vel = PhysicsBodyIDGetTransform( body_id )
				PhysicsBodyIDSetTransform( body_id, px, py, rot, 0, 0, 0 )
				local phx, phy, phw, phh = PhysicsBodyIDGetBodyAABB( body_id )
				local px, py = PhysicsPosToGamePos( phx, phy )
			
				local did_hit, hit_x, hit_y = RaytracePlatforms(px - 3, py, px + 3, py )
				local did_hit2, hit_x2, hit_y2 = RaytracePlatforms(px - 3, py - 3, px + 3, py + 3 )
				local did_hit3, hit_x3, hit_y3 = RaytracePlatforms(px, py - 3, px, py + 3 )
				local did_hit4, hit_x4, hit_y4 = RaytracePlatforms(px + 3, py - 3, px - 3, py + 3 )
				if not (did_hit or did_hit2 or did_hit3 or did_hit4) then
					ComponentSetValue2(GetUpdatedComponentID(), "execute_every_n_frame", -1)
				end
			end
		end
		-- px, py = GamePosToPhysicsPos( px, py )
		-- PhysicsBodyIDSetTransform( body_id, px, py, bangle, bvel_x, bvel_y, bangular_vel )
	-- else
		-- EntityKill(entity_id)
	-- end
		-- end
	-- end
end

--just making the spear only damage enemies once
local proj_component = EntityGetFirstComponent(entity_id, "ProjectileComponent")
local damaging = ComponentGetValue2(proj_component, "mLastFrameDamaged")

local vel_component = EntityGetFirstComponent(entity_id, "VelocityComponent")
local vel_x,vel_y = ComponentGetValueVector2( vel_component, "mVelocity")

-- Calculate the magnitude of the velocity vector
local vel_magnitude = math.sqrt(vel_x * vel_x + vel_y * vel_y)
			
-- Set a threshold for the minimum velocity magnitude
local min_velocity_threshold = 5 -- Adjust this value as needed

local times_executed = ComponentGetValue2(GetUpdatedComponentID(), "mTimesExecuted")

-- Check if the velocity magnitude is above the threshold
if vel_magnitude < min_velocity_threshold or ( damaging > 0 ) then
    -- If below the threshold, disable damage
    ComponentSetValue2(proj_component, "damage_game_effect_entities", "")
	
	local damage_slice = ComponentObjectGetValue2( proj_component, "damage_by_type", "slice" )
	if damage_slice > 0 then
		ComponentObjectSetValue2( proj_component, "damage_by_type", "slice", 0 )
	end
end