dofile_once("mods/new_enemies/files/shader_utilities.lua")

postfx.append([[
	uniform vec4 ballpos_1;
]],
"uniform sampler2D tex_fog;",
"data/shaders/post_final.frag"
)

postfx.append([[
    float stretch = world_viewport_size.y/world_viewport_size.x;
    vec4 ballpos_1 = vec4(
        (ballpos_1.x/world_viewport_size.x) - (camera_pos.x/world_viewport_size.x),
        (-ballpos_1.y/world_viewport_size.y) + (camera_pos.y/world_viewport_size.y) + 1.0,
        ballpos_1.z,
        0.0
        );

    float l = length(vec2((tex_coord.x-ballpos_1.x)/stretch, tex_coord.y-ballpos_1.y) - vec2(0.0,0.0)); //distance from pixel to ball center
    vec2 edge = vec2( //the outline of the ball
        ballpos_1.x + ((tex_coord.x-ballpos_1.x)/l)*ballpos_1.z,
        ballpos_1.y + ((tex_coord.y-ballpos_1.y)/l)*ballpos_1.z
        );
    if (l < ballpos_1.z)
        {
        tex_coord = vec2(edge.x - ((tex_coord.x-edge.x)/(l*5.0)), edge.y - ((tex_coord.y-edge.y)/(l*5.0)));
    }
]],
	"// sample the original color =================================================================================",
	"data/shaders/post_final.frag"
)